0. Metadata
-----------
Copyright:		Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.
License:		GNU General Public License version 2 or later; see LICENSE.txt

1. Copyright and disclaimer
---------------------------
This application is opensource software released under the GPL.  Please
see source code and the LICENSE file


2. Changelog
------------
This is a non-exhaustive (but still near complete) changelog for
Joomla! 1.6, 1.7 and 2.5, including alpha and beta versions.
Our thanks to all those people who've contributed bug reports and
code fixes.

Legend:

* -> Security Fix
# -> Issue Fix
$ -> Language fix or change
+ -> Addition
^ -> Change
- -> Removed
! -> Note

04-Dec-2013 Jean-Marie Simonet
 # [#32868] Trashed categories create a fatal error when creating URLs to them, URLs to contact categories are wrong. Thanks Hannes Papenberg

26-Nov-2013 Jean-Marie Simonet
 # [#32812] *Wrong JText causes double string use

20-Nov-2013 Jean-Marie Simonet
 # [#26551] Multiple instances of script and css declarations with enabled caching  Thanks Dennis Hermatski

16-Nov-2013 Michael Babker
 # [#32578] [2.5] Argument 1 passed to JHttpTransportStream::getResponse() must be an array

13-Nov-2013 Jean-Marie Simonet
 # [#32608] After update 2.5.14=>2.5.16 the com_update produces errors  Thanks David Jardin

12-Nov-2013 Jean-Marie Simonet
 # [#30648] Incorrect ID for trash toolbar button when message is added  Thanks Jurian Even
 # [#29596] Inefficient code  Thanks Ben tasker

11-Nov-2013 Jean-Marie Simonet
 # [#31055] Smart Search does not remove search phrases from index when saving an article.  Thanks Chris Davenport

08-Nov-2013 Jean-Marie Simonet
# [#32599] Register Email multilingual Problem in Joomla! 2.5.16  Thanks Panagiotis Chatzikamaris

08-Nov-2013 David Hurley
 # [#32576] Wrong Recaptcha URLs causing broken captcha. Thanks David Jardin

-------------------- 2.5.16 Stable Release 06-November-2013] ------------------

06-Nov-2013 Michael Babker
 # unexpected T_PAAMAYIM_NEKUDOTAYIM in /libraries/joomla/http/factory.php
 # MySQL(i) drivers are not handling limits correctly.  Thanks George Wilson

-------------------- 2.5.15 Stable Release 06-November-2013] ------------------

31-Oct-2013 Jean-Marie Simonet
 # [#32460] Installation beta2 hangs on PHP5.3.3-7  Thanks Tobias Zulauf

22-Oct-2013 Jean-Marie Simonet
 $ Missing lang string.
 # [#31193] Errors when using "localise.sql" files - J2.5. Thanks Michael Babker and George Wilson

20-Oct-2013 Elin Waring
 # [#32327] Installation halts at 1st step on PHP 5.3.3.

20-Oct-2013 Roberto Segura
# [#31716] Offline template: "remember me" checkbox not removed when plugin disabled. Thanks Tobias Zulauf

07-Oct-2013 Jean-Marie Simonet
 # [#30586] Usernames that should not be accepted can be actualy registered. Thanks Sergio Manzi
 # [#32199] *Allow username edit in profile edit when username is not compliant. Thanks Achal Aggarwal

05-Oct-2013 Jean-Marie Simonet
 # [#28214] Menu Items Could be Saved without Menu Item Type. Thanks Tristan Bellosta

04-Oct-2013 Jean-Marie Simonet
 # [#31827] Installation doesn't work when installation is in the path  Thanks Robert Deutz

22-Sep-2013 Roberto Segura
 # [#27830] Loss of checked item in user registration back end. Thanks Achal Aggarwal

11-Sep-2013 Jean-Marie Simonet
 + Adding Albanian flag

07-Sep-2013 Jean-Marie Simonet
 # [#31914] mod_footer - replacement in language override string doesn`t work correct. Thanks Carsten Wirtz
 # [#31896] Stupid return in contact component table. Thanks George Wilson

22-Aug-2013 Jean-Marie Simonet
 # [#28349] Incorrect ordering in Newsflash module. Thanks Gregory Wyman and Brian Teeman
 # Updating Russian flag. Thanks Peter Farrer

21-Aug-2013 Jean-Marie Simonet
 # [#31724] Error pages: charset not defined - XSS risk.
 # [#28496] *Register Email multilingual Problem in Joomla! 2.5.13
 # [#29442] Automatic updates are confusing - better handling required. Thanks Nicholas Dionysopoulos

18-Aug-2013 Jean-Marie Simonet
 $ [#30664] User Categories helps screen strings missing. Thanks George Wilson

14-Aug-2013 Jean-Marie Simonet
 #$ [#31631] Small typo fix in Plugin. Thanks Gunjan Patel and Tobias Zulauf
 # [#27824] Offline image overflow. Thanks Angelika Reisiger

12-Aug-2013 Jean-Marie Simonet
 # [#31681] Module manager allows positions with trailing spaces. Thanks Richard McDaniel

08-Aug-2013 Elin Waring
 # [#31786] get_html_translation_table requires encoding value for PHP 5.4 Thanks Robert Deutz and Tobias Zulauf

07-Aug-2013 Jean-Marie Simonet
 #$ [#31622] Media Manager doesn't cope with folder names that include spaces. Thanks Richard McDaniel
 # [#31410] Warnings at the offline screen looks bad. Thanks Lu Nguyen
 # [#31633] Detailed changelog in readme.txt points to SVN which is out of date. Thanks Brian Teeman

03-Aug-2013 Jean-Marie Simonet
 # [#31411] Show Offline image only if it exists. Thanks Tobias Zulauf
 # [#31360] The site is offline but anyhow the error page will show (e.g. at a 404 error). Thanks Mihail Irintchev
 # [#31630] email cloaking inserts space (2.5.13). Thanks Peter Martin and Marc Antoine Thevenet

-------------------- 2.5.14 Stable Release 01-August-2013] ------------------

31-Jul-2013 Jean-Marie Simonet
 # Missing list of Subcategories in a blog view. Revert [#30150]

-------------------- 2.5.13 Stable Release 25-July-2013] ------------------

21-Jul-2013 Mark Dexter
 ^ [#31319] registration option disabled by default is safer. Thanks Brian Teeman.

19-Jul-2013 Jean-Marie Simonet
 # Performance bug - Initial patch partially reverted  2.5 Fix (Regression)/ Thanks Thomas Hunziker

17-Jul-2013 Jean-Marie Simonet
# [#31477] Remove unneeded GROUP BY and fix duplicate article display. Thanks Thomas Hunziker

06-Jul-2013 Jean-Marie Simonet
 $ [#31290] Add Debug User Group Help Screen language string. Thanks George Wilson
 # [#31348] Regression for plugin filter search with spaces in the title. Reverting
 # [#27935] 'Next' button not working on first try after login in com_users. Thanks Antonio Durán Terrés and Brian Teeman

01-Jul-2013 Jean-Marie Simonet
 # [#31280] Loadmodule support for htmlspecialchars in title. Thanks Peter Wiseman

13-Jun-2013 Jean-Marie Simonet
 # [#31108] Fatal erorr right after install. Thanks Klas and Michael Babker
 # [#31120] [2.5] *plug-in manager search give errors and warning for '/','*' and '\
 # [#30354] Invalid Javascript Redirect in JApplication::redirect() when headers have already been sent. Thanks Ben Tasker.
 $ [#26548] [patch] incorrect error check in menus.php. Thanks Rob Clayburn and Ben Tasker
 # [#30150] com_content loads articles before error checking. Thanks Richard McDaniel.

07-Jun-2013 Jean-Marie Simonet
 + [#31106] Added Belgian flag for mod_languages. Thanks Fonny Smets

24-May-2013 Michael Babker
 # [#30994] Untranslated String.  Thanks Jean-Marie Simonet

24-May-2013 Jean-Marie Simonet
 # [#30945] Wrong error when folder creation not possible due to permissions. Thanks Phil Taylor

19-May-2013 Michael Babker
 # [#30926] Beez5: Additional < in category list.  Thanks Constantin Romankiewicz
 # [#30906] *Batch usage needs strict permissions.  Thanks Jean-Marie Simonet

13-May-2013 Jean-Marie Simonet
 ^ [#30663] Default Value for the Option Show Sub-menu Items to be Set as Yes. Thanks Mig
 # [#30873] *Multilanguage: PHP warning when logging.

05-May-2013 Michael Babker
 ^ [#30810] Disable ReCaptcha plugin when Joomla is installed.  Thanks Nick Savov

03-May-2013 Jean-Marie Simonet
 # [#30571] * Strict Standards: Declaration of ContentModelCategories::populateState() should be compatible with JModel::populateState()
 # [#30103] Cannot delete web site entry for a contact. Thanks Elin Waring
 # [#30748] *Multilanguage issue with contacts. Thanks Benjamin Trenkle
 # [#30672] Category blog: COM_CONTENT_NO_ARTICLES message is missing. Thanks Charles Perk.

30-Apr-2013 Jean-Marie Simonet
 # [#29922] Browser Agent Google Chrome on IOS. Thanks Georges Wilson.

29-Apr-2013 Jean-Marie Simonet
 # [#30723] Can't upload file after update from 2.5.9 to 2.5.10. Thanks Mark Dexter

-------------------- 2.5.11 Stable Release 26-April-2013] ------------------

26-Apr-2013 Mark Dexter
 # [#30681] Error in Database tab in Extension Manager. Thanks Amirol Ahmad.
 # [#30702] Only titles display in featured/blogged views when hide intro text is selected.
 # [#30725] Exception thrown for empty path. Thanks Elin Waring.

26-Apr-2013 Jean-Marie Simonet
 # [#30717] Memcached driver breaks Joomla configuration page. Thanks Ofer Cohen

-------------------- 2.5.10 Stable Release 24-April-2013] ------------------

23-Apr-2013 Mark Dexter
 # [#30652] Commit for issue 29916 broke Smart Search indexing. Thanks Don Gilbert.

14-Apr-2013 Mark Dexter
 # [#30506] Joomla update system erases entire site if downloaded zip package is broken. Thanks Aliaksei Kanstantsinau.
 # [#30288] Module Prepare Paramater breaks Cache + Browser Cache + Application Rendering time. Thanks Parth Lawate.

14-Apr-2013 Michael Babker
 # [#29240] Undefined property: JSite::$registeredurlparams.  Thanks Mark Stanton

12-Apr-2013 Jean-Marie Simonet
 # [#30538] Joomla Update Options button displays even if you don't have permission. Thanks Mark Dexter
 # [#30537] Menus with default view in URL and sub-tasks are missing in other defined attributes and do not display correctly in menu type input in backend. Thanks Beat
 #+ [#30139] Memcache handler Issue (Not working at all). Thanks Ofer Cohen and sajal suni
 # [#29250] *Com_content caches article view no matter of Itemid. Thanks Dennis Hermatski
 # [#30206] findmanifest should prioritize main folder manifests. Thanks Roberto Segura
 # [#30154] Allow ability to upload file (eg: profile picture) through com_users registration view. Thanks Cy Lee

11-Apr-2013 Jean-Marie Simonet
 #$ [#30534] Missing Help Button in Joomla! Update component. Thanks Mark Dexter

08-Apr-2013 Michael Babker
 # [#29916] MySQL connections are not closed.  Thanks Ian Goldstein
 # [#30505] Weblink module ignores end publishing date.  Thanks Thomas Hunziker

07-Apr-2013 Michael Babker
 # [#30091] Help Screens, key wrong, missing or not created correctly.  Thanks Mark Dexter
 # [#30428] nofollw not set correctly in mod_weblinks.  Thanks Ingo Wetsches
 # [#30209] Undefined index errors by using the style 'beezTabs' at an beez template.  Thanks Constantin Romankiewicz
 # [#30041] Use of '/' not being handled well on Windows Servers.  Thanks Parth Lawate
 # [#30054] Catchable fatal error: Object of class stdClass could not be converted to string in /plugins/system/debug/debug.php on line 303.  Thanks Ryan K.
 ^ [#29898] mod_banners module must be unprotected extension.  Thanks Alex B.

06-Apr-2013 Mark Dexter
 # [#30482] Fix tel validation in 2.5.x series. Thanks Don Gilbert.
 # [#30480] com_contact error in admin->view->contacts search "author:xxxx". Thanks Brent Cordis.

04-Apr-2013 Mark Dexter
 # Revert [#30430] Severe bug with "com_content" component routing.

04-Apr-2013 Jean-Mari Simonet
 # [#30430] Severe bug with "com_content" component routing. Thanks sajal soni.

28-Mar-2013 Jean-Marie Simonet
 # *Multilanguage 2.5: SIngle article display does not filter correctly author contact per language.
 # [#29417] sendMail automatically adds sender as replyTo. Thanks Roberto.

24-Mar-2013 Michael Babker
 # [#28978] Smart search (com_finder) - problem when using "Allow Empty Search".  Thanks Valentin

21-Mar-2013 Jean-Marie Simonet
# [#30346] *Contact creator does not include default language "All" for the contact created

20-Mar-2013 Jean-Marie Simonet
 # [#29982] Cant add fields to the category form using a plugin. Thanks Parth

18-Mar-2013 Jean-Marie Simonet
 # [#26860] A Contact name *must not* be unique. Thanks Christophe
 $ Updating Swahili intallation ini file

17-Mar-2013 Jean-Marie Simonet
 #+ [#29677] robots.txt in updates. Thanks Mark
 + [#29294] Show Correct Meta Titles in Joomla Admin for better usability. Thanks Parth
 # [#29810] File deletion issue. Thanks Elin
 # [#30312] *Porting to 2.5.x a 3.x improvement in languagefilter

16-Mar-2013 Michael Babker
 # [#30249] Show Intro Text = Hide currently has no effect in Featured and Category menu items.  Thanks Matt

16-Mar-2013 Jean-Marie Simonet
 +$ [#27945] Hide Subcategories text. Thanks Aka.

05-Mar-2013 Jean-Marie Simonet
 + [#29769] com_config component missing triggers on save. Thanks Nicholas Antimisiaris

28-Feb-2013 Jean-Marie Simonet
 # [#30100] Plugins ordering broken when search filter is populated. Thanks Jurian
 # [#29968] Only text gets passed to content events in blog view (for Joomla 2.5.x). Thanks Jonathan.

09-Feb-2013 Michael Babker
 # [#29970] Robots.txt check url no more working.  Thanks Brian

-------------------- 2.5.9 Stable Release [4-February-2013] ------------------

30-Jan-2013 Mark Dexter
 # [#27709] Saving in backend very slow when many user groups. Thanks Elin.
 # [#29705] blank login page J3.x beez3.

29-Jan-2013 Mark Dexter
 # [#29999] Fix fatal error in JInstallerFile::uninstall(). Thanks Matias Griese.
 # [#28714] Authentication - Gmail: Apply Username suffix does not allow user to login with suffix already applied. Thanks Janich Rasmussen.

26-Jan-2013 Jean-Marie Simonet
# [#30031] *Notice: Undefined index: title in /plugins/content/pagebreak/pagebreak.php on line 197. Thanks Bernard

25-Jan-2013 Jean-Marie Simonet
 # [#29731] RSS feed gets corrupted when ampersand (&) or other escapable characters exist in Site Meta Description. Thanks Jan

25-Jan-2013 Jean-Marie Simonet
 # [#29998] Problem with grid sort. Thanks Zhevron
 # [#28841] Username modification in frontend (Profile Edit) is not saved. Thanks Jisse Reitsma

24-Jan-2013 Jean-Marie Simonet
 # [#29904] *With plugin Language Filter enabled, user articles parameter in frontend shows all articles

21-Jan-2013 Jean-Marie Simonet
 # [#29848] UTF8 SEF URLs are causing browser too many redirects failures - additional patch. Thanks Nicholas

19-Jan-2013 Jean-Marie Simonet
 # [#29964] Files upload problem

16-Jan-2013 Jean-Marie Simonet
 # [#28778] Incorrect Rendering of Breadcrumb Trail for Home Page Sub-Items. Thanks James and Peter
 # [#29962] *303 when not using URL Language code in multilanguage - again. Thanks Yannick

13-Jan-2013 Jean-Marie Simonet
 # [#29939] *Fatal error when displaying any Categories Menu item
 # [#29911] *Com_content feed read more links broken. Thanks Jurian

12-Jan-2013 Jean-Marie Simonet
 # [#25337] site on unc path, path.php removes
 # [#29919] User Profile Plugin - Required field not enforced
 # [#29799] com_contacts - FormField Modal . Thanks Mark

03-Jan-2013 Michael Babker
 # [#29887] *Disable System redirect breaks 404.  Thanks Yannick

02-Jan-2013 Jean-Marie Simonet
 # [#27903] invalid call to parent::getStoreId in getStoreId of NewsfeedsModelCategories (unused). Thanks Michael and Peter

21-Dec-2012 Jean-Marie Simonet
 $^ Porting installation language list alpha ordering from 3.0
 # [#29567] UTF8 SEF URLs are causing browser too many redirects failures. Thanks Dennis and Nicholas

19-Dec-2012 Jean-Marie Simonet
 $ Normalizing names of installation languages

17-Dec-2012 Jean-Marie Simonet
 $+ Adding Armenian hy-AM new installation language

12-Dec-2012 Mark Dexter
 # [#29715] *Submit an Article doesn't work. Thanks Jean-Marie.

-------------------- 2.5.8 Stable Release [8-November-2012] ------------------

29-Oct-2012 Jean-Marie Simonet
 # [#29575] Article Manager excludes identity of author

28-Oct-2012 Jean-Marie Simonet
 +$ Adding Kiswahili installation lang sw-KE

27-Oct-2012 Jean-Marie Simonet
 # [#29574] Backport JAccess fixes from platform. Thanks Elin
 + Adding Kiswahili (East African Kiswahili Commission) flag

18-Oct-2012 Jean-Marie Simonet
 # [#29401] Repeated htmlspecialchars() Applied When Multiple Breadcrumbs Active. Thanks Peter and Roland

17-Oct-2012 Jean-Marie Simonet
 # [#29264] Field "alias" disappears in menu manager with type "External URL". Thanks Roberto

12-Oct-2012 Jean-Marie Simonet
 # [#29488] Missing JText In Language Installer

09-Oct-2012 Jean-Marie Simonet
 # [#29463] Notice in language manager when FTP layer is enabled.
 $ Correcting mn-MN installation ini

08-Oct-2012 Jean-Marie Simonet
 # [#28764] user notes category is not properly nested in the assets table [2.5]. Thanks Peter

04-Oct-2012 Jean-Marie Simonet
 # [#28849] Publishing date instead of creation date in com_content/category/view.feed.php. Thanks Tobias Ribizel.

01-Oct-2012 Jean-Marie Simonet
 # [#28297] com_banners: BannersModelClients SQL error (group by banner id). Thanks Nils

-------------------- 2.5.7 Stable Release [13-September-2012] ------------------

07-Sept-2012 Jean-Marie Simonet
 # Missing toolbar image + typo in multilanguage status module

06-Sept-2012 Jean-Marie Simonet
 ^ Updating Joomla logo to display ® instead of TM

04-Sept-2012 Jean-Marie Simonet
 # [#24628] htmlspecialchars() and multiple menu modules of the same menu. Thanks Rouven
 # [#27806] *User with spaces as password can not log in. Thanks Rouven
 $ Updating th-TH installation ini file

01-Sept-2012 Jean-Marie Simonet
 # [#27933] Smart Search module does not read static filter setting from module parameters. Thanks Chris
 # [#28405] Smart Search - CLI Indexer doesn't catch exceptions. Thanks Michael

31-Aug-2012 Jean-Marie Simonet
 +$ Adding Welsh cy-GB language Installation files

29-Aug-2012 Jean-Marie Simonet
 $ Updating installation language lt-LT, ca-ES
 # [#28863] Custom sample data install issue with driver mysql. Thanks Mihaly and Michael

28-Aug-2012 Jean-Marie Simonet
 +$ Adding Indonesian id-ID language Installation files

27-Aug-2012 Jean-Marie Simonet
 # [#28858] Com_finder missing show_advanced_tips parameter => can't hide advanced tips. Thanks Michael

26-Aug-2012 Jean-Marie Simonet
 # [#28853] Template fails to copy. Thanks Mark
 # [#28985] JFile class not loaded when use cache handler != file. Thanks Julio.

24-Aug-2012 Jean-Marie Simonet
 # [#28449] captcha cause fatal error when the "captcha" field is not present in "configuration.php" after an upgrade. Thanks Elin.

21-Aug-2012 Jean-Marie Simonet
 # [#28951] Increase stability in language installer. Thanks Javier

14-Aug-2012 Jean-Marie Simonet
 # Prevents non installable packs to display in Install Languages manager
 # [#28039] Using Chrome for Android generates an error in browser.php (line 562)

11-Aug-2012 Jean-Marie Simonet
 $+ Adding Vietnamese vi-VN to installation languages

11-Aug-2012 Jean-Marie Simonet
 #+ [#25295] Email exposed through RSS and Atom feeds. Thanks Elin and Peter
 # [#28795] mod_articles_category "read more" truncation not functioning properly. Thanks Elin.

10-Aug-2012 Jean-Marie Simonet
 # [#28855] Fix Array to string conversion notices (PHP 5.4 only).Thanks Rouven

09-Aug-2012 Mark Dexter
 # [#25663] "Can't build admin menu item" error while (re)installing component. Thanks Nicholas.

07-Aug-2012 Jean-Marie Simonet
 + [#28896] Installing Language packs from Extension Manager in 2.5.x. Thanks Javier

31-Jul-2012 Jean-Marie Simonet
 [#28877] Overriding settings in the language xx-XX.localise.php

25-Jul-2012 Jean-Marie Simonet
 [#28846] *When URL Language Code is removed, language switcher module redirects to URL without .html suffix. Thanks Dennis

18-Jul-2012 Jean-Marie Simonet
 # [#28837] Can't get past step 4 "Database Configuration". Thanks Shaun.

11-Jul-2012 Jean-Marie Simonet
 # [#28535] Joomla 2.5.4 Timezones being doubled. Thanks Christophe and Andrea
 # [#28034] White page on contact form with SEO enabled. Thanks Nikolai
 # [#28743] Update TinyMCE to version 3.5.4.1. Thanks Rouven

08-Jul-2012 Jean-Marie Simonet
 # [#28510] DB error "session" table Duplicate entry. Thanks Rob
 #^ [#28785] mod_wrapper doesn't support iframe without border. Thanks Andrea Sisti

05-Jul-2012 Jean-Marie Simonet
 # [#28770] Loss of data when editing an article through the front end. Thanks Franz

04-Jul-2012 Jean-Marie Simonet
 # [#28779] *JS error in page 6 of installation. Thanks Michael

03-Jul-2012 Jean-Marie Simonet
 # [#28741] E_STRICT: JArrayHelper::pivot should be declared as static. Thanks Christophe.
 ^ [#28776] Replace DS with DIRECTORY_SEPARATOR in com_media. Thanks Michael

30-Jun-2012 Mark Dexter
 # [#28763] Make the field for installing sample data easier to use (Elin Waring)
 # [#28751] *Copy Template Feature - language files have capital letters (Jean-Marie Simonet)
 # [#28647] Registration form: language override for "Name" label causes side effects (Johannnes S-F)
 # [#28759] Undefined property: JSite::$registeredurlparams (Rouven Weßling)

29-Jun-2012 Jean-Marie Simonet
 # [#28713] Article Media Manager: 'This file is too large to upload' appears in a Media Manager screen
 # [#28733] administrator/mod_menu Bug! Thanks Sebastian

26-Jun-2012 Jean-Marie Simonet
 # [#28745] mailto fatal error when sending article-mail in joomla 2.5.6. Thanks Rouven.
 # [#28682] "Articles" appearing in title. Thanks Christophe

26-Jun-2012 Christophe Demko
 ^ [#28730] Use the MVC legacy aliases in the administrator (Rouven Weßling)

25-Jun-2012 Christophe Demko
 ^ [#28683] Replace uses of JHtml::core() (Michael Babker)
 ^ [#28736] Don't use APIs not present in Platform 12.2 (Rouven Weßling)
 # [#28690] Wrong Content Type for JSON response (Elijah Madden)
 + [#28651] Security concern: passwords should not be sent via email (Johannes S-F)
 + [#28738] Add more sniffs to the code style checker (Rouven Weßling)

22-Jun-2012 Jean-Marie Simonet
 # [#28709] Commit of progress bar feature missed a layout file. Thanks Mark

20-Jun-2012 Jean-Marie Simonet
 ^ Disable install checks for development

-------------------- 2.5.6 Stable Release [19-June-2012] ------------------

19-Jun-2012 Mark Dexter
 # [#28704] Menu type aliases causing fatal php error. Thanks Andrea.
 # [#28700] Fix a potentially fatal issue in JXMLElement. Thanks Rouven.
 # [#28698] Fatal error updating with Extension manager > Install. Thanks Michael.
 # [#28684] JApplication::registerEvent() is not static anymore causing a fatal error

19-Jun-2012 Jean-Marie Simonet
 # [#28685] Edit article Button missing after upgrade to the latest version 2.5.5 from 2.5.4. Thanks Mark
 $ [#28695] *Lang string missing
 # [#28694] *Delete toolbar broken in com_media in 2.5.5
 # [#28702] 404 Hits of com_redirect fails after Manual update. Thanks Mark
 # [#28703] JUser class is missing the public vars for the 2 new columns lastResetTime and resetCount. Thanks Beat.
 # [#28689] FinderController duplicate lines. Thanks Elijah

18-June-2012 Mark Dexter
 + Add update xml files to build folder
 # [#28554] Mark JXMLElement as deprecated and don't use it in type hinting
 # [#28650] Use legacy aliases for the MVC in the site

-------------------- 2.5.5 Stable Release [18-June-2012] ------------------

17-Jun-2012 Jean-Marie Simonet
 $ Updating installation ini file zh-CN

17-Jun-2012 Christophe Demko
 ^ [#28643] Backport JApplicationBase and some minor fixes from the platform. (Rouven Weßling)

16-Jun-2012 Mark Dexter
 # [#27267] Multiple Loggers fail when using formattedtext (Shaun Maunder)
 # [#28411] Site breaks when deleting alternate style which is in use (Christophe Demko)
 # [#27737] Clean up the unit tests (Rouven Weßling)

16-Jun-2012 Christophe Demko
 # [#28673] JSON data returned when uploading oversized file (Jonathan Chang)

16-Jun-2012 Jean-Marie Simonet
 $ Updating installation ini file pl-PL
 ^ [#28644] Move JApplicationHelper::parseXMLInstallFile to JInstaller. Thanks Rouven.
 ^ [#28649] Backport small changes to the MVC from the platform. Thanks Rouven

15-Jun-2012 Christophe Demko
 # [#28670] SQL error when installing trunk without sample data (Ofer Cohen)

15-Jun-2012 Jean-Marie Simonet
 $ Updating installation ini file sy-IQ + missing strings in en-AU, en-US and gu-IN
 + [#28629] Multi-File Upload. Thanks Elijah
 $ Updating installation ini files: af-ZA, be-BY, el-GR, gl-ES, he-IL
 + [#28617] Add buttons in each menu selection tab in the module admin manager. Thanks Mathieu
 # [#28592] Language in component folder. Thanks Lao

14-Jun-2012 Christophe Demko
 ^ [#28667] Update TinyMCE to version 3.5.2 (Rouven Weßling)

14-Jun-2012 Jean-Marie Simonet
 $ Updating installation ini file ca-ES

13-Jun-2012 Jean-Marie Simonet
 $ Updating installation ini file fa-IR

12-Jun-2012 Jean-Marie Simonet
 # [#28660] Fix code style errors. Thanks Jenkins and Rouven
 # [#28632] Backport JCrypt (only with the simple chipher). Thanks Rouven
 + [#28371] Improve user feedback during automatic version update. Thanks Mark
 # [#28591] Content triggers in Category and Featured views only apply to first few articles. Thanks Kyle.

11-Jun-2012 Jean-Marie Simonet
 $ [#28371] Improve user feedback during automatic version update. Lang strings only!
 # [#28652] *Strict standards administrator/components/com_config/models/application.php
 ^ [#28380] *Normalizing Beez_20 css and js loading
 ^ [#28642] Clean up the installation a tiny bit. Thanks Rouven
 # [#28025] Joomla Bugfix: Exchange of wrong picture by hide.js fixed. Thanks Udo
 ^ [#28645] Clean up the session package based on what was done in the platform. Thanks Rouven
 $ Updating installation ini file th-TH

10-Jun-2012 Jean-Marie Simonet
 # [#28426] only a single JFormFieldColor field can exist (functionally) within a form. Thanks Dennis
 # [#28550] Default admin user created with id 42. Thanks Ofer
 # [#28646] *New user registration approval should only be possible when Create permission
 # [#28639] New User Account Activation Tooltip Clarification. Thanks Matt
 # [#28648] Backport some deprecation info to the base package. Thanks Rouven.

09-Jun-2012 Jean-Marie Simonet
 ^ [#28551] Fix some issues with exceptions. Thanks Rouven
 + [#28176] Media formfield: show preview. Thanks Benjamin
 + [#28383] Add the ability to limit the number of password resets within a time period. Thanks Mark

08-Jun-2012 Jean-Marie Simonet
 ^ [#28613] Use fewer deprecated methods. Thanks Rouven
 ^ [#28377] Backport JDatabase::execute(). Thanks Rouven.
 # [#28631] Bug in Codemirror plugin. Thanks Viet and Elijah
 # [#28603] User Registration Form: Label/Field Offset by one Line. Thanks Johannes
 # [#28525] Fix JForm::load() not replacing form field in same location. Thanks Aaron

07-Jun-2012 Jean-Marie Simonet
 $ Updating installation ini files: hr-HR, sk-SK
 # [#28526] bug in mod_articles_news. Thanks Elin
 # [#28420] discover_install of components does not trigger custom install method. Thanks Michael
 # [#28192] Bug in mod_articles_news in version 1.7 and 2.5. Thanks Heikki and Ofer.
 ^ [#28570] Backport JAccess::getActionsFrom. Thanks Michael
 ^ [#28549] Provide legacy aliases for the MVC classes. Thanks Rouven
 # [#28400] Help Site URL Defaulting to Version 1.6. Thanks Mark

06-Jun-2012 Christophe Demko
 ^ [#28378] Backport JInput:def() from the platform (Rouven Weßling)
 # [#28487] Menu Item Alias does not obey Secure Setting of Aliased Item (Don Gilbert)

05-Jun-2012 Jean-Marie Simonet
 # [#28619] Fix #24510 to not add code specific to the profile plug-in to com_users. Thanks Rouven.
 +# [#28565] Add feature readmore in feed items. Also bugfix for fulltext in feed items. Thanks Jurian
 + [#28469] Add counter to redirect component. Thanks Ronald

04-Jun-2012 Jean-Marie Simonet
 + [#28067] Option to disable the ability to change the Username in Profile
 + [#24510] Implementation of Terms of Service. Thanks Peter.
 + [#28614] Add option to enable/disable logging in Smart Search. Thanks Michael.
 # [#28615] Backport union query element from Platform 12 and use it in Smart Search. Thanks Michael.

03-Jun-2012 Mark Dexter
 ^ [#28450] Set the CSS class for JForm field label. Thanks Viet Vu.

03-Jun-2012 Jean-Marie Simonet
 $ Updating installation ini files: nb-NO, nl-NL, nn-NO
 # [#28602] *Menu Item Manager: Show Batch Processing only if allowed. Thanks Johannes
 # [#28611] *ACL: Module Manager: Show Batch Processing only if allowed
 # [#28536] Undefined variable $prev in com_config. Thanks Rouven
 # [#28607] Missing direct access check for com_finder. Thanks Sander
 ^ [#28609] Update joomlaupdate @SInCE tags missed in 61f5ee8. Thanks Rouven
 # [#28285] E_NOTICE about array to string conversion in debug.php with PHP 5.4. Thanks Rouven
 # [#28560] Backport some files completely from the current platform. Thanks Rouven
 # [#28599] Backport the new JLoader from the platform 12.1. Thanks Rouven
 ^ [#28600] Add a code style checker. Thanks Rouven
 # [#28548] Use instanceof instead of is_a(). Thanks Rouven.

02-Jun-2012 Jean-Marie Simonet
 # [#28375] Remove blacklist code from FinderIndexerHelper. Thanks Michael
 # [#28605] ACL regression in com_finder. Thanks Sander
 # [#27819] The articles model displays articles for which there is no category access. Thanks Carsten and Nick
 #  [#28608] Remove unused file in com_users. Thanks Rouven

01-Jun-2012 Jean-Marie Simonet
 # [#28589] *ACL regression in com_search
 # [#28588] *ACL regression in com_messages
 # [#28587] *ACL regression in com_redirect
 # [#28579] Fix xreference regression from 1.7 to 2.5. Thanks Andrea.
 # [#28561] Move some JFormFields from the platform to the CMS. Thanks Rouven.
 # [#28335] Simplify schema path in installation, add support for other databases. Thanks Michael.
 # [#28598] *Article Category list displays hits in author column if no article author or createdbyalias.

30-May-2012 Jean-Marie Simonet
 $ Missing language string
 $ Updating installation ini files: et-EE, mn-MN

29-May-2012 Jean-Marie Simonet
 # [#28566] Update TinyMCE 3.5.1.1. Thanks Rouven

28-May-2012 Jean-Marie Simonet
 # [#28572] *Administration user notes checked on notes page gives warning arugment missing
 ^ [#28370] Get rid of assign() uses in view: admin + site.Thanks Ofer and Rouven
 ^ [#28442] Update Library Manifests. Thanks Michael.

27-May-2012 Jean-Marie Simonet
 # [#28022] Smart search and unpublished Content Maps fails after edit of an article.Thanks Michael.
 $ [#28571] Typo in en-GB.com_templates.ini. Thanks Stella.
 ^ [#28569] Correct docblocs in com_joomlaupdate. Thanks Rouven.

25-May-2012 Jean-Marie Simonet
 $ Updating installation ini file: ug-CN
 $ Adding new installation language: hi-IN

23-May-2012 Jean-Marie Simonet
 ^ [#28547] ACL consistency - Use the API and access.xml everywhere. Thanks Michael.
 # [#28483] *Weblinks module should only pass on category related queries when catid > 0

22-May-2012 Jean-Marie Simonet
 # [#28555] Fix files that are CRLF. Thanks Rouven.

21-May-2012 Jean-Marie Simonet
 # [#21946] Reverting [#27700]
 ^ [#28553] Improve code for 28205. Thanks Rouven.

20-May-2012 Jean-Marie Simonet
 # [#28546] Trunk is broken due to a PHP error in JComponentHelper
 # [#28521] Use doExecute instead of execute in CLI scripts. Thanks Michael.
 $ Updating installation ini files: az-AZ, tr-TR, zh-TW

19-May-2012 Jean-Marie Simonet
 # [#28419] Remove warnings for undeprecated code. Fix a bug in JView in the process. Thanks Rouven.

18-May-2012 Jean-Marie Simonet
 + Adding Laotian lo.gif flag to media/mod_languages

17-May-2012 Jean-Marie Simonet
 $ Updating installation ini files: ar-AA, de-DE, ja-JP, lv-LV, sq-AL, ta-IN

16-May-2012 Jean-Marie Simonet
 $ Updating installation ini files: bg-BG, ckb-IQ, da-DK, eo-XX, es-ES, fi-FI, fr-FR, it-IT, km-KH, lo-LA, mk-MK, ru-RU, sr-RS, sr-YU, sv-SE, uk-UA

15-May-2012 Jean-Marie Simonet
 #$ [#27651] JInstallationModelDatabase::initialise has hard coded MySQL version check. Thanks Michael

12-May-2012 Jean-Marie Simonet
 + [#28472] Add ability to copy a template. Thanks Mark
 +$ Adding eo-XX installation language

11-May-2012 Jean-Marie Simonet
 # [#27711] Plugin SEF don't support "poster" video attribute. Thanks Ryan
 # [#28481] Edit Menu Item: Modules appears multiple times in the list. Thanks Doesnt Matter.
 # [#28205] Remove 'Display: no' modules from Module Assignment list (1.7), or button to hide them. Thanks Jason Williams and Andrea.
 # [#28514] duplicate line in user.php. Thanks Viet Vu
 # [#28421] Update PHPMailer to 5.2.1. Thanks Rouven.
 # [#28505] *Multilang validation errors when SEF is off
 # [#28479] Use most specific paths possible. Fix detect FTP root. Thanks Rouven.

30-Apr-2012 Jean-Marie Simonet
 # Correcting hathor xml
 # [#28453] Language override doesn't handle double quotes properly. Thanks Johannes.
 # [#28455] *303 when not using URL Language code in multilanguage. Thanks Yannick.
 # [#28467] *configuration.php smtp saves auto-filled admin username and password.
 # [#28436] Wrong group in ldap and joomla authentication-plugin XML-file

28-Apr-2012 Jean-Marie Simonet
 $ Correcting wrong ini string value
 $ Updating zh-CN installation ini file
 # [#28398] Missing "remember me" in com_users. Thanks Nils.
 # [#28210] onchange event does not fire at JFormFieldMedia (Regression). Thanks Benjamin.
 # [#28428] Backend uses incorrect cache path for system caches - text filters can be reseted to defaults with enabled caching. Thanks Dennis.
 # [#28457] *Unused $offset_user parameter in configuration
 # [#28440] *load language file from com_media front end

20-Apr-2012 Jean-Marie Simonet
 # [#28407] *Browser Settings for new visitors broken in multilanguage. Reverting #28151

18-Apr-2012 Jean-Marie Simonet
 # [#28351] Remove extra images from finder. Thanks Rouven and Michael
 # [#28382] Make Atomic work with sample data. Thanks Elin
 # [#28339] Incorrect parameter passed to onUserAfterDeleteGroup event. Thanks Dennis
 # [#28149] ImageManager Javascript Error. Thanks Benjamin
 # [#28364] JImage wrong JPEG support detection in PHP 5.2. Thanks Pavel and Rouven
 # [#28276] Finder/Smart Search: Deleting an item does not remove it from Finder's index. Thanks CY Lee
 # [#28309] Improve forward compatability with Joomla 3.0 by making JDatabaseException extend RuntimeException. Thanks Rouven

10-Apr-2012 Christophe Demko
 ^ [#28336] e-strict error in com_messages (Elin Waring)

10-Apr-2012 Jean-Marie Simonet
 # [#28287] Fix some differences between platform and cms. Backport CSS changes. Thanks Rouven
 # [#28384] Duplicate 'home' in breadcrumbs in a multi-language site. Thanks Nuno.

09-Apr-2012 Christophe Demko
 # [ #24839] Incorrect tooltip for Sticky column icons in Banner Manager: Banners
 - [#28360] Get rid of assign() and assignRefs() uses in view: Installation (Rouven Weßling)
 -+ [#28305] Remove a few unnecessary import() calls. Add a missing import(). (Rouven Weßling)

07-Apr-2012 Jean-Marie Simonet
 # [#28345] Call to member function of non-object: setDebug(). Thanks Don.

03-Apr-2012 Mark Dexter
 # [#28354] Problem logging out if Public group has admin login permission
 # [#28342] *New joomlaupdate component has no icon in admin menu + missing lang string
 # [#27772] Selecting 'Install Sample Data' button causes 'invalid security token' error message if 'Next' button clicked too fast

-------------------- 2.5.4 Stable Release [2-April-2012] ------------------

31-Mar-2012 Mark Dexter
 # [#28329] Joomla Update component requires Purge Cache to change Update Server

30-Mar-2012 Mark Dexter
 # Sample data fixes for SQL Server
 # [#28316] Incorrect ordering value if editing last module
 # [#28325] Deleted files not being deleted during version update

29-Mar-2012 Mark Dexter
 # [#28323] com_joomlaupdate does not delete joomla.xml file in root folder
 # [#28318] Remove duplicate SQL Server directories.

29-Mar-2012 Christophe Demko
 $ Updating installation ini file sk-SK

28-Mar-2012 Mark Dexter
 # [#28303] Change 28026 so it doesn't modify platform files
 # [#28252] Don't show the site secret and optimize ConfigModelApplication
 # [#28172] Backslashes are added every time you save Wrapper menu item

28-Mar-2012 Christophe Demko
 # [#28314] #28299 can cause performance issue if root category is loaded in non multilanguage mode
 # [#27961] Template is not displayed in the Styles (backend)
 # [#28120] XHTML 1.0 Transitional

27-March-2012 Mark Dexter
 +  [#27984] Make the auto-update process more reliable across different hosts

27-Mar-2012 Jean-Marie Simonet
 $ Updating installation ini file cs-CZ

26-Mar-2012 Jean-Marie Simonet
 $ Updating installation ini file ru-RU

25-Mar-2012 Jean-Marie Simonet
 $ Updating installation ini file nl-NL
 # *SEF issue when using article button in multilanguage. Thanks Christophe

25-Mar-2012 Christophe Demko
 # [#28284] System messages included in cached pages
 # [#28268] Update MooTools to 1.4.5 (Rouven Weßling)
 # [#28286] Fix @since tags for 2.5.4. Code style in CMS libraries. (Rouven Weßling)

23-Mar-2012 Jean-Marie Simonet
 $ Updating installation ini file sq-IQ

23-Mar-2012 Christophe Demko
  # [#28175] *Calendar readonly="true" status prevents loading custom calendars.
  # [#28277] Wrong 'category' tag in category feed

22-Mar-2012 Jean-Marie Simonet
 $ Updating installation ini files cbq-IQ, de-DE, sv-SE
 # [#28280] Regression in the com_installer warnings. Thanks Rouven
 # [#28154] RSS feed of com_finder throws fatal error. Thanks Elijah.
 # [#28266] Sql error generated in menus. Thanks Sudhi
 # [#28265] Fix use of deprecated API in com_installer. Thanks Rouven

21-Mar-2012 Jean-Marie Simonet
 $ Updating installation ini files af-ZA, ar-AA, az-AZ, bg-BG, hr-HR, ro-RO
 $ Updating installation ini files fi-FI, bs-BA
 $ Updating installation ini files th-TH, uk-UA

19-Mar-2012 Mark Dexter
 # [#28269] *Protected extensions can be disabled through the toolbar
 # Fix JSession::checkToken() to be forward compatible with Joomla 3.0
 ^ [#28026] Add option to show full CMS version number in generator tag
 + Partial commit of [#27984] Make the auto-update process more reliable across different hosts -- language files
 [#27759] Alternative Sample Data Files (blog and brochure) (for SQL Server)

19-Mar-2012 Jean-Marie Simonet
 $ Updating installation ini files fa-IR, he-IL, ko-KR, ug-CN, zh-TW
 # [#28263] *27052 does not work as should for System Links menu items. Thanks Christophe.
 # [#28262] Bug with Rebuild button in the Menu Manager. Thanks Rouven.
 # [#28255] Update TinyMCE to version 3.4.9 + optimizations. Thanks Rouven
 # [#28259] Error in Database tab in Extension Manager. Thanks Mark

18-Mar-2012 Jean-Marie Simonet
 # [#28226] Incorrect SQL statement for MenuItems in menuitem library. Thanks Ben.
 # [#28261] Error message contains the string Joomla 1.7. Thanks Nikolai
 $ Updating installation ini files et-EE, pt-PT, tr-TR. Adding Albanian sq-AL.

17-Mar-2012 Jean-Marie Simonet
 $ Updating installation ini files be-BY, da-DK, el-GR, es-ES, it-IT, ja-JP, km-KH, lo-LA, lv-LV, mk-MK, nb-NO, nn-NO, pl-PL, sr-RS, sr-YU, ta-IN

16-Mar-2012 Jean-Marie Simonet
 $ Updating fr-FR installation ini

15-Mar-2012 Mark Dexter
 # [#27759] Alternative Sample Data Files (blog and brochure)
 # [#28237] PHP Notice in back end login when cache enabled.

09-Mar-2012 Christophe Demko
 # [#27052] *content menu displayed when disable component content
 # [#27959] *Wrong redirection when login on multilang site with SEF on. (Jean-Marie Simonet)
 # [#27659] joomla 2.5beta1 module alternative layout on admin side don't work

07-Mar-2012 Christophe Demko
 # [#27951] Missing parameter handling in magic proxy methods for name quotes (Sven Hurt)
 # [#28151] *Joomla! 2.5 - Multilanguage feature - external links end with 404
 # [#28206] Result Description "if condition" was missing in com_finder (Skunk Sie)

05-Mar-2012 Jean-Marie Simonet
 # [#28198] Beez 5 generating warings/notices. Thanks Elin
 # [#28199] Archive module error when no articles are archived. Thanks Elin
 # [#27889] change permissions in language manager changes default language to english. Thanks Christophe

04-Mar-2012 Jean-Marie Simonet
 # [#28190] com_search: Show Search Results results in PHP fatal error. Thanks John
 #$ [#27751] Installation - Check to ensure the schema file exists. Thanks Michael and Mark
 # [#27780] Duplicate Template Styles. Thanks Reinhard

04-Mar-2012 Christophe Demko
 # [#27770] loadposition strips the $ character from html modules
 # [#28086] No access to params "images" in mod_articles_news (Jean-Marie Simonet)
 # [#26602] Front end article creation in unpublished category (Elin Waring)
 # [#27779] "Articles" H1 tag appearing before the article title... (Franz Korntner)
 # [#23414] Flash uploader rtl - browse button disabled (Ofer Cohen)

03-Mar-2012 Mark Dexter
 # [#28001] path delimiter doesn't work properly on SQL Server and SQL Azure
 # [#27898] System cache throws warning on Ajax requests with JSON response
 # [#27150] PHP Fatal error when detele a article category assigned to a artcle categories module**
 # [#28046] Update MooTools to version 1.4.4

03-Mar-2012 Christophe Demko
 # [#28180] fix for com_modules getListQuery returning too many rows (rob clayburn)
 # [#28125] Database change broke JUser getGroups() API

03-Mar-2012 Jean-Marie Simonet
 # [#28181] *Notice in weblinks module
 # [#28179] JText values in js of quick icons force to escape single quotes. Thanks Patrick.
 $ [#27536] mod_articles_category ordering. Thanks Brian.
 # [#28158] Fix for override manager regarding plugins. Thanks Patrick.
 # [#23021] Notice message in banners model. Thanks Adrien.
 # [#28174] com_wrapper doesn't support iframe without border. Thanks Ofer.
 # [#28187] Notice in com_contact when sendEmail fails. Thanks Richard.
 # [#27888] users notes categories. Thanks Christophe and Michael.
 # [#28188] Javascript issue on IE7 during install. Thanks Adrien
 # [#28186] PHP Strict Standards: Non-static method UsersHelperRoute::getResetRoute() should not be called statically, assuming $this from incompatible context. Thanks Richard.

02-Mar-2012 Jean-Marie Simonet
 # [#25423] $message not initialized in ~/components/com_users/controllers/reset.php. Thanks Christophe.
 # [#28162] Creating menu items saves selection when it shouldn't. Thanks Jeremy
 $ [#28157] Inconsistent Language Constants in the Beez_20 Language Files. Thanks Mig
 # [#28150] ContentBuildRoute does not remove layout if link attached to menu item. Thanks Ryan.
 # [#27477] languagefilter: build rule is deleting "option" param. Thanks Christophe.
 # [#27863] JHtmlGrid::sort broken. Thanks Ofer
 # [#26906] Zip Archive native unpack wrong result. Thanks Pavel

28-Feb-2012 Jean-Marie Simonet
 # [#28145] Add uninstall support for possibly installed media files. Thanks Sven

27-Feb-2012 Jean-Marie Simonet
 # [#28133] JMail addAttachment ignores parameters (filename, encoding, type).Thanks Holger.
 # [#28140] *JText values in js beez templates force to escape single quotes
 # [#28117] *Hathor forgotten in #28072
 # [#28134] Typo in com_content view. Thanks Ofer.
 # [#28132] Typo in joomla-cms / installation / models / configuration.php. Thanks Vladimir and Michael
 # [#28114] missing css .icon-32-print class in bluestork template (and Hathor). Thanks Javier and Michael
 # [#27706] JAccess::getGroupsByUser doesn't work as expected in case of guest user. Thanks Patrick

24-Feb-2012 Christophe Demko
 # [#28118] Notice 'Only variable references should be returned by reference' (Piotr Konieczny)
 # [#28115] *PHP 5.3.8 Notice for some language packs with iconv
 # [#28122] Fix installation for Joomla 3.0 (Rouven Weßling)
 # [#28023] Backport JSession::checkToken() from the platform (Rouven Weßling)

22-Feb-2012 Christophe Demko
 # [#28008] sql syntax error in libraries/joomla/database/table/session.php:137 (Daniel Cheng)

21-Feb-2012 Jean-Marie Simonet
 # [#28099] Editor buttons in Custom HTML module
 # [#28088] Strict error with JSite::getMenu()
 # [#28098] Entering link to article via Article button -making it Multilanguage aware

20-Feb-2012 Jean-Marie Simonet
 $ Updating ko-KR installation ini file
 $ [#28090] Changes to the Administrator Language Strings (mostly English). Thanks Mig

19-Feb-2012 Jean-Marie Simonet
 [#28091] Move the check if multilang is enabled to the libraries. Thanks Rouven
 [#28068] Module weblinks does not import needed JModel class. Thanks Pepe.
 [#28075] Recaptcha image doesnt show up, maybe because of https secure website. Thanks Viet.

17-Feb-2012 Jean-Marie Simonet
 # [#28072] *Content Languages ordering broken

16-Feb-2012 Christophe Demko
 # [#27931] Profile fields not available in edit, only registration
 # [#28036] *Implementing Access levels for Content Languages (Jean-Marie Simonet)

14-Feb-2012 Jean-Marie Simonet
 # [#28044] Plugin Loadmodule ignores selected style. Thanks Nikolai

13-Feb-2012 Christophe Demko
 # [#28017] JModuleHelper All but selected does not work correctly when there is no itemid (Elin Waring)
 # [#28000] Featured articles parameter does not work in mod_articles_popular

13-Feb-2012 Jean-Marie Simonet
 #$ [#27716] Saving 'Start Publishing' updates 'Finish Publishing' not 'Start Publishing'. Thanks John.
 # [#27902] *mod_languages html 5 validation error empty action attribute. Thanks Danilo.
 # [#27410] Don't use DS anymore. Thanks Rouven

12-Feb-2012 Jean-Marie Simonet
 # [#28028] *Entering an article link via the Article button=>links broken in SEF. Thanks Rouven.

10-Feb-2012 Jean-Marie Simonet
 + Adding index.html in new docs folder
 # [#27568] Remove the use of all deprecated functions (except JRequest and JException) in the installation. Thanks Rouven
 # [#28007] Languages overrides not showing content when showing is set to all. Thanks Patrick Alt
 # [#28021] mod_login module does not HTML escape the user's name. Thanks Vittal
 $ [#27824] Offline image overflow

07-Feb-2012 Jean-Marie Simonet
 # [#27992] Beez 2.0 has one css file still hardcoded with template name. Thanks Andrea
 + Adding index.html in new build folder
 # Correcting EOL for some adapters files (Issue posted on platform)
 # [#27990] Captcha Typo .Thanks Phil and Ofer.
 # [#27975] smart search author not translated.
 + Adding us flag to mod_languages

07-Feb-2012 Mark Dexter
 + Add build script to repository

06-Feb-2012 Jean-Marie Simonet
# [#27784] Use less deprecated functions. Thanks Rouven

05-Feb-2012 Mark Dexter
 # [#27907] Sitename not escaped
 # [#27802] The package installer insert two database entries on templates
 # [#27923] com_menus item model calls non-existing method
 # [#27843] media.php jInsertFieldValue

04-Feb-2012 Christophe Demko
 # [#27960] Unable to create an article (Sudhi Seshachala)

04-Feb-2012 Jean-Marie Simonet
 # [#26468] Unable to install multiple updates at once. Thanks Rune and Jeremy
 # [#27918] Date format in /plugins/usr/profile/profile.php is wrong. Thanks Ofer.
 # [#27870] Joomla 2.5 com_content generates non-valid xhtml. Thanks Mihail
 # [#27966] *Wrong constants in article menu item
 # Deleting obsolete lang files (plg_system_finder)
 # [#27972] Multilanguage Status module report version 1.7.1 should be 2.5.x
 # [#27600] Editor-XTD buttons Issues in FireFox 9. Thanks Ofer.
 # [#27853] error notice using search in joomla 2.5. Thanks Ofer.

-------------------- 2.5.3 Stable Release [15-Mar-2012] ------------------

-------------------- 2.5.2 Stable Release [05-Mar-2012] ------------------

-------------------- 2.5.1 Stable Release [02-Feb-2012] ------------------

01-Feb-2012 Mark Dexter
 ^ [#27941] Add warning/no warning icons on Database screen
 # [#27938] labels missing for Smart Search / Finder module

01-Feb-2012 Christophe Demko
 # [#27920] Update SQL query requires temp table permissions (Mark Dexter)
 # [#27873] The related articles modules (mod_related_items) are not showing (Mark Dexter)

01-Feb-2012 Jean-Marie Simonet
 # [#27929] *Installing sample data and defining as site lang another lang then English breaks links. Thanks Christophe.
 $ [#27796] COM_USERS_FITLER_NOTES. Thanks Brian.
 $ Other language corrections com_media.
 # [#27774] Joomla on Windows Azure - Load time is slow. Thanks Sudhi
 # [#27581] Basic Search contact search is broken. Thanks Elin.
 # [#27890] mod_menu invalid rendering of items of type alias and url. Thanks Elin.
 # [#27829] $app variable can possibly not be set, causing a PHP error. Thanks Michael
 # [#27862] Code error plgUserProfile line 188. Thanks A. Kirk and Viet.
 # [#27868] Joomla 1.7.x batch processing allow move items to trashed categories. Thanks Michael
 # [#27916] Path of home sub-menu items contain "News Feeds". Thanks Mark

31-Jan-2012 Christophe Demko
 ^ [#27905] Upgrade MooTools to version 1.4.3 (Rouven Weßling)
 # [#27662] Can't update #__update_sites table at extension install on SQL Server (Michael Babker)
 # [#27872] Error in Banner Track Clicks (AlexRed)
 # [#27919] Extension Manager: Database does not fix text filter problem (Jean-Marie Simonet, Mark Dexter)

31-Jan-2012 Jean-Marie Simonet
 $ Adding new installation language ug-CN
 $ Updating installation ini file no-NO

30-Jan-2012 Christophe Demko
 # [#27885] TinyMCE settings in SQL don't reflect recent changes in options. (Andrea Tarr, Elin Waring)

30-Jan-2012 Jean-Marie Simonet
 [#27818] Update 1.7 strings to 2.5. Thanks Christophe

30-Jan-2012 Mark Dexter
 # [#27887] Extension Manager: Database does not fix update problem
 # [#27886] An unpublished linked contact leads to articles not being displayed.
 # [#27895] Version Number Module Not Assigned to Menus
 # [#27893] New version module interferes with license notice in Hathor
 # [#27700] com_redirect redirects should use 301 redirect, not 303
 # [#27864] User profile page does not HTML escape the user's name
 # [#27896] mod_search head search link title not escaped

29-Jan-2012 Jean-Marie Simonet
 # [#27880] 'Please first make a selection from the lis't: Huge error on 40+ sites. Thanks Rouven.
 + [#27844] Version Module for Admin to show Joomla version in Footer admin Template
 # [#27842] Batch processing broken. Thanks Michael and Christophe
 $ Correcting parsing errors in bn-BD.ini

-------------------- 2.5.0 Stable Release [24-Jan-2012] ------------------

22-Jan-2012 Christophe Demko
 # [#27810] *Strict error when creating/editing a Content Language

22-Jan-2012 Jean-Marie Simonet
 $ Updating installation ini files ur-PK, cs-CZ. Adding ml-IN installation
 # [#27808] float of full article image is not affected at all. Thanks Ofer
 # Correcting encoding ml-IN.xml
 # [#27812] image float issues. Thanks Andrea.
 # [#27791] SQL Server - Cannot access Smart Search Filter Edit View. Thanks Michael
 # [#27789] SQL Server - Smart Search Statistics view fails to load. Thanks Michael.
 # [#27691] Active taxonomy nodes are ignored in Smart Search module. Thanks Chris.

21-Jan-2012 Jean-Marie Simonet
 $ Updating installation ini files tr-TR, ur-PK
 # [#27557] Code style fix and Hathor CSS fixes to Extensions/Installer. Thanks Andrea.
 # [#27793] Notice errors in Hathor article edit. Thanks Andrea.
 $ [#27787] Installation Folder not directory. Thanks Brian. (English consistency ONLY)
 $ Updating installation ini file eu-ES, pt-BR
 $ Deleting installation ini file ka-GE
 $ Updating installation ini file sk-SK
 # [#27804] *Syntax error in templates.php. Thanks Monika
 $ [#27564] Capitalisation of extension names in language files. (English ONLY)

21-Jan-2012 Christophe Demko
 # [#27798] Tracker #27896 messed up CSS in Hathor control panel (Andrea Tarr)
 # [#27799] Php errors in smart search content map tab in Hathor (Andrea Tarr)
 # [#27766] ACL Issues when user has edit (but not create) permission in specific categories. (Elin Waring)
 # [#27795] Strict standards: Declaration of LanguagesModelLanguage::delete() should be compatible with that of JModelAdmin::delete()
 # [#27761] No parent categories showing in one scenario (Elin Waring)

20-Jan-2012 Christophe Demko
 # [#27790] *Error on uninstalling language pack since 2.5beta

20-Jan-2012 Mark Dexter
 # [#27778] JFormField uses get_called_class method that is not compatible with PHP 5.2.4
 # [#27786] Unescaped code in com_content
 # [#27783] *JLanguage: Avoid BOM error when debug, as BOM is OK when using parse_ini
 # [#27785] Internationalization support for Joomla on SQLAzure is breaking.
 # [#27606] Code cleaning for user notes

20-Jan-2012 Jean-Marie Simonet
 $ Updating installation ini files hr-HR, cs-CZ
 # [#27782] There is an unneeded row in sample data. Thanks Elin

19-Jan-2012 Jean-Marie Simonet
 #$ [#27747] Strict standards: Module manager. Thanks Nikolai
 ^ [#27563] Author tag in xml. Thanks Brian
 # [#27467] Use the new url filtering for fields. Thanks Elin.
 ^ [#27767] Inconsistency of "Status" translation in plugin and user manager.
 # [#27771] Indicate unpublished categories in category edit drop down. Thanks Elin.

-------------------- 2.5.0 RC1 Release [18-Jan-2012] ------------------

18-Jan-2012 Christophe Demko
 ^ Forgot some code in [#27696] Add a context to onGetIcon event
 + Adding indonesian flag in mod_language

18-Jan-2012 Jean-Marie Simonet
 # [#27760] 500 error in Template Manager - DB specific. Thanks Sudhi
 # [#27649] unique identifier it convert into corresponding text. Thanks Sudhi.
 $ Updating installation ini file bn-BD
 # [#27768] reCaptcha always shows up in english. Thanks Rouven
 # [#27764] server not found error in Extension Manager - DB specific. Thanks Sudhi
 $ Adding comment in en-GB.plg_captcha_recaptcha.ini
 # [#27754] 404 category not found - due to syntax change in platform

18-Jan-2012 Mark Dexter
 ^ Sample data changes (Elin Waring)
 # [#27216] Edit state option does not work as expected on front end

17-Jan-2012 Jean-Marie Simonet
 # [#27746] *Useless 'language' information in Sys info. Thanks Jonathan
 $ Updating installation ini files lo-LA, ca-ES
 $ Updating installation ini file bn-BD
 $  [#27756] Duplicated keys at language files. Thanks Valc.

17-Jan-2012 Mark Dexter
 # [#27736] Remove the use of more deprecated functions
 # [#27717] error saving _finder_tokens with big articles
 # [#27708] Com_content arrticle view params: image and links -> Position Links/URLS
 # [#27753] 500 error in Language Manager - DB specific
 # [#27752] Smart Search - "web page not found error"
 # [#27730] Smart Search stemmer support not working**

16-Jan-2012 Mark Dexter
 # Backport joomla platform pull requests #704, #718, #738, #739, #746 and #747.

16-Jan-2012 Christophe Demko
 # [#27719] SQL Server - Error updating #__schemas table
 # [#27729] reCaptcha is installing as default in Global Config causing errors on frontend
 # [#27696] Add a context to onGetIcon event
 $ Change string
 # [#27740] Remove files that are now linked
 - Remove useless files
 + Backporting from the platform (allow specific plural for given number: #726)
 # [#27742] The new links in article lack styling flexibility, plus fix invalid html (Andrea Tarr)
 ^ Fix RTL for #27696

16-Jan-2012 Jean-Marie Simonet
 $ Updating installation ini files el-GR, lt-LT, zh-CN, zh-TW
 $ Updating installation ini file gl-ES
 $ [#27591] URL capitalisation Thanks Brian.
 $ [#27588] Email or e-mail inconsistency. Thanks Brian and Herve.
 $ [#27537] Missing capitalisation in en-GB.com_users.ini. Thanks Brian.
 $ Update installation ini he-IL for typo

15-Jan-2012 Christophe Demko
 + [#27451] Add a Admin Menu Item for adding a New User Notes Category
 ^ [#27722] protected function dayToString($day, $abbr = false) Why protected (romacron)
 # [#27702] Error in sql query (Vincenzo Quaranta)
 ^ Move user notes icons in templates folder

15-Jan-2012 Jean-Marie Simonet
 $ Typo in tpl_hathor.sys.ini. Thanks Stella.
 #$ [#27653] patch for captcha fields on reset, remind and contact forms. Thanks Nicola, Rouven, Christophe.
 $ [#27723] Improve tool tip and label for manage permission. Thanks Elin.

14-Jan-2012 Christophe Demko
 # [#27712] Errors in joomla.sql (Christian Kern)
 ^ Deleting more "$ Id $"
 # [#27577] Clean up of various things in com_templates (Jennifer Marriott, Elin Waring, Jean-Marie Simonet)

14-Jan-2012 Jean-Marie Simonet
 $ [#27720] Remove unused strings from en-GB.com_finder.sys.ini. Thanks Michael
 # [#27676] SQL Server - Fix MySQL Specific Query in administrator/includes/application.php. Thanks Michael
 $ [#27589] id or ID inconsistency. Thanks Brian.
 ^ Deleting more "$ Id $"
 $ Updating installation ini file sy-IQ

13-Jan-2012 Christophe Demko
 ^ Updating copyright
 ^ Deleting remaining "$ Id $"

13-Jan-2012 Jean-Marie Simonet
 $ Updating installation ini files ar-AA, gd-GB
 # [#27707] *Regression: Debug on breaks template assignments to menu items.
 $ Updating installation ini file th-TH
 $ Updating installation ini file ru-RU

12-Jan-2012 Jean-Marie Simonet
 $ Updating installation ini files fa-IR, hr-HR, pl-PL, pt-PT
 ^ Changing Version # to 2.5 for updated installation lang xml
 ^ Updating Copyright in xml files.
 ^ Updating Copyright in administrator folder
 ^ Updating Copyright
 ^ Updating <version>1.7.0</version> to 2.5.0
 ^ Updating version="1.7" to 2.5
 # Normalizing index.html files
 ^ Updating en-GB.xml files
 ^ Deleting "$ Id $". Thanks Rouven.
 # Correcting some EOL
 $ Updating installation ini files nb-NO, nn-NO, ro-RO
 # Adding misssing index.html files. Thanks Rouven.
 # [#27117] More autoformatting fixes. Thanks Rouven.

-------------------- 2.5.0 Beta2 Release [11-Jan-2012] ------------------

11-Jan-2012 Mark Dexter
 # [#24634] Menu items don't become active (i.e. highlight) if the Menu Item Type is "Menu Item Alias"

11-Jan-2012 Christophe Demko
 ^ Merge branch 'platform114' of git://github.com/realityking/joomla-cms

11-Jan-2012 Jean-Marie Simonet
 $ Updating installation ini file be-BY
 # [#27694] *Finder search broken because of filters Country and Region.
 $ Updating installation ini files bs-BA, gu-IN
 # [#27683] *Smartsearch remaining issues after commit #27565. Thanks Chris.
 $ Updating installation ini files af-ZA, lv-LV

10-Jan-2012 Jean-Marie Simonet
 $ Updating installation ini files az-AZ, bg-BG, ckb-IQ, da-DK, de-DE, es-ES, et-EE, fi-FI, hu-HU, it-IT, ja-JP, km-KH, mk-MK, nl-NL, sr-SR, sr-YU, sv-SE, ta-IN
 # [#27565] Move Smart Search content type-specific language strings into their respective plug-ins. Thanks Chris.
 # [#25086] "Image" button in tinyMCE is missing when creating new content. Thanks Elin.
 $ Updating installation ini files he-IL, mn-MN, uk-UA

10-Jan-2012 Mark Dexter
 # [#27634] PHP Strict error for SQLServer (merge with 11.4 platform)
 # [#27678] PHP 5.4 (E_STRICT): installation fails due to strict warnings
 # [#27604] class suffix missing from mod_banner ITEMS
 # [#27479] Finder schema to support SQLServer
 # [#27607] Sample Data for SQLServer and SQLAzure
 # [#27635] JForm issue with Fabrik - proposed solution (thanks Rouven & Christophe)
 # [#27630] Issue with replacePrefix -- valid only for SQLServer
 + [#27507] Add ablility to turn off the email to user when an Admin creates a user
 # [#24602] Users with create rights in a category but not component can't create subcategories**
 # [#27650] sample sites - category not found
 # [#27673] Sort in Users management - backend
 # [#27587] Update Generator Tag
 # [#27672] Toggle registered users in user manager
 + [#26635] (patch) Enhancement to update listing to show infourl items
 # [#27686] Backport some fixes from the platform
 # [#27574] Error in opening Joomla 2.5 website if no database available
 # [#27681] Database check feature improvements
 # [#27656] Backward compatibility issue with JRules() and JRule()
 # [#27638] Web links metadata fields missing from user interface
 # [#27605] Smart Search caching issues.
 # [#27488] JInstaller: :Install: Error on upgrade 1.7.3 to 2.5 Beta 1
 # [#27670] Something in 22409 broke frontend editing of weblinks
 # [#27689] Smart Search sorting issues**

09-Jan-2012 Jean-Marie Simonet
 # [#27671] Hathor Global configuration not working. Thanks Andrea.
 # Updating installation ini fr-FR
 # [#27667] Move the debug CSS to its own file. Thanks Rouven.
 # [#26676] Fields with multi select in the profile won't work. Thanks Christophe.
 # [#26275] Joomla automatic add meta robots=index,follow. Thanks Christophe.

08-Jan-2012 Mark Dexter
 # Revert [#24634] Menu items don't become active (i.e. highlight) if the Menu Item Type is "Menu Item Alias" (Bernie Sumption)

08-Jan-2012 Jean-Marie Simonet
 # [#27551] Smart Search patch to show warning if content plug-in not enabled. Thanks Chris.
 # [#27580] Smart Search - Duplicate Code Cleanup, Strict Errors with FinderControllerUpdater. Thanks Michael
 # [#27631] Smart Search indexing does not properly account for item published states. Thanks Michael and Chris.
 # [#27584] Search from smart search module is producing two item ids. Thanks Elin and Andrea.
 # [#27654] Smart Search - Fix use of CHAR_LENGTH MySQL command. Thanks Michael.
 #$ [#27657] *Multidb: can not install without mysql support. Thanks Nikolai and Andrea
 #$ [#27646] *Add a check for Magic Quotes GPC to the installation. Thanks Rouven
 #$ [#27346] *Installation problem on step 1 - server without JSON. Thanks Rouven.
 $ [#27665] Smart search content plug-in screen name. Thanks Chris.

07-Jan-2012 Christophe Demko
 # [#24634] Menu items don't become active (i.e. highlight) if the Menu Item Type is "Menu Item Alias" (Bernie Sumption)

07-Jan-2012 Jean-Marie Simonet
 # [#27636] Option to disable Smart Search autocompleter missing from user interface. Thanks Chris

06-Jan-2012 Christophe Demko
 # [#24533] Last updated on article without updating it bugs (bill richardson)
 # [#24712] Module, template, and plugin preprocess forms not passing content group or any group to allow editing via the onContentPrepareForm plugin event (Brian Towles)
 # [#25790] Some queries not correctly dealing with trash (Mark Dexter)
 # [#25491] Incorrect check in page_heading in weblinks (bill richardson)
 # [#23890] Edit own action in User Manager (Sander Potjer)

06-Jan-2012 Jean-Marie Simonet
 # [#27579] Smart Search search term highlighting not working. Thanks Rouven and Michael.
 # [#27540] Finder / Smart Search selectbox order. Thanks Brian
 # [#27573] Incorrect route created by Smart Search contact plug-in. Thanks Michael
 # [#27543] Double Slashes with CodeMirror use. Thanks Jan and Andrea
 # [#27541] trouble with broken Intro image. Thanks Andrea
 # [#23644] When adding a new item from a category view that category should be selected. Thanks John
 # [#27501] Bluestork template image error. Thanks Andrea
 # [#26642] user registration model should always use frontend urls. Thanks Christophe.

05-Jan-2012 Jean-Marie Simonet
 $ Adding new installation language mn-MN

04-Jan-2012 Jean-Marie Simonet
 $ Updating installation ini files: gl-ES, sk-SK
 # [#27595] *regression: Multilanguage template styles do not display flags when homes set for a Content language
 #$ [#27556] * Smart Search ALL language displays as *. Thanks Dennis
 $ [#27594] UTF-8 consistency. Thanks Brian
 #$ [#27572] Give contact email label its own string. Thanks Andrea.
 $ [#27593] itemID consistency.Thanks Brian
 $ Adding new installation language ko-KR

03-Jan-2012 Mark Dexter
 # [#27608] Usernotes had db specific query
 # [#27590] br fixes

03-Jan-2012 Christophe Demko
 + [#27221] Improvements for batch processing (Michael Babker)

31-Dec-2011 Jean-Marie Simonet
 $ Corrected plg_system_languagecode.ini string typo.
 # [#27571] Missing or incorrect help screen key references. Thanks Chris.
 $ [#27570] Link in Plug-in Manager: System - Language Code. Thanks Brian

30-Dec-2011 Jean-Marie Simonet
 # Fixing again [#27520] lost when committing [#27498]
 # Fixing again [#27533] lost when committing [#27498]
 # Fixing again [#27510] lost when committing [#27498]
 # [#27502] JS Error: #plg_quickicon_joomlaupdate does not exist. Thanks Rouven

29-Dec-2011 Christophe Demko
 # [#27552] Bad character in Smart Search newsfeeds plug-in (Chris Davenport)

29-Dec-2011 Jean-Marie Simonet
 - [#27534] * regression : Message when trashing/publishing/etc. Revert #27257

28-Dec-2011 Jean-Marie Simonet
 # [#27498] Various Finder issues; Thanks all.
 $ [#27539] Finder / Smart Search language. Thanks Brian.
 # [#27447] Fix the use of several deprecated functions. Thanks Rouven and Andrea.

27-Dec-2011 Jean-Marie Simonet
 # [#27510] *Smart Search does not show up in filter
 # [#27533] Untranslated strings in Smart Search module. Thanks Chris.
 # [#27520] Smart Search Filter / Fx.Scroll. Thanks Benjamin

26-Dec-2011 Jean-Marie Simonet
 # [#27508] mod_status is mirroring incorrect in RTL admin panel. Thank Ofer.
 $ [#27493] Beez 5 has a Beez 2 language key. Thanks Ken.
 # [#26632] Inconsistent operation of user field type. Thanks Michael Richey.
 $ [#27516] Step 6 of Joomla 2.5b1 Installation CSS/Layout errors. Correcting sv-SE
 # [#27519] Setting a home menu item with language duplicates the menu. Thanks Christophe.

24-Dec-2011 Jean-Marie Simonet
 # [#26380] Menu items of different languages can't have same alias, menu items are cached for each user. Thanks Dennis

24-Dec-2011 Christophe Demko
 # [#26582] Recursive permanent deletion of nested categories (Denise McLaurin)
 ^ [#27351] Modify default permissions for Admin Group (Elin Waring)
 # [#26421] Add a context to JHtmlContent::prepare (Michael Babker)

23-Dec-2011 Christophe Demko
 # [#27491] Fix JFormFieldFilters (Rouven Weßling)
 # [#27492] SQL Date issue (Sudhi Seshachala)
 # [#27458] Menu Manager error: Strict standards: Declaration of MenusModelItem::batch()

23-Dec-2011 Jean-Marie Simonet
 # [#27486] Smart Search db errors on upgraded 1.7.2 to 2.5 b1. Thanks Michael
 #$ Missing Smart Search translations
 # [#27484] Updates for Finder plugins. Thanks Michael
 - Deleting redundant update sql file (now all > 1.6 => in com_admin)
 # [#27407] Use the new JFormFieldPlugins. Thanks Rouven.
 # Changing EOL to Unix for all plugins/finder/ files

-------------------- 2.5.0 Beta1 Release [22-Dec-2011] ------------------

22-Dec-2011 Mark Dexter
 # [#27453] toSQL Date format
 # [#27471] *Updating 1.7.0 with 2.5 beta update package does not install Finder
 # [#27482] Changesearch/ finder template image references

22-Dec-2011 Jean-Marie Simonet
 $ Updating installation ini files pt-BR, ckb-IQ, lo-LA
 # [#27469] Fixing Update Notification to call specific icons. Thanks Andrea
 # [#27464] com_config - db query standardized. Thanks Sudhi.
 # [#27468] script.php needs to delete one more folder. Thanks Andrea and Christophe
 # [#27478] Extension Database screen has malformed slider with no errors. Thanks Andrea
 # [#27472] Global Text Filter Default values not added to joomla.sql. Thanks Denise and Andrea.

21-Dec-2011 Christophe Demko
 + Missing an hathor view in [#27414]
 # [#27273] Sorting broken in com_contact single category view (Denise McLaurin)

21-Dec-2011 Mark Dexter
 + [#27348] Finder Integration: Rob Schley, Michael Babker, Elin Waring, Chris Davenport, Omar Ramos, Viet Hoang Vu,
 	Jean Marie Simonet, Rouven Weßling, Louis Landry, Gabriele Pongelli
 # [#27455] Group by clause in articles missing 2 new columns
 # [#27454] SQLQuery with function!

21-Dec-2011 Christophe Demko
 ^ [#27409] Remove unnecessary import calls and fix up docblocks (Rouven Weßling)
 $ [#27417] Options have replaced preferences (Jean-Marie Simonet)

21-Dec-2011 Jean-Marie Simonet
 $ Updating installation ini file el-GR, sr-RS, sr-YU

21-Dec-2011 Mark Dexter
 # [#27349] Replace deprecated method getEscaped
 # [#27414] Implement a administrator/templates/hathor/html/com_users/notes/default.php layout in hathor plus other bug fixes
 # [#27444] Sample Data for SQLServer and SQLAzure sync
 # [#27449] Synch up with platform changes as of CMS beta 2.5
 # [#27442] Add the #__user_notes table in sqlsrv and sqlazure
 # [#27257] Unexpected behavior of children in Categories and Menu Items
 + [#26482] Custom Black List in Text Filters - Ready to test - Makes it possible to overwrite default blacklist - Joomla 1.7
 + [#19460] Captcha in the core
 ^ [#27450] Update version information and add new extensions to installation

20-Dec-2011 Mark Dexter
 # [#27436] User Notes breaks admin login for some groups
 # [#27435] * Plugin redirect patch
 + [#26783] Use the images and urls fields to create simple standardized layouts

20-Dec-2011 Jean-Marie Simonet
 # [#27416] *Strict in com_users
 # [#27261] strict standards on initialise. Thanks Christophe
 # [#27406] Use JDate::toSql(). Thanks Rouven
 # [#27408] Fix some of the new Javascript. Thanks Rouven

19-Dec-2011 Jean-Marie Simonet
 # [#27011] Page Navigation rel next/prev back to front. Thanks James
 # [#27372] Configuration.php-dist for multi-db. Thanks Christophe.
 $ Updating installation ini file hu-HU
 $ Updating installation ini file pt-PT, ru-RU
 + Adding da.gif for mod_languages

19-Dec-2011 Mark Dexter
 # [#27415] Missing platform change for update notification

18-Dec-2011 Christophe Demko
 + [#27371] Category filtering on content doesn't including sub-categories (Ofer Cohen)
 # [#27413] Two fixes to Database files to support seamless installation on multidb (Sudhi Seshachala)
 + [#27306] User Notes (Andrew Eddie)

18-Dec-2011 Mark Dexter
 ^ [#27361] mod_status optimization (Kyle Ledbetter)

18-Dec-2011 Jean-Marie Simonet
 # Correcting Rev 22542 reintroducing error corrected in #27342 (Type display in Plugin Manager)
 $ Miscellaneous corrections to ini strings (duplicate, extraneous spaces). Thanks Valc.
 $ Updating installation ini files ka-GE. Adding new language ur-PK.
 $ Missing string.
 - Taking off unused string (for now) from installation en-GB and en-US added in #27282
 # [#27411] *Batch language action broken for categories.
 ^ Updating xml version to 2.5
 $ Updating installation ini nl-NL

17-Dec-2011 Mark Dexter
 + [#27387] Catch up to the current platform
 + [#27282] Add ability to support other databases, starting with Microsoft SQL Server (thanks Hooduku)

17-Dec-2011 Christophe Demko
 # [#27401] Strict standards: Declaration of TemplatesModelStyle
 # [#27400] Strict standards: Declaration of CategoriesModelCategory
 $ [#27370] Search Result Menu (Jean-Marie Simonet)
 + [#27330] Add an option to filter the mod_whosonline by groups of the connected user

17-Dec-2011 Jean-Marie Simonet
 # Adding Tamil ta.gif flag to language switcher. Thanks Mig
 $ Updating installation ini files az-AZ, fa-IR, gd-GB, gu-IN, he-IL, it-IT, km-KH, uk-UA
 # [#27402] *Simplifying code for copy title/alias for menu item
 # [#26887] Duplicated (unnecesary) pagination code in featured contact's default_items.php. Thanks Peter and Denise
 # [#26672] Add a check for native ZIP support to the Installation
 $ Updating installation ini files fi-FI, ja-JP, pl-PL, zh-TW
 # [#27405] Menu item save as copy does not work. Thanks Christophe.

16-Dec-2011 Mark Dexter
 + [#27320] *Manager for Language Overrides (Patrick Alt)
 - Reverting [#26672] Add a check for native ZIP support to the Installation
 + [#26634] Joomla! update notification button in the quickicons module

16-Dec-2011 Jean-Marie Simonet
 $ Updating installation ini files bs-BA, da-DK, de-DE, es-ES, et-EE, hr-HR, mk-MK, nb-NO, sv-SE, en-US, en-AU
 $ Updating installation ini files fr-FR
 $ Updating installation ini files bg-BG, lv-LV, nn-NO, ro-RO, sr-RS, sr-YU, ta-IN, th-TH
 - Removing redundqnt joomla_update sql

16-Dec-2011 Christophe Demko
 # [#27392] MenusHelper::getAssociations() returns invalid data if no associations
 # [#27391] *Alternate meta tags for multilingual sites (Dennis Hermatski)
 # [#27395] another strict when click on image tab in editor area
 # [#26100] com_media image button upload using file_path not image_path param for base path** (Rune Sjøen)
 ^ [#23125] * "Select a Menu Item Type" in modal box in menu item edit page (Dennis Hermatski)
 # [#27398] *Strict standards BannersModelBanners::getItems()
 + [#27379] Easier workflow by linking Menu Manager: Add Menu to Module Manager: Module Menu (Andrew Eddie)
 + [#27390] *Improving SEO: New system plugin: languagecode
 + [#27207] Database Version Check (Mark Dexter)

15-Dec-2011 Mark Dexter
 # [#26672] Add a check for native ZIP support to the Installation

15-Dec-2011 Christophe Demko
 # [#27382] Add appropriatestyling to system debug plugin (Andrea Tarr)

15-Dec-2011 Jean-Marie Simonet
 # [#27393] undefined $option com_media
 # [#27137] End of line inconsistencies. Thanks Ed.

14-Dec-2011 Jean-Marie Simonet
 # [#27383] PHP 5.3 Strict Mode complains about Strict Standards on some methods. Thanks Jean-Claude

13-Dec-2011 Christophe Demko
 - [#26581] Link to users profiles on latest user and whos online (Denise McLaurin)
 + [#27292] *Implementing image option for the offline.php default page (Jean-Marie Simonet)

13-Dec-2011 Mark Dexter
 # [#27295] Start fading out the use of deprecated platform APIs

12-Dec-2011 Christophe Demko
 # [#25997] Fix missing article itemid in com_contact

11-Dec-2011 Jean-Marie Simonet
 # [#27376] Fix: Debug plugin reloaded. Thanks Nikolai
 $ [#27308] Backend or back-end (Jennifer Marriott)

10-Dec-2011 Christophe Demko
 # [#26589] unexpected behaviour in RSS with feed email (Brian Teeman)
 $ [#27367] Capitalise quick icon (Brian Teeman)
 $ [#27310] sef or SEF  (Brian Teeman)
 # [#27324] Joomla! Administration Login box has very SMALL margin at the bottom. (Alex B.)
 + [#24684] Patch to enable change of newsfeed display direction (Mathieu Cattin)
 + [#27263] *Option to set Joomla to Site Offline (YES) during installation (Jean-Marie Simonet)
 + [#26734] Debug Plugin Reloaded (Nikolai Plath)
 # [#26442] In banners module, open link in popup window does not work. (Mathieu Cattin)
 # [#26597] Fix JavaScript that relies on MooTools 1.2 ** (Rouven Weßling)
 # [#27124] Plug-Ins Manager missing string on no results (Nikolai Plath)

09-Dec-2011 Mark Dexter
 - Remove some files missed in reverting [#27282]
 # [#27291] Update database connection field
 + [#27205] Add a true autoloader to the CMS

09-Dec-2011 Jean-Marie Simonet
 # [#27325] Wrong module language file names in mod_articles_popular.xml. Thanks Alex.
 $ [#27289] bad english in en-GB.mod_syndicate.ini. Thanks Brian
 $ [#27313] template component language. Thanks Brian
 $ [#27314] Login component language. Thanks Brian
 $ [#27315] utilize not en-GB. Thanks Brian
 $ [#27311] normally not normaly - spelling. Thanks Brian

08-Dec-2011 Mark Dexter
 - Reverting [#27282] Add ability to support other databases, starting with Microsoft SQL Server
 - Reverting [#27291] Update database connection field until database changes are restored.

08-Dec-2011 Jean-Marie Simonet
 # [#27342] *Type display in Plugin Manager "Select Type" filter dropdown broken
 # [#27291] Update database connection field. Thanks Elin
 # [#27340] * Bug in preinstall check
 # Wrong EOF
 # [#27200] modMenuHelper references non-existent parameter. Thanks Denise
 # [#27158] Fatal PHP Error on calling method JMenuSite::getDefault() in Administrator. Thanks Christophe
 # [#27341] Incorrect Article Order in Sample Data. Thanks Mark

07-Dec-2011 Jean-Marie Simonet
 $ [#27316] customize not en-GB. Thanks Brian.
 $ [#27309] centred spelling en-GB
 # [#27294] *Validation through W3C broken on multilanguage sites. Thanks Christophe
 $ [#27312] Logged in or Logged-in. Thanks Brian.

06-Dec-2011 Mark Dexter
 + [#27282] Add ability to support other databases, starting with Microsoft SQL Server and Postgresql

04-Dec-2011 Christophe Demko
 # [#27286] plg_profile: Missing server side validation  (Nikolai Plath)
 # [#27288] Pagination and page navigation in default templates can look broken in front end. (Jennifer Marriott)

04-Dec-2011 Jean-Marie Simonet
 #[#27287] com_users fail to redirect properly on login failure. Thanks Nicolai.

03-Dec-2011 Mark Dexter
 ^ [#26134] Menu item parameter "Note"
 ^ [#27144] No "new user notification" email sent to admin
 ^ [#27229] *Implementing default text per language in syndicate module

03-Dec-2011 Jean-Marie Simonet
 # [#27196] Unable to add a trashed Content Language again. Thanks Michael

03-Dec-2011 Christophe Demko
 # [#27255] Fix some E_STRICT warnings
 # [#26778] Update TinyMCE to 3.4.7

02-Dec-2011 Christophe Demko
 ^ Changing file modes
 # [#27248] Default Beez templates hard coded paths
 - [#27252] Remove calls to import() that are now handled by the platform

30-Nov-2011 Jean-Marie Simonet
 # [#27258] Wrong # cols in tfoot of Installer view from com_languages. Thanks Denise
 $ Adding new strings from en-GB.jhtmldate.ini to en-GB.lib_joomla.ini

28-Nov-2011 Christophe Demko
 # [#25291] Front end clear link for media field and file field closes form
 # [#27141] Adding the possibility to automatically load (un)compressed css and js file whether debug in on or off
 # [#25643] JComponentHelper::renderComponent assumes $app variable unchanged
 # [#24919] JHtml::_('grid.boolean', $i, $value) should add void(0) if not given a task
 # [#27102] Collection updater not working in Joomla! 1.7
 # [#24796] Error removing styles in uninstall function
 # [#27201] More syncing with platform 11.3
 # [#26805] Update MooTools to version 1.4 and SqueezeBox to 1.3
 # [#27197] Backport the autoloader from the platform
 # [#26493] Class 'JRequest' not found in session.php
 # [#27184] Fatal error: Call to undefined method JDocumentFeed::getHeadData() in /home/content/53/8127853/html/libraries/joomla/cache/cache.php
 # [#26508] Wrong default format in JParameter->bind()
 # [#25957] wrong behaviour of libraries/joomla/application/module/JModuleHelper:moduleCache()
 # [#26612] Contacts Component sets Reply-To incorrectly in 1.7
 # [#26643] Profile Plugin is not allowing different settings for register and profile
 # [#26816] Extension manager - modules status
 # [#26731] Broken module chrome when using 'New window without navigation'
 # [#27212] Test CMS migration for platform 11.3

26-Nov-2011 Jean-Marie Simonet
 # [#27241] *Some search plugins do not query for the created date
 # [#27131] Adding 'Last' in menu item ordering. Thanks Elin

23-Nov-2011 Christophe Demko
 - [#27228] Remove the prefix check in the installation since it's buggy
 $ [#27233] Language String Changes for Consistency
 ^ [#27206] Wrong length of #__newsfeeds alias column in joomla.sql
 ^ [#27231] Authentication plugins use deprecated features of joomla platform

19-Nov-2011 Christophe Demko
 # [#27118] *Login Module redirects issue with multilanguage

18-Nov-2011 Christophe Demko
 # [#27190] When Global Cache enabled, sub menus don't expand

17-Nov-2011 Christophe Demko
 ^ Rename libraries/joomlacms by libraries/cms
 # [#27163] Inaccurate language string for empty Introtext (Denise McLaurin)

17-Nov-2011 Jean-Marie Simonet
 # [#26821] Plug-in Manager problem mixing pagination and filter. Thanks Prasit.
 # [#27189] Spelling mistake in com_menu, function name incorrect. Thanks Ryan.
 + Adding Syriac flag sy.gif to mod_languages. Thanks Pauls.

15-Nov-2011 Jean-Marie Simonet
 $ Correcting typo in ini file

14-Nov-2011 Jean-Marie Simonet
 Remove install checks

-------------------- 1.7.3 Stable Release [14-Nov-2011] ------------------

12-Nov-2011 Mark Dexter
 # Revert [#26805] because it breaks modal close behavior in front end (issue 27149)

11-Nov-2011 Jean-Marie Simonet
 # [#26993] Weblinks entries do not delete correctly and display in the weblinks view. Thanks Denise.

10-Nov-2011 Christophe Demko
 #- [#27119] Remove unused title_alias column

09-Nov-2011 Mark Dexter
 # [#26439] Editors have problems with quotes in content plugins syntax

09-Nov-2011 Christophe Demko
 # [#27129] *Patch #26980 breaks menu item saving
 # [#26805] Update MooTools to version 1.4.1
 # [#27128] *Validation error in mod_languages (Jean-Marie Simonet)

09-Nov-2011 Jean-Marie Simonet
 # [#26830] xreference in 1.6+ is inconsistent with 1.5.  Thanks Elin and Andrea
 # [#27129] *Patch #26980 breaks menu item saving. Thanks Christophe.

08-Nov-2011 Mark Dexter
 # [#27127] Merge more from the platform (images)

08-Nov-2011 Jean-Marie Simonet
 #$ [#26980] Missing menu ordering in edit. Thanks Christophe and Elin.
 #$ [#25037] No option to remove the default language from the URL and links. Thanks Christophe.
 # [#26979] *Ordering when editing in front-end

07-Nov-2011 Jean-Marie Simonet
 #$ [#27007] *mod_articles_category missing option to sort by feature articles ordering system. Thanks Denise.
 $ [#24697] Tooltip partly matches the related options in Latest News module

07-Nov-2011 Christophe Demko
 + [#26940] Allow ability to upload file (eg: profile picture) through com_users profile (CY Lee)

07-Nov-2011 Mark Dexter
 # [#26927] upgrade from 1.6.3 and 1.6.4 to 1.7.2
 # [#27090] Use elseif instead of else if (for platform files)
 # [#26226] page break broke when 'Table of Contents' set to Hide
 # [#27115] Use lowercase token

06-Nov-2011 Jean-Marie Simonet
 # [#26840] manifest_cache entry not generated for file packages on install. Thanks Michael
 # [#27108] *Fatal Error in multilangstatus module when languagefilter plugin disabled
 # [#26883] Start syncing to platform version 11.3 (media/system $id part)

04-Nov-2011 Jean-Marie Simonet
 # [#27075] Make sure there is a blank line at the end of every PHP file. Thanks Rouven

04-Nov-2011 Christophe Demko
 # [#27038] Apply the patch to fix the MySQL specific queries - com_installer (Sudhi Seshachala)

02-Nov-2011 Christophe Demko
 # [#27023] Component updates not working in Joomla! 1.7.0 and later (Nicholas Dionysopoulos)
 - Remove module menu entry (missing in [#27072])
 - [#27072] Books module when installing without sample data (Rune Sjøen)

01-Nov-2011 Jean-Marie Simonet
 # [#26608] Save as copy template style. Thanks Christophe
 # [#26959] Can't mass mail to SA group. Thanks Christophe
 # [#27056] System - Debug Not Allowed Any Groups to View when selected
 + Adding Taiwan and Hong-Kong flags to mod_languages. Thanks Eddy.

31-Oct-2011 Christophe Demko
 # [#27061] Beez5 have image path link to beez_20

28-Oct-2011 Jean-Marie Simonet
 # [#27029] *Adding column language tag in Language Manager Installed languages

26-Oct-2011 Jean-Marie Simonet
 # [#27018] The Table in the Category List Layout Could Sort ONLY by Created Date Irrespective of What is Selected for Show Date

25-Oct-2011 Jean-Marie Simonet
 + [#26995] *Adding to the multilanguage status module a check for contacts assigned languages. Thanks Christophe.
 #$ [#26988] Incongruous Language Implementation in Article List Header
 $ [#27019] Change Modified date to Modified Date for Consistency in en-GB.com_content.ini in the Front End. Thanks Mig.

24-Oct-2011 Jean-Marie Simonet
 # [#27010] Show or hide the menu title does not exist for the type of menu alias

23-Oct-2011 Christophe Demko
 # [#25782] When Default-menuitem set to registerd, homepage is 404

20-Oct-2011 Christophe Demko
 # [#25031] Support Forum URL as language file option

19-Oct-2011 Jean-Marie Simonet
 # [#26977] *Multilanguage: adding custom Site Name per Content Language
 + Adding Austria and Switzerland flags for mod_languages
 # Modifying version.php to 1.7.2

18-Oct-2011 Christophe Demko
 # [#26897] JDatabasequery work in com_plugins

17-Oct-2011 Jean-Marie Simonet
 # [#26972] Small regression rev. 22054, skipping translation in <description>, + BC 1.6.x issue. Thanks Cir Tap
 # [#26885] JText do not recognize "" no-string. Thanks Christophe.
 # [#26491] Date Icon "string untranslated". Thanks Christophe
 # [#24973] JHTML select.options with html entities. Thanks Pavel and Bill.

16-Oct-2011 Christophe Demko
 # [#26904] JDatabasequery work in com_redirect and com_search (Elin Waring)
 # [#26898] JDatabasequery work in com_newsfeeds (Elin Waring)
 # [#26896] JDatabasequery work in com_users front end (Elin Waring)

15-Oct-2011 Christophe Demko
 # [#26929] *Unique alias & Unicode alias issue
 # [#26937] Bluestork tabs fix when more than one row of tabs (Andrea Tarr, Matt Thomas)
 # [#26910] view metadata.xml isn't considered for parameters

13-Oct-2011 Jean-Marie Simonet
Pushed to github the following missing SVN commits when joomla-cms was moved
 # [#26911] Merge some code style changes from platform 11.3 (Rouven Weßling)
 # [#26912] Merge some code style changes from platform 11.3 (Rouven Weßling)
 # [#24664] Back-end language switching is working only when Default is selected
 # [#26907] *Adding tip to batch function (Jean-Marie Simonet)
 # [#26427] header items in the administrator panel are not in the right order on RTL template

12-Oct-2011 Jean-Marie Simonet
 $ Add new language key to 1.7.2 com_installer file
 $ Updating uk-UA installation.ini

10-Oct-2011 Jean-Marie Simonet
 + [#26913] Hathor missing notice images in rtl & some colors. Thanks Andrea
 #+ [#26866] notices in RTL doesn't mirroring. Thanks Ofer.

09-Oct-2011 Jean-Marie Simonet
 -$ Removing both en-GB.override.ini as they overwrite the existing ones when updating.

09-Oct-2011 Christophe Demko
 # [#26788] Add language field to batch widget (Michael Babker)

03-Oct-2011 Christophe Demko
 # [#26915] Remove Specific Author Information from Bluestork (Jean-Marie Simonet)
 # [#26914] Merge some code style changes from platform 11.3 (Rouven Weßling)

01-Oct-2011 Christophe Demko
 # [#26813] Misplaced Bracket on Language Titles in Multilingual Sites Using RTL Language (James Brice)
 # [#26911] Merge some code style changes from platform 11.3 (Rouven Weßling)
 # [#26912] Merge some code style changes from platform 11.3 (Rouven Weßling)
 # [#24664] Back-end language switching is working only when Default is selected
 # [#26907] *Adding tip to batch function (Jean-Marie Simonet)
 # [#26427] header items in the administrator panel are not in the right order on RTL template

30-Sep-2011 Christophe Demko
 - [#26903] Remove batch process code from com_contact (Michael Babker)

30-Sep-2011 Jean-Marie Simonet
 #$ [#26868] *Implementing default offline message per language. Thanks Christophe
 # [#25199] Problem with preg_quote in function utf8_ireplace. Thanks Nikolai and Christophe
 # [#26150] JRouterSite or JURI fails not sure if it's a bug. Thanks Bill and Morten
 # [#26596] replacePrefix return a null string due to __call() function. Thanks Nikolai

29-Sep-2011 Christophe Demko
 $ [#26692] poor english grammar (Tim Plummer)
 # [#26724] PHP Error Reporting Level cannot be set to "None". (Nikolai Plath)
 $ [#26853] Some bluestork strings are no longer needed due to the commit of 25921 (Peter Chovancak)
 $ [#26857] Wrong English Grammar
 # [#25565] "Language string failed to load" showing up when sending an email
 + Adding missing index.html files

27-Sep-2011 Christophe Demko
 # [#26640] Code fixes for end of line inconsistencies (partial commit)

-------------------- 1.7.1 Stable Release [26-Sep-2011] ------------------

26-Sep-2011 Jean-Marie Simonet
 # [#26872] Problem installing with another language than default

25-Sep-2011 Mark Dexter
 # [#24654] No change in 'Menu Manager: Menus', if module was assigned to other menu in shadowbox showed after click to link in 'Modules Linked to the Menu' column in 'Menu Manager: Menus'
 # [#26390] Database password with '<' fails with Connector returned number: Unable to connect to the Database
 # [#26574] Weblinks - several issues
 # [#26695] Search word is required for com_search view
 # [#26867] Updating README
 # Small sample data fix

23-Sep-2011 Christophe Demko
 # [#26844] Improvements to batch processing

22-Sep-2011 Mark Dexter
 # [#26756] Prepare 1.7.1 upgrade process
 # [#26522] Client does not properly display in Extension Manager Update view
 # [#26824] Sync more changes form platform 11.2
 # [#26822] Fix some minor code style differences between trunk and 11.2
 # [#26715] Add stats toolbar icon

22-Sep-2011 Jean-Marie Simonet
 $ Updating installation ini files: sk-SK. Correcting a typo in com_languages.ini
 + Added Macedonian flag to media/mod_languages/images/ . Thanks Ilija
 $ [#26852] *mod_multilangstatus missing case

21-Sep-2011 Mark Dexter
 # Fix sample data to correct #__redirect_links table definition

21-Sep-2011 Jean-Marie Simonet
 $ Updating installation ini files: pt-PT, pt-BR
 # [#26552] Languagefilter plugin - wrong default for menu_association
 $ Adding installation Basque language: eu-ES

20-Sep-2011 Mark Dexter
 # Sample data fixes (Elin Waring)
 # [#26451] Favicon disappears
 # [#24275] Submenu items in deeper menu-levels appear although they have no active parent item

20-Sep-2011 Christophe Demko
 # [#26803] xx-XX.lib_joomla.ini file not installed into /language/xx-XX folder (Jean-Marie Simonet)
 # [#26829] Sample data module pages new styling and style corrections. (Jennifer Marriott, Elin Waring)
 # [#26793] Add joomlacms and cli folders (Elin Waring)
 # [#26836] Update robots.txt due to the commit of 26793
 # [#26837] *Wrong param in display date in category listing (Jean-Marie Simonet)
 # [#26673] Front end article display duplication/omission when author linked to trashed contact or when two contacts linked to same user (Elin Waring)
 # [#26823] Sync JParameter changes from platform 11.2 (Rouven Weßling)

18-Sep-2011 Jean-Marie Simonet
 # [#26827] Loadmodule plugin ignores its style setting. Thanks Elin
 $ Updating installation ini files: pl-PL
 # [#26818] File and package installations are not updateable via the Joomla! Updater. Thanks Michael.

17-Sep-2011 Mark Dexter
 # [#25471] JUpdate target platform test
 # [#26781] Sync more changes form platform 11.2

17-Sep-2011 Jean-Marie Simonet
 $ Updating installation ini files: nl-NL
 # [#26814] [#26423] com contact - rendered extra string via var_dump(). Thanks Peter.
 # [#26792] Modules position filter looks odd and behaves wrongly in modules view. Thanks Elin and Dennis. Includes joomla.sql and 170to171.sql updates

16-Sep-2011 Jean-Marie Simonet
 $ Updating installation ini files: et-ET, he-IL, tr-TR
 $ Updating installation ini files: gd-GB
 $ Updating installation ini files: az-AZ

15-Sep-2011 Jean-Marie Simonet
 $ Updating installation ini files: ro-RO, fa-IR, fr-FR
 $ Updating installation ini files: ca-ES, th-TH

14-Sep-2011 Mark Dexter
 # [#26423] com contact -- add finishing touches to sortname fields*
 # [#26542] Modules manager showing error of undefined constant COM_MODULES_ERR_XML
 # [#26498] Beez 5 default values
 # [#26534] Make the installation more suitable for smaller screens
 # Follow-up patch to [#26784] New Multilanguage Status module to fix database update

14-Sep-2011 Jean-Marie Simonet
 #$ Updating installation ini files: ckb-IQ, ja-JP, km-KH, pl-PL, ru-RU, ta-IN
 # Updating admin en-GB.xml for new ini files
 $ Improving mod_languages and languagefilter plugin xml ini files descriptions

13-Sep-2011 Mark Dexter
 # Fix inconsistent datatype in database update script
 # Fix typo in sample data
 # Reverted [#26423] because it broke two system tests
 # [#26784] New Multilanguage Status module

13-Sep-2011 Jean-Marie Simonet
 $ Updating installation ini files: af-ZA, bs-BA, da-DK, de-DE, el-GR, fr-FR, hr-HR, lv-LV, mk-MK, nb-NO, nn-NO, sk-SK, sv-SE, sy-IQ, uk-UA
 $ Updating installation ini files: be-BY, hu-HU, sr-RS, sr-YU
 # [#26356] Users can lock everyone out of the administrator. Thanks Irfan and Elin.
 # [#26423] com contact -- add finishing touches to sortname fields. Thanks Elin.
 $ Updating installation ini files: es-ES, fi-FI, it-IT, zh-TW. Adding Bulgarian language.

12-Sep-2011 Jean-Marie Simonet
 # [#26753] Login description containing markup displayed regardless of presence of content
 # [#26766] Modules should be able to be saved with no position. Thanks Elin.

10-Sep-2011 Jean-Marie Simonet
 # [#24310] Users Manager Log In Form Required Field Indicator. Thanks Bill

08-Sep-2011 Christophe Demko
 # [#26609] Template manager missing toolbar icons
 # [#26502] untranslated string from *.xml
 # [#26644] Trash option available while viewing trashed items

07-Sep-2011 Mark Dexter
 # [#25307] Improper datatypes in database
 # [#26691] Sync more changes from platform 11.2
 # [#26474] Remove unused view file in com_installer

06-Sep-2011 Christophe Demko
 # [#26694] Catchable fatal error: Object of class DateTimeZone could not be converted to string

06-Sep-2011 Jean-Marie Simonet
# [#25761] wasted space by images / javascript source files. Fixed images. Thanks Marius
# [#26717] Multi-language site, setting new user language always to default

05-Sep-2011 Jean-Marie Simonet
 #Correcting wrong formatting of mod_articles_category.xml

04-Sep-2011 Christophe Demko
 # [#26701] com_content Form View $article object that does not exist in the _prepareDocument method on line 115. (Jean-Marie Simonet)
 # [#26710] Clean up admin and installation CSS (Rouven Weßling)
 # [#26518] Menus caching issue (Dennis Hermatski)
 # [#26682] Typo in sample data (Marijke Stuivenberg, Kevin Griffiths)

03-Sep-2011 Christophe Demko
 # [#26706] No translation when adding extra quick icons (Rune Sjøen)

02-Sep-2011 Christophe Demko
 # [#26690] Test for native ZIP in system information + some minor stuff (Rouven Weßling, Jean-Marie Simonet)

28-Aug-2011 Jean-Marie Simonet
 # [#26696] *Register to read more redirects to login page, not registration. Thanks Elin.
 # [#26026] Detect a BOM in configuration.php. Thanks René.
 # [#26657] *Sample data button can be clicked twice. Thanks Rouven.
 # [#26512] Moving an existing single menuitem to another menu. using the drop down in 1.7.0 Thanks Elin.
 # [#26496] Inconsistency in Admin Template options - Show Site Name. Thanks Bill.
 # Correcting 2 unwanted Returns in 2 language files.

24-Aug-2011 Jean-Marie Simonet
 #$ Added Scottish Gaelic gd-GB in installation language
 $ Correcting some strings order in en-GB.lib_joomla.ini
 $ Added 2 JLIB error strings in en-GB, en-AU, en-US ini files
 # Updated Credits

23-Aug-2011 Mark Dexter
 # [#26631] Sync more changes from platform 11.2
 # Revert [#26631] (use branch merge instead)

23-Aug-2011 Jean-Marie Simonet
 # [#26683] Language switcher module wrong link with menu associations when no SEF. Thanks Kelsang.

22-Aug-2011 Jean-Marie Simonet
 # [#26454] mod_languages: cache does not work properly with menu associations
 # [#26654] Incorrect references to com_user. Thanks Michael.
 # Deleted obsolete admin modules mod_online and mod_unread from joomla.sql
 $ String missing in en-GB.plg_content_joomla.sys.ini
 $ Sync beez2 ini files in beez language folder vs core language.

19-Aug-2011 Jean-Marie Simonet
 # [#26655] *Ordering column issue for _menu table in sample_data.sql

18-Aug-2011 Jean-Marie Simonet
 # [#26612] Contacts Component sets Reply-To incorrectly in 1.7. Thanks Piotr.
 # [#26318] CSS for system message should be the same in installation screen and the rest?. Thanks Rouven.

12-Aug-2011 Mark Dexter
 # [#26448] global configuration broken in IE9
 # [#26533] Sync more changes from platform 11.2
 # [#26452] Warning in the search
 # [#26445] Undefined index: CLIENT in updater\adapters\collection.php
 # [#26501] [patch] fix for router notices *
 # [#26594] Update TinyMCE to version 3.4.4
 # [#26601] Powered By 1.6 image
 # [#26350] Improve the headings in the installation
 # [#26431] Typo in new installation using the sample data

08-Aug-2011 Jean-Marie Simonet
 #$ [#26535] Incorrectly labeled folder in the Media manager + Options tips
 # [#26568] Missing return in modeladmin.php. Thanks Jacob. (lib change)
 # [#26603] Flash uploader is broken. Thanks Rouven.

03-Aug-2011 Jean-Marie Simonet
 $ Updating installation language files: hr-HR, pt-PT
 #$ [#26543] com_modules language has a typo. Thanks Daniel and Elin.

01-Aug-2011 Mark Dexter
 # [#26459] Alternative Menu Items / JCategoryNode Showing Errors

28-Jul-2011 Jean-Marie Simonet
 # [#26510] wrong file name. Thanks Bill
 $ [#26499] Incorrect English not en-GB. Thanks Jacob
 $ [#26497] Incorrect English in template. Thanks Bill
 $ [#26500] Improve English grammar. Thanks Bill.
 $ [#26416] Incorrect terminology in Language Switcher module. Thanks Jacob.

25-Jul-2011 Jean-Marie Simonet
 # [#26490] Untranslated Strings DELETE="Delete" Media Manager > Details View in iframe
 # [#26470] No translation in title column of module manager (lib change)
 # [#26483] Syndication RSS Feeds (module) not working in Joomla! 1.7.0 Stable
 # [#26446] Loadposition does not load more then one module. Thanks Elin.

22-Jul-2011 Jean-Marie Simonet
 $ Updating installation ini files: pl-PL, ta-IN, it-IT

20-Jul-2011 Jean-Marie Simonet
 # Removing install check
 # [#26443] PHP version check at installation says Joomla 1.6
 # [#26432] Banners Manager - trash icon visible when no trashed banners. Thanks Bill.
 # [#26433] banner manager- clients - empty trash icon. Thanks Bill.
 #  [#26396] Fix some mistyped and @package names in the CMS. Thanks Rune.

-------------------- 1.7.0 Stable Release [19-Jul-2011] ------------------

18-Jul-2011 Mark Dexter
 # Needed file was being deleted during update
 # Updated installation language file: sk-SK

17-Jul-2011 Mark Dexter
 # Fix banner issue in sample data (Elin Waring)

17-Jul-2011 Jean-Marie Simonet
 # Updating admin en-GB.xml
 - Deleting plg_authentication_example.ini and sys.ini files

16-Jul-2011 Mark Dexter
 ^ Update sample data for 1.7 (Elin Waring)
 # [#26418] set_time_limit calls when safe mode on causes warnings
 # [#26417] Category Request variable not showing in menu mandatory parameters when using template override

15-Jul-2011 Jean-Marie Simonet
 $ Updating installation ini files: lo-LA
 # [#26397] Joomla! Administration Login Page Does Not Show Language in the Dropdown even if the Admin Pack is Installed
 $ Updating installation ini files: ar-AA, ca-ES
 # [#26392] issues when updating from 1.6.5 to 1.7.0 using ftp. Thanks Christophe.

14-Jul-2011 Jean-Marie Simonet
 # [#26398] In the Configuration screen the label Database Prefix should be changed to Table Prefix
 $ Updating ta-IN.xml

13-Jul-2011 Jean-Marie Simonet
 $ Updating installation ini files: af-ZA, ta-IN
 # [#26378] Template and module managers using different icons for duplicate. Thanks Elin.
 $ Correcting en-GB.xml
 $ Updating installation ini files: de-DE

-------------------- 1.7.0 RC1 Release [12-Jul-2011] ------------------

12-Jul-2011 Mark Dexter
 # [#26075] Update FancyUpload to version 3.0.1.
 # [#26368] Fix typo in concatenate for mysql and mysqli drivers
 # [#25950] "active" class attribute for Module Category List View
 # [#26372] Add some WAI-ARIA and HTML5 to the form validator.
 # [#26351] Use the same method to test for localstorage in all scripts
 # [#26369] Sync administrator layout overrides

12-Jul-2011 Jean-Marie Simonet
 $ Updating installation ini files: bn-BD, bs-BA, pt-BR
 # Updating administrator/language/en-GB/en-GB.xml
 $ Updating installation ini files: ja-JP (TT change)
 # [#26374] "Category Order" isn't applied to Category Blog layout. Thanks Dennis.
 $ Updating installation ini files: zh-TW
 $ Updating installation ini files: hu-HU
 $ Updating installation ini files: fi-FI
 $ Correcting some ini files (1.6 instead of 1.7), alpha ordering.
 # Correcting typo in mod_toolbar.xml
 $ Corrected en-GB, en-AU, en-US installation inis using 'prefix database 'instead of 'table prefix' in strings.

11-Jul-2011 Christophe Demko
 # [#26355] In a multi-language site, when navigation is enabled, articles tagged for other languages are also shown in addition to the language that is being viewed

11-Jul-2011 Mark Dexter
 # [#26344] Fix PHP strict warning in MenusModelMenu

11-Jul-2011 Jean-Marie Simonet
 # [#26315] Pagebreak plugin running in unexpected places plus an improvement. Thanks Elin, Christophe. + Alpha reordering of en-GB.plg_content_pagebreak.ini
 $ Updating installation ini files: nl-NL
 $ Updating installation ini files: be-BY, pl-PL, th-TH, zh-CN
 # [#26370] Remove the module position preview icons if the option is disabled. (in fact changed the icons)
 # [#26366] Platform Catchup: Can't get parameters for a module using getModule. Thanks Elin.
 # [#26365] Plugin Helper performance improvements from platform. Thanks Elin.

10-Jul-2011 Christophe Demko
 # [#26346] Sync some changes from the platforum (Rouven Weßling)
 # [#26357] Some minor enhancements to progressbar.js (Rouven Weßling)
 # [#26363] Merge more docblock changes from the platform (Rouven Weßling)

10-Jul-2011 Jean-Marie Simonet
 # [#26358] Prevent Firebug change of user name. Thanks Elin
 $ Updating installation ini files: et-EE
 # [#26308] mod_login "Reset password" link doesn't work when menu item like "Edit profile" and Frienldy URLs are present. Thanks Nikolai
 # [#26362] Joomla 1.7 JVersion class public variable not compliant with all previous Joomlas. Thanks Beat.
 $ Correcting error in sv-SE.ini
 $ Updating installation ini files: az-AZ, sy-IQ

10-Jul-2011 Andrew Eddie
 ! Form package docblocks sync'd with platform repo.
 ! HTML package docblocks/code formatting sync'd with platform repo.
 ! Language package docblocks/code formatting sync'd with platform repo.
 ! Log package docblocks/code formatting sync'd with platform repo.
 ! Mail package docblocks/code formatting sync'd with platform repo.
 ! Plugin package docblocks/code formatting sync'd with platform repo.
 ! Registry package docblocks/code formatting sync'd with platform repo.

09-Jul-2011 Christophe Demko
 # [#26349] Update TinyMCE to version 3.4.3.2 (Rouven Weßling)
 # [#24537] JUserHelper::removeUserFromGroup doesn't remove user from group (use of the code located in the platform)

09-Jul-2011 Jean-Marie Simonet
 $ Updating installation ini files: ckb-IQ, el-GR, fa-IR, it-IT, ro-RO, sr-SR, sr-YU, sv-SE.
 - Deleting some installation lang files: bg-BG, bn-BD, eo-XX, id-ID, is-IS, ml-IN, mn-MN, sq-AL, vi-VN
 # Updating generator to 1.7
 $ Updating installation ini files: ta-IN
 # Updating Credits.
 $ Updating installation ini files: es-ES

09-Jul-2011 Andrew Eddie
 ^ JPlatform class file moved to /libraries/ to sync with platform repo.
 ! Database package docblocks sync'd with platform repo.
 ! Error package docblocks sync'd with platform repo.
 # Removed define for JPLATFORM from platform.php as it causes problems on some setups (probably due to slight variations in the spl autoloader).

08-Jul-2011 Andrew Eddie
 ! Application package docblocks sync'd with platform repo.
 ! Client package docblocks sync'd with platform repo.

08-Jul-2011 Christophe Demko
 # [#26282] user manager - last visited date (bill richardson)
 # [#26348] Sync changes from the platform - JHTML edition (Rouven Weßling)

08-Jul-2011 Jean-Marie Simonet
 $ Updating installation ini files: da-DK, de-DE, en-AU, en-US, gl-ES, gu-IN, he-IL, hr-HR, ja-JP, km-KH, lv-LV, mk-MK, nb-NO, nn-NO, ru-RU, uk-UA

07-Jul-2011 Christophe Demko
 # [#26247] Automatic update from 1.6.4 will leave some unused file (Big thanks to all testers!)
 # [#26258] the contactcreator-PlugIn interrupts the contact-categories and -names (Nikolai Plath)

07-Jul-2011 Jean-Marie Simonet
 + [#20733] Some core component do not correctly uninstall. Thanks Christophe.
 $ Updated fr-FR installation ini file
 $ Alpha ordering of en-GB.files_joomla.sys.ini

06-Jul-2011 Christophe Demko
 # [#26313] Remove more images from the installation (like 26262) (Rouven Weßling)
 + [#26276] Association between menu items in multilingual settings.
 + [#26224] Add an ordering column to table jos_languages
 # [#26300] The com_categories component display the note field twice
 # [#26321] Incorect css in sample data (article "Beez 20") (Peter Chovancak)
 # [#26314] Unused setting in Contact Manager Options (bill richardson, Nikolai Plath)
 - Removing comments in update SQL files since JDatabase::splitSql does not manage them
 + Add NOT NULL to the ordering column of #__language

05-Jul-2011 Jean-Marie Simonet
 # Adding Belarussian flag image for language switcher

04-Jul-2011 Christophe Demko
 # [#26284] Error during update can delete all Joomla program files
 # [#26307] Typo in atomic template.css (Brian Teeman, bill richardson)
 # [#26310] New Eye candy feature contains CSS errors (Nikolai Plath)
 # [#26293] The com_config component does not refresh current component page when clicking on Save & Close

02-Jul-2011 Jean-Marie Simonet
 # [#26301] Front end menu formatting. Thanks Bill.

01-Jul-2011 Christophe Demko
 # [#21813] [patch] Randomise the Joomla DB Prefix During Installation (Nicholas Dionysopoulos, Omar Ramos)
 # [#26151] Setting &template= in URL gives template parameters from default- or page-assigned template style (bill richardson, Stephen Brandon)
 # [#26281] duplication of rel attribute in atomic (Jacob Waisner, bill richardson)
 # [#26174] *Unused admin modules (Jean-Marie Simonet)
 # [#26289] <input type="submit" class="hidebtn" value="Log in" /> not hidden on Hathor's Joomla! Administration Login page (Peter Chovancak)
 # [#25901] no "active"-class in TOC of multipage-content (Jean-Marie Simonet, bill richardson)
 # [#26283] Avoid logging password in system-log plugin

30-Jun-2011 Jean-Marie Simonet
 # [#26285] Update Joomla! CMS Version. Thanks Michael.

-------------------- 1.7.0 Beta1 Release [28-Jun-2011] ------------------

28-Jun-2011 Mark Dexter
 ^ [#23125] "Select a Menu Item Type" in modal box in menu item edit page (Dennis Hermatski)
 # [#26278] Issue 26199 broke some javascript alerts

28-Jun-2011 Christophe Demko
 # [#25381] Banner Manager: Tracks - JavaScript error 'document.id("jform_inline0") is null' (Peter Chovancak)
 # [#25354] Edit icon does not work on 3rd party extensions (Nikolai Plath)
 # [#25498] Login error when user is not activated (Rune Sjøen)
 # [#25237] Credentials not added to response when authentication fails
 # [#26277] Extra line breaks in weblink item description (Dennis Hermatski)
 # [#26262] Remove more images from bluestork (Rouven Weßling)

27-Jun-2011 Mark Dexter
 ^ [#26088] Add WAI-ARIA and HTML5 support the progressbar.js (Rouven Weßling)
 ^ [#26099] Make loadmodule plugin more useful (Elin Waring)
 # [#25696] Updating from J1.6.2 to J1.6.3 removes all files!

27-Jun-2011 Christophe Demko
 # [#26261] Fix some issues from 26260 (Rouven Weßling)

26-Jun-2011 Christophe Demko
 # [#26223] JMail::setSender do not set Sender (Alessandro Pasotti)
 # [#26155] Search results for contacts (Nikolai Plath)
 # [#26260] Add a little eye candy to the bluestork cpanel (Rouven Weßling)

25-Jun-2011 Christophe Demko
 # [#23893] My Profile issues
 # [#26252] Cache library does not generate valid index.html file
 # [#26238] Improvement of assigning modules (Dennis Hermatski)
 # [#26043] Install second joomla with special prefix destruct first joomla tables at the same database
 # [#26254] Contact List Queries Trashed Items (Nikolai Plath)

24-Jun-2011 Christophe Demko
 - Revert commit 21640 (http://joomlacode.org/gf/project/joomla/tracker/?action=TrackerItemEdit&tracker_item_id=25041)

23-Jun-2011 Jean-Marie Simonet
 $ Correcting extraneous spaces in some ini files

23-Jun-2011 Christophe Demko
 # [#24662] Newly published articles showing pending when they are actually published (revived) (Elin Waring)
 # [#22158] Templates are still available for assignment after being unpublished
 # [#26040] Redirect of article enabled with 'register to read more' function results in 404 Category not found (Joel Walker)
 # [#23793] Core update potentially allows for installing an older update
 # [#26221] Disabling admin module Title breaks layout
 # [#26200] Add toolbar helper task for checkin (Michael Babker)
 # [#26199] Use defined toolbar tasks in place of custom (Michael Babker)
 # [#26234] Add missing toolbar icon and update two old ones (Andrea Tarr)
 # [#26208] More administrator layout syncs (Andrea Tarr, Rouven Weßling)

22-Jun-2011 Christophe Demko
 # [#24604] JDate class sets php timezone to UTC which forces all Joomla addons to use UTC dates
 # [#25239] Cant set template style (bill richardson)
 + [#26171] Automatic DB update
 + [#25041] Module Menu Assignment Enhancements (David Havard)
 # [#26222] Fatal error: Class 'JFile' not found in \libraries\joomla\cache\storage\file.php on line 200 (Peter Chovancak)
 ^ Rename the update SQL file
 # [#26111] JFormFieldMedia not match with com_media params (Yohann Tilotti)
 # [#25697] Joomla updater needs better error reporting (Roland Dalmulder)

21-Jun-2011 Christophe Demko
 # [#26211] New opensearch feature generate non valid html output
 # [#26212] Bluestork administrator login screen is not valid
 ^ Replace media/system/images/notice-* images by transparent ones

21-Jun-2011 Jean-Marie Simonet
 # [#26172] fatal error when calling $app->logout(); Thanks Nikolai

21-Jun-2011 Mark Dexter
 # [#26194] Replace calls to JRegistry::loadJSON (Michael Babker)
 # [#26196] Use field type email in com_contact (Rouven Weßling)
 # [#26193] Actually use the namespaced version of checkAll() (Rouven Weßling)

20-Jun-2011 Christophe Demko
 # [#26201] Broken newsfeeds when SEF URLs are off (Nikolai Plath)
 + [#25200] View Access Level not testing in Administrator Models (Amy Stephen)
 + [#25250] Add support for OpenSearch to com_search (Rouven Weßling)

20-Jun-2011 Andrew Eddie
 + Added feature [#26113] Add PHP and HTML modes to CodeMirror (Rouven Weßling).
 + Added feature [#24930] Add to debug log information component and module start time and memory use when showing (Vladimir Serotyukov, Dennis Hermatski).
 # Fixed [#26077] JModelList casts $query to string unnecessarily making it impossible to implement Joomfish (Geraint Edwards).

19-Jun-2011 Christophe Demko
 # [#25116] icon as image file instead of document in media manager
 # [#26184] Don't render meta elements without content (Rouven Weßling)
 ^ [#23165] Make index.html's valid (Rouven Weßling)
 # [#26181] Some minor fixes for the installation (Rouven Weßling)
 # [#26189] Plugin uninstall uses incorrect sql (Kevin Griffiths & Sam Moffatt)
 # [#24629] mod_menu can create invalid id attribute HTML (Rouven Weßling)
 # [#26192] Use local storage for tabs (Rouven Weßling)
 # [#26076] Joomla 1.7 alpha (Rune Sjøen, bill richardson)
 # [#26104] JModelForm validate method is missing group option (Roland Dalmulder)
 ^ [#26079] Turn multiselect into a behavior (Rouven Weßling)
 # [#25981] Missed time offset in RSS/Atom feeds in 1.6.x (Sergey Novikov)
 # [#25701] One item in #__content in sample data checked out (Ramindu Deshapriya)
 - Removed useless files (commit 21553: [#26164] More Hathor/Bluestork/Installation sync and cleanup)

18-Jun-2011 Jean-Marie Simonet
# [#26179] Joomla 1.7.0 find updates and proposes 1.6.3. Thanks Christophe
- [#26103] Empty file administrator/components/com_weblinks/helpers/html/weblink.php. Thanks Mark.
# [#26188] Update TinyMCE to version 3.4.1. Thanks Rouven.

17-Jun-2011 Mark Dexter
 # [#26124] Namespace the checkAll() function

17-Jun-2011 Christophe Demko
 # [#24887] Incorrect redirection after saving an admin module (Rune Sjøen)
 # [#26164] More Hathor/Bluestork/Installation sync and cleanup (Rouven Weßling)
 # [#26159] Multiselect failing depending on selection (Rouven Weßling)
 # [#25703] com_contact - Line is missing in default_form.php

16-Jun-2011 Christophe Demko
 ^ Commit #21329 breaks commit #21093 ([#25571] admin templates does not add a border on fielset when using tabs)

16-Jun-2011 Jean-Marie Simonet
 $ Alpha Ordering ini strings in com_search ini and com_users.ini. Updating xx-XX

16-Jun-2011 Christophe Demko
 + [#26073] Make single contact view ready to use dynamic forms
 + [#26120] [patch] JToolBar cleanup for Save and Create New and Save as Copy
 + [#26072] Add ability to save a search in a menu item
 + [#21905] Mass Mail - exclude disabled user
 # [#26162] Add spinner to the installation (Rouven Weßling)
 # [#26166] Unused XML file in com_weblinks (Mark Dexter)

14-Jun-2011 Christophe Demko
 # [#26070] The com_categories component is looking in the 3rd party component directory for a category.xml file

13-Jun-2011 Jean-Marie Simonet
 $ Added missing lang strings
 # [#26153] Modals inaccessible because JFile isn't loaded. Thanks Rouven
 # [#26136] Add back borders in editor for codemirror. Thanks Andrea.
 $ [#26101] pagebreak or page break. Thanks Bill.
 # [#26160] com_content archive view does not display the parent category. Thanks Christophe.

13-Jun-2011 Mark Dexter
 # [#26158] Cannot create menu items

12-Jun-2011 Jean-Marie Simonet
 # [#26137] Fix parameter conditions for bluestork css files. Thanks Andrea.
 # [#26146] Bluestork admin error.php not loading css files. Thanks bug squad ;)

12-Jun-2011 Christophe Demko
 # [#26135] Remove wrong background on bluestork login (Rouven Weßling)
 # [#26128] Sync admin layouts (hathor) (Rouven Weßling, Andrea Tarr)

11-Jun-2011 Jean-Marie Simonet
 - # Revert [#25041] Module Menu Assignment Enhancements. Breaks 1.6.x existing sites. See feature tracker.

10-Jun-2011 Christophe Demko
 # [#25248] Systematic elimination of DS as directory separator - Final round
 # [#26107] RTL issues with trunk (Ofer Cohen)
 # [#26121] wrong output of mod_custom (Mark Visser)
 # [#24137] Decide and document what value the required attribute takes for JForm. (Rune Sjøen)
 # [#26119] Update TinyMCE to version 3.4.3 (Rouven Weßling)
 # [#26084] Don't always load Mootools (More) in the backend - this time for real (Rouven Weßling)
 # [#26112] Remove unnecessary file from CodeMirror (Rouven Weßling)
 # [#26069] Don't render <meta name="rights"> when it has no content. (Rune Sjøen)
 # [#25275] User profile fields are empty after submitting form with error in user fieldset (Piotr Mocko)

10-Jun-2011 Mark Dexter
 + [#25041] Module Menu Assignment Enhancements (David Harvard)

10-Jun-2011 Jean-Marie Simonet
 # [#26118] *Multibyte spaces search broken. Thanks Chris and Jonathan.
 # Updating admin components xmls to version 1.7
 # Updating admin manifests and modules xmls to version 1.7
 # Updating site components xmls to version 1.7
 # Updating admin templates xmls to version 1.7
 # Updating main en-GB and localise xmls to version 1.7
 + Adding default empty en-GB.override.ini
 # Updating site modules xmls to version 1.7
 # Updating plugins xmls to version 1.7
 # Updating site templates xmls to version 1.7
 # Updating tests xmls to version 1.7
 # Updating some occurrences of Joomla! 1.6 to Joomla! 1.7 (more TODO)

09-Jun-2011 Mark Dexter
 # [#26089] Sync admin layouts (hathor)

09-Jun-2011 Jean-Marie Simonet
 # Updating installation languages xmls to version 1.7
 #$ Deleting redundant lang string from Rev 21463

08-Jun-2011 Mark Dexter
 # [#24826] ACL bug in Contact component backend
 # [#25711] All Components are deleted from the Administration interface when a new Menu Type named “menu” is deleted
 # [#25865] Cannot set custom offset for the tooltip
 # [#25938] Repetition code in JHTMLImage::site()
 # [#25974] weblinks component
 # [#26067] Wrong colspan in admin/mod_latest when there are no results
 # [#26083] Update SqueezeBox to version 1.2
 # [#23410] Remove <meta name="title">
 # [#26085] *Uninstalling/discovering 4 core components kills their admin menu translations and links

08-Jun-2011 Christophe Demko
 # [#26062] gray bars in Firefox/Safari above and under the Submenue in adminlists (Rouven Weßling)
 # [#26065] Bluestork clean up (Rouven Weßling)
 # [#26097] rev 21483 - file modal.js not updated (Rouven Weßling)
 # [#26095] Follow on to 25462 for plugin uninstall (Michael Babker)

07-Jun-2011 Jean-Marie Simonet
 $ Updating site en-GB.lib_joomla.ini

07-Jun-2011 Christophe Demko
 + [#25409] Examples for the editor, search & system plugins. (Peter Nurse)
 # [#26041] Menu type manager slows down considerably as menu tree gets larger (Andrew Eddie)

06-Jun-2011 Mark Dexter
 + [#25977] Improve the installation (Rouven Weßling)
 + [#26046] Rename administrator/help/helpsites-1.6.xml File

06-Jun-2011 Jean-Marie Simonet
 $ [#26055] Category spelling error in help text. Thanks Bill.
 # [#26052] Improve com_categories batchCopy. Thanks Michael.
 # [#26025] Article - save as copy. Thanks Michael.
 # [#25873] *Featured Articles Menu Option does not show option to select category as intended

05-Jun-2011 Jean-Marie Simonet
 # [#26051] Copy tasks allow multiple home menu items to be set. Thanks Michael.

-------------------- 1.7.0 Alpha Release [04-Jun-2011] ------------------

04-Jun-2011 Mark Dexter
 # Revert [#25873] *Featured Articles Menu Option change since this causes errors on new install

04-Jun-2011 Jean-Marie Simonet
 # [#25873] *Featured Articles Menu Option does not show option to select category as intended
 - [#26013] The Flag Image for the Language Tamil ( ta) is Incorrect

04-Jun-2011 Mark Dexter
 # [#26028] Fix backward incompatible changes to JVersion
 # [#25634] Extension Manager: wrong installer method called during update
 # [#25635] Extension Manager: possibility to set redirect during update
 # [#25923] Possible error in JModuleHelper
 # [#24338] Autoupdate fails for components after applying a patch from issue #24305
 # [#25085] Media Manager changes directory after file upload or directory creation
 + Feature [#22590] Make copy/move consistent across components (Michael Babker)
 + Feature [#25313] Update TinyMCE to version 3.4.2 (Rouven Weßling)
 # [#25852] Cache and mod_menu problem
 # [#26039] Latest News Module redirects to incorrect login URL

04-Jun-2011 Andrew Eddie
 + Feature [#25866] Add support to log deprecated API.
 + Feature [#25987] JToolBarHelper functions for Save and Create New and Save as Copy (Joseph LeBlanc).
 + Feature [#25732] Add JFormRuleOptions rule to validate type="list" parameters (Mark Dexter).
 + Feature [#25461] Mod_custom with backgroundimages (Angie Radtke).
 + Feature [#25119] Allow preselection of categories in com_content (Peter Kneisel, Ole Bang Ottosen, Jean-Marie Simonet).

03-Jun-2011 Jean-Marie Simonet
 + [#26035] *Adding the possibility for language packs to include a css file for back-end font change
 # [#25918] *Error when Login Module try to get the return URL of the current page when SEF turn on and the page is redirect forever

01-Jun-2011 Jean-Marie Simonet
 #$ [#26023] *Preventing setting more than 1 default home menu item per menu

31-May-2011 Mark Dexter
 # [#25058] While the site is offline managers and administrators can't login.
 # [#25905] Purge Expired Cache remove administrator/cache/index.html file
 # [#25971] Administrator language file en-GB.com_languages.ini. unclosed 'em' tag at Definition COM_LANGUAGES_FIELD_LANG_CODE_DESC text

31-May-2011 Jean-Marie Simonet
 # [#26012] *Archives Module & Related Articles Module do not use localised calendar date

30-May-2011 Mark Dexter
 # [#26004] *Back-end language change broken by framework patch in tracker #25925
 # [#25956] Improve accessibility in admin modules
 # [#25904] loadposition: modules with double slashes and slash dollar return without leading slash
 # [#25675] module messages not displayed if they are defined before the "jdoc:include message" tag in the template
 # [#25921] Optimize the bluestork template
 # [#25246] Move the example plugins to the test folder
 # [#25687] Embedded image converted to data in RSS feed : data URI get's corrupted
 # [#25477] Missing $key argument in call to ::allowSave() in JControllerForm::save()
 # [#25988] Fix missing author contact itemid in com_content
 # [#25730] Incorrect call of onUserBeforeSave while blocking/activating user in backend, plugins aren't loaded for activating user in backend
 # [#25720] JHTML::tooltip quote problem

26-May-2011 Mark Dexter
 # [#25733] Direct access as no defined('_JEXEC') or die; in com_mailto/helpers/mailto.php
 # [#25919] com_contact: onSubmitContact $post variable
 # [#25915] inconsistent beahviour com_content / com_wrapper
 # [#25790] Some queries not correctly dealing with trash
 # [#25925] Platform sync: new getUserState default argument; JAccess:getActions fix
 # [#25462] Unable to run scriptfile on plg_editors-xtd type plugin
 # [#25941] Menu Item Help URL Not Translated
 # Revert 25790 (breaks Featured Articles)
 # [#25452] No JavaScript form validation on users reset and remind page

24-May-2011 Mark Dexter
 # [#25908] Code Style improvements for the installation

18-May-2011 Christophe Demko
 # [#25679] Typo of pagination parts (as default value) (bill richardson, masanori yamamoto)
 # [#25447] New feature: Add Site name after Page title (Piotr Mocko)
 # [#25839] No "new item"-button on frontend categroylist-view when there are not articles in category (Michael Babker)

17-May-2011 Christophe Demko
 # [#25894] *Fatal Error: JDocumentFeed disabled (Jean-Marie Simonet)

15-May-2011 Jean-Marie Simonet
 #$ [#23490] Remove option to compress the JS for Tiny MCE. Thanks Rouven.

14-May-2011 Jean-Marie Simonet
 # [#25082] Update Mootools to version 1.3.2. Thanks Rouven, Michael
 # [#25850] Incorrect ordering of plugins type filter. Thanks Dennis.
 # [#25754] Removing double semi-colons. Thanks Dennis
 # [#25681] IE <= 7 and Beez templates - Incorrect mouse pointer over open/close "button" if right column is visible. Thanks Peter.

14-May-2011 Christophe Demko
 # [#25772] Librairie JDate translates month and day strings for RFC822 format which is not correct

13-May-2011 Jean-Marie Simonet
$ [#25872] *Wrong tip for contact redirect
# [#25874] JDocumentRaw is disabled

12-May-2011 Mark Dexter
 # Fix hard-coded jos table prefix in weblinks SQL install file
 # [#25867] Sync platform to address language switching issues; update platform calls using deprecated API

12-May-2011 Jean-Marie Simonet
 #S [#25864] Split Language Manager: Installed Languages into separate views. Thanks Michael.

10-May-2011 Jean-Marie Simonet
 #$ [#25845] *Breadcrumbs never use the language string for Home
 #$ [#25837] *Admin menu does not differentiate between default Home set to "All" and those set to a Content Language. Thanks Christophe.

09-May-2011 Jean-Marie Simonet
 [#25830] *404 - page not found - error.php - for template beez_20 - not working properly

05-May-2011 Jean-Marie Simonet
 # [#25820] *Automatic site content language change at login parameter not implemented in languagefilter.

03-May-2011 Jean-Marie Simonet
 # [#25796] *Editing template files is impossible if Codemirror and editor None are disabled
 # [#25795] *Normalizing language load in profile plugin
 # [#25642] Update TinyMCE to version 3.3.9.4. Thanks Rouven.
 # [#24574] After Reading message, the counter does not refresh. Thanks Marco and Roland.

28-Apr-2011 Christophe Demko
 # [#25693] Incorrect importing of languagefilter, plugin's class is initialised twice (Dennis Hermatski)

27-Apr-2011 Christophe Demko
 # [#24360] User Profile Date showing wrong Birthday date (Omar Ramos)
 # [#25771] *Languagefilter plugin parameter not implemented (Jean-Marie Simonet)

27-Apr-2011 Jean-Marie Simonet
 # [#25759] Broken system messages in beez_20 and beez5. Thanks Dennis.
 # [#25752] No ending fieldset tag in com_contact. Thanks Dennis.

26-Apr-2011 Jean-Marie Simonet
 $ [#25742] SPACERDROP_LABEL too long for a label. Thanks Paulo.
 # [#25753] Hathor bugs with batch function. Thanks Dennis.
 $ [#25723] I can't remove script,applet,iframe form tinyMCE blacklist. Thanks Bill.

 25-Apr-2011 Jean-Marie Simonet
 #$ Updating ta-IN installation language
 # [#25739] Batch actions for articles. Thanks Dennis.

23-Apr-2011 Jean-Marie Simonet
 #$ [#25724] *Improving the langswitcher module, correcting some ini strings
 # [#25717] *If plugin language filter is enabled a contact with linked user shows articles in all languages instead of filtered for current language. Thanks Marcel and Dennis.
 # [#25725] You can delete the default template style. Thanks Elin.

22-Apr-2011 Jean-Marie Simonet
 # [#25722] *Displaying status of Content languages Default Home page in Manager.

-------------------- 1.6.3 Stable Release [18-Apr-2011] ------------------

18-Apr-2011 Mark Dexter
 # [#25661] *Redirect not now fully editable
 # [#25657] Mootools no longer loaded in backend
 # [#25688] Updates sites never re-enabled after being disabled

16-Apr-2011 Jean-Marie Simonet
 $ Updating es-ES installation file
 # [#25650] Can't insert image for menu item. Thanks Dennis and Rouven

15-Apr-2011 Jean-Marie Simonet
 # Removing install check

-------------------- 1.6.2 Stable Release [14-Apr-2011] ------------------

14-Apr-2011
 # [#25617] performance of assets table query with > 40 articles on website in registered mode

13-Apr-2011 Jean-Marie Simonet
 # Correcting error in the plugin language filter xml

12-Apr-2011 Mark Dexter
 # [#25593] Module Articles Category takes server timezone instead of Joomla one
 # [#25370] new layouts - No pagination on articles category page if first visit

11-Apr-2011 Mark Dexter
 # [#25602] Sort in Article Category List broken
 # [#23364] Installation of tar.gz packages fails in xampp under Windows
 # [#25614] *en-GB.files_joomla.sys.ini not loading
 # [#25541] Apply (Save and present in Editor again) does not checkout row
 # [#23878] Remove remaining ereg* functions - Obscolete in PHP 5.3
 # [#25581] RTL in Atomic
 # [#25603] *Email Cloak Plugin outputs preformatted code in email "to" field
 # [#21809] access levels - pagination::orderDownIcon appearing before last item
 # [#24835] Administrator (with a capital A) does weird stuff

10-Apr-2011 Jean-Marie Simonet
 $ Adding lib_joomla.ini into site language folder and localise.php in admin language folder to prevent confusion for TTs.
 $ Changing en-GB.xmls version for 1.6.2

09-Apr-2011 Jean-Marie Simonet
 #$ Updating pl-PL installation language

08-Apr-2011 Jean-Marie Simonet
 # [#25585] *Unused Jtoolbarhelper title in Language Manager Content Languages
 # [#24321] Hiding "Add New Shortcuts" removed Groups and Levels in admin menu. Thanks Christophe.
 # [#25257] media manager folder names hidden when long. Thanks Bill and Andrea.

07-Apr-2011
 # [#24016] Native support for IIS Rewrite
 # [#25247] Fix a number of incorrect comment in components
 # [#25563] Category Blog - More Article links don't have limitation
 # [#25497] *Notices with module Articles category
 # [#25576] Gmail authentication fails (Verify Peer variable mistyped)
 # [#25550] com_contact vCard link not using JRoute::_() which causes download issues with System - Language Filter plugin enabled and SEF

07-Apr-2011 Jean-Marie Simonet
 # [#25569] the package strings are not translated when installing or managing. Thanks Christophe

06-Apr-2011 Jean-Marie Simonet
 # [#25551] #24285 change breaks module cache functionality, needs to be reverted. Thanks Klas.
 # [#25572] *ROOT parent category wrongly displays in featured and blog layout
 # [#25571] admin templates does not add a border on fielset when using tabs. Thanks Christophe.

05-Apr-2011 Mark Dexter
 # [#25540] JModelForm enables 'com_checkin' for 'core.manage' - should be 'core.admin'
 # [#24974] The word Array appears below the document when Cache is turned on
 # [#25545] Wrong header output in com_contact vCard view makes IE handle vCard downloads wrong...

05-Apr-2011 Jean-Marie Simonet
 #$ Adding Icelandic to installation languages
 #$ Upgrading ru_RU installation language

04-Apr-2011 Mark Dexter
 # [#25519] Minor Bugs in mod_whosonline

04-Apr-2011 Jean-Marie Simonet
 #$ Upgrading fi-FI installation language

02-Apr-2011 Mark Dexter
 # [#25340] The robots.txt file offers no protection for a site installed in a folder.
 # [#24285] Headlinks in header sum up when using progressive/conservative cache
 # [#25403] "Font Size" not working with Internet Explorer 7
 # [#25508] Update CodeMirror to Version 1.0
 # [#22870] Improved fix for XSS issue found in Joomla 1.5.20
 # [#25522] Extra quote in com_weblinks
 # [#25074] Form onchange event pointing to non-existant event
 # [#22926] browser detection script reports wrong informations
 # [#25397] Typos in sample data

02-Apr-2011 Jean-Marie Simonet
 $ Added missing strings

01-Apr-2011 Mark Dexter
 # Fix incorrect comments in articles model

31-Mar-2011 Mark Dexter
 # [#24917] Module latest user parameter link to contact does not work
 # [#25385] Optimize for loops
 # [#25425] Extension "upgrade" method re-installing component
 # [#25496] Database error not handled in mod_users_latest and mod_articles_archive

31-Mar-2011 Jean-Marie Simonet
 # [#25495] *Wrong lang load order when editing plugin
 # Normalizing plugins xml (languages missing). Thanks Bill
 # [#25486] Undefined notice on 404 page

30-Mar-2011 Jean-Marie Simonet
 #$ Adding Bosnian to installation languages

29-Mar-2011 Mark Dexter
 # [#25288] Media form field is not allowed access to media manager in the front end
 # [#25129] Media manager popup - Change of directory don't reflect in list of images and folders on windows system (XAMPP)
 # [#24736] Don't always load Mootools (More) in the backend.
 # [#25139] Changing modules doesn't reflect changes with enabled caching.
 # [#25071] onchange event does not fire in JFormFieldAMedia

29-Mar-2011 Jean-Marie Simonet
 # Correcting some components xml
 # Normalizing front-end modules xml (format and sys.ini missing)
 # Normalizing back-end modules xml (languages missing)

28-Mar-2011 Jean-Marie Simonet
 # [#25481] *Combined patch for various meta issues in menu items. Thanks Piotr

27-Mar-2011 Jean-Marie Simonet
 #$ Adding Azeri to installation languages
 # [#25224] Many places calling JHTML:: instead of JHtml:: Thanks Peter and Bill.
 # [#25451] Installer missing client-side check that package was selected prior to pressing Upload and Install Button. Thanks Amy.
 # [#25467] Empty file administrator/components/com_users/helpers/levels.php

24-Mar-2011 Jean-Marie Simonet
 # [#25436] *Metatag Robots not working for menu items

23-Mar-2011 Jean-Marie Simonet
 # Adding Khmer flag to language switcher images. Thanks Sovann Heng.
 # [#25417] JPane slider effect not functioning properly. Thanks Byron and Bill.
 # [#22425] Improve .htaccess rewrite efficency. Thanks Ian Galpin.
 #$ Adding Croatian to installation languages
 # [#25432] Hathor: minor bug that causes hidden Date values in com_templates. Thanks CY Lee and Bill.
 # [#25412] tooltips in high contrast mode (bluestork).

23-Mar-2011 Christophe Demko
 # [#25416] *Although en-GB language is protected by default in db, it can be uninstalled (Jean-Marie Simonet)

22-Mar-2011 Jean-Marie Simonet
 # [#25399] *rev 20974 breaks normal sliders/tabs behavior.
 # Minor typos errors in some ini files. Thanks Sovann Heng.

21-Mar-2011 Jean-Marie Simonet
 # [#25355] com_menus translation is missing for list items. Thanks Kolyamba.

20-Mar-2011 Mark Dexter
 # Fix typo in revision 20991

20-Mar-2011 Jean-Marie Simonet
 # [#25400] *langswitcher module can display content languages with no specific home page. Thanks Christophe.
 # [#25401] *Content language ordering not implemented. Thanks Christophe.

19-Mar-2011 Jean-Marie Simonet
 #$  [#25349] Menu item type Alias, not editable alias. Thanks Pavel.

18-Mar-2011 Jean-Marie Simonet
 # [#24710] Contact language is ignored in frontend. Thanks Christophe.
 # [#25021] Static caching of language switcher ruins the correct class lang-active behaviour. Thanks Mark Visser and Christophe. Tip: save again the switcher parameters.
 # [#25025] Fix New and Save icons for other components. Thanks Elin and Bill
 # [#24514] Inconsistency in the naming of the items statuses. Thanks Jozcef and Bill.

17-Mar-2011 Christophe Demko
 # [#24954] Module, plugin, and component scriptfile are not copied to final install point (Ian MacLennan)
 # [#25319] Incorrect language keys in error.php of atomic template (bill richardson)
 # [#24987] Contact form not using Jform, makes event not work as expected (Elin Waring, Jean-Marie Simonet)
 # [#25347] Menu alias not respecting "active" (bill richardson)
 # [#25360] Ordering of two modules options are inconsistent (bill richardson, Jozsef Tamas Herczeg)
 # [#25372] Don't use sizeof() (Rouven Weßling)

17-Mar-2011 Jean-Marie Simonet
 # [#25356] Following  tracker 25210. Thanks Christophe.
 # [#25118] Featured articles are reordered when editing one of them. Thanks Ian and Christophe.

16-Mar-2011 Mark Dexter
 # Fix typo in 25308 (revision 20969)

16-Mar-2011 Christophe Demko
 # [#25318] Wrong order in Module Latest Users (Marijke Stuivenberg)
 # [#23458] Unused JElement classes in core (Rouven Weßling)
 # [#25228] No javascript form validation after clicking submit button (Piotr Mocko, Rouven Weßling)
 # [#25111] Don't use the javascript pseudo protocol when it isn't necessary (Rouven Weßling)

16-Mar-2011 Jean-Marie Simonet
 # [#25338] *Unused show title parameter for archives menu item

15-Mar-2011 Jean-Marie Simonet
 # [#25088] System information > Directory Permissions: List incomplete. Thanks Nikolai and Reinhard.
 # [#25027] module assignment slider gives inaccurate information for modules with "all except". Thanks Elin and Christophe.
 # [#25308] Article Title will not go away, no matter what. Thanks Elin

14-Mar-2011 Jean-Marie Simonet
 # [#25320] Typos on the 404 page. Thanks Bill.
 #$ [#25259] Article edit page permits you to attempt to edit checked-out articles, causing 403 errors. Thanks Bernie

13-Mar-2011 Christophe Demko
 # [#24998] Don't add aria role breadcrumbs (Rouven Weßling, Mark Dexter)

12-Mar-2011 Christophe Demko
 # [#25289] The front end rendering of the media field is missing srings (Elin Waring)
 # [#25276] *Weblinks adding words "Web links" before the actual link text (Jean-Marie Simonet)
 # [#25305] Wrong CSS class declaration (Ernesto Patarroyo, bill richardson, Jean-Marie Simonet)

11-Mar-2011 Jean-Marie Simonet
 #$ [#25269] *Save & Copy template styles issue
 # [#25176] 404 after pagebreak in <--prev next --> footer. Thanks Ian and Dave.
 # [#25285] *Normalizing com_messages UI
 # [#24345] *joomla.xml still exists after install of install. Thanks Ian.

10-Mar-2011 Jean-Marie Simonet
 $# [#25252] *Missing weblink ini strings when submit/edit weblink from a content.
 # [#25262] Logout in administration menu not working
 #$ [#25232] Some errors and warnings are not translated due to missing JText::_(). Thanks Rouven
 # [#25210] Language filter redirecting breaks image uploading in frontend. Patch included. Thanks Bernie.
 # [#25174] Plugin System cache error when debug is on. Thanks Ian.
 # [#25170] Content pictures aren't displaying if SEF is on and System Cache plugin is enabled. Thanks Ian.
 # [#24430] Unable to create external menu item type with an alias that is a folder name

09-Mar-2011 Jean-Marie Simonet
 $ [#25231] Typo in en-GB.lib_joomla.ini. Thanks Serge.
 # [#25213] Several places calling getXMLparser instead of getXMLParser. Thanks Bill and Anon
 $ [#25145] Incorrect SMTP security option. Thanks Ian and Jozcef.
 # [#25240] *Issue with Articles created in front-end and set to featured. Thanks Andrew.
 # [#25238] 1.6.1 breaks wrapper menu links. Thanks Elin
 # [#25172] RTL issues with beez 2 & beez 5. Thanks Ofer.
 # [#24836] Blog pagination options missed in Gobal configuration (com_content). Thanks Bill.
 # [#25098] failure to delete error message showing incorrectly. Thanks Patrick and Bill.

08-Mar-2011 Jean-Marie Simonet
 $ Updating xx-XX.ini
 # [#25177] hr.gif and sr.gif are transparent. Thanks Erik.
 $ Correcting typo in ini file
 $ [#25136] "Plugin" instead of "Module" in en-GB.lib_joomla.ini
 $ Changing milkyway to beez_20 in ini file. Thanks Sovann Heng.
 #$ Typo in ini key. Thanks Sovann Heng

-------------------- 1.6.1 Stable Release [07-Mar-2011] ------------------

04-Mar-2011 Jean-Marie Simonet
 $ Updating ja-JP

03-Mar-2011 Mark Dexter
 # [#25006] Alternative Layout Not Implemented in com_search, com_users
 # [#24821] Add support for defer/async to JDocument
 # [#25035] extra closing div in \components\com_weblinks\views\form\tmpl\edit.php
 # [#25042] Extra markup in some component views
 # [#24865] sef plugin results in a blank page for large content
 # [#25110] *Duplicated module is published
 # [#25091] Sample Data Typo
 # [#25034] *modifying Beez5 to compatibility with RTL

01-Mar-2011 Ian MacLennan
 # [#25038] Codemirror update causes improper characters in template html/css editing

24-Feb-2011 Mark Dexter
 # Revert 24710 Contact language is ignored in frontend

21-Feb-2011 Mark Dexter
 # [#24886] No save icon in article editor for new article with category level permission
 # [#24909] *Category Save as Copy does not save with different title/alias
 # [#22624] bug: old extension version reported from cache after automatic extension update**
 # [#24433] *modal_contacts field type problems
 # [#24963] Missing "parent" css class if menu is collapsed
 # [#24589] Systematic elimination of DS as directory separator - Round 2
 # [#24838] mod_articles_category generates a PHP warning when using language filter
 # [#24489] Joomla displaying error after uploading an image using Media Manager and the path does not stay where it is after the upload
 # [#24799] Double category strings in URLs
 # [#24524] Redirect is Not Working with SEF
 # [#24908] A banner with limited impressions will never show
 # [#24903] Cannot Translate Option Values using JForm SQL Field Type**
 # [#24857] Users with create permission in a category cannot see the image button below the editor
 # [#24993] Cannot allow a group to create in a single sub category
 # [#24307] Login form does not use https
 # [#24528] Fatal error in mod_articles_category when showing readmore
 # [#24880] Can't display teaser text in full article view.
 # [#24914] Wrong class in kategory list mode
 # [#24548] Abort during install of component and module fail due to rollback methods being protected instead of public.
 # [#24389] Plugins installed via discover are enabled
 # [#22832] PNG images are not optimized
 # [#24519] Don't use the $() function in JavaScript.
 # [#25022] Upgrade Geshi to 1.0.8.10
 # [#24675] typo in databasequery.php - udpate
 # [#25011] Beez_20 and Beez 5 xml patch
 # [#23491] Upgrade Codemirror to Version 0.94
 # [#24740] Make some scripts compatible with Mootools 1.3

21-Feb-2011 Jean-Marie Simonet
 # [#24999] The strings used for the display column in the module assignment slider are confusing. Thanks Elin and Andrea
 # [#24983] modifying Beez 20 to compatibility with RTL Thanks Mahmood and Ofer.
 # [#24996] There is no featured button in the tool bar, so no way to make multiple articles featured. Thanks Elin.
 # [#24929] Multiselect not implemented in all views. Thanks Ian and Andrea.
 # [#25008] JNO/JYES instead JSHOW/JHIDE in mod_weblinks.xml Thanks Serge and Bill.
 $ Adding mn-MN to installation langs

20-Feb-2011 Jean-Marie Simonet
 # [#24916] Missing class blog_children. Thanks Markus and Bill.
 # [#24915] Missing class default_children. Thanks Markus and Bill.

19-Feb-2011 Jean-Marie Simonet
 # [#24978] duplicate code weblink .php
 # [#24545] Stripped code in contents and custom html module. Thanks Amy and Janich.

18-Feb-2011 Jean-Marie Simonet
 # [#24975] JS patch for Beez5 - IE issue hide.js. Thanks Ole.
 # [#24947] Incorrect ID attribute's value in backend menu. Thanks Serge
 $ Deleted a duplicate string and corrected some extra spaces
 # [#24933] The "Ordering" form field type defaults to "0", causing accidental changes to ordering of plugins. Thanks Bernie and Bill.

17-Feb-2011 Mark Dexter
 # [#24231] JS error notices default template in IE7+8
 # [#24825] in sql file bug
 # [#24506] com_categories doesn't properly update paths of children categories when moved to a new parent
 # [#24532] Unused JDate code causing "Catchable fatal error"
 # [#24646] Send HTTP result code 503 for the offline page
 # [#24911] Redirect component does not list 404 errors for missing child page when parent page does exist (patch supplied)
 # [#24496] Improve installation.js
 # [#24859] Debug Language showing up
 # [#24856] Get error after save options for component
 # [#24455] Alias URL does not work with Language filter plugin active - sef off
 # [#24816] 404 errors when using pagebreak with sef enabled
 # [#24314] Remove com_search SEF encoding of search term
 # [#24896] Module Banners: "All categories" option does not include all categories
 # [#24883] Plugin User-Profile Birthday field alpha entry crashes Profile Fields in Admin
 # [#24890] A registered user can change their user name
 # [#24965] Banner Manager: Banners - increase is needed for colspan of table's footer
 # [#24419] JController class lacks a unregisterTask method

17-Feb-2011 Jean-Marie Simonet
 $ Updating ar-AA and sv-SE
 $ Adding Installation language nn-NO. Updating Credits.
 # [#24926] JTRASH instead JTRASHED in jgrid.publishedOptions. Thanks Serge.
 # [#24877] * Menu manager Multilanguage Deactivate Home
 # [#24869] Accommodating for longer string value in Banners Edit page. Thanks Bill and Andrea.

16-Feb-2011 Jean-Marie Simonet
 [#24932] *Search lower and upper limit do not take into account localise.php settings
 [#24923] *Normalise modals UI
 # [#24927] Modules do not have Trashed state. Thanks Serge.
 $ Correcting an html tag in an ini string
 #$ [#24497] Improve the voting plugin. Thanks Rouven and Christophe.
 $ Taking off underline html tag in some ini strings. Thanks Serge.
 $ Small correction in an ini file. Thanks Stella.

15-Feb-2011 Jean-Marie Simonet
 $# [#24897] Untranslated strings TPL_BEEZ5_ISCLOSED and TPL_BEEZ5_LOGO. Thanks Serge.
 # [#24884] Missing messages for some menu item types having no Basic Options. Thanks Bill.
 $# [#24759] * Different Alias fields tooltips.
 #$ [#24882] *Banners unique alias
 # [#24881] Problems with aliases when there is a menu alias menu type. Thanks Mark.
 # [#24872] Transliteration does not work in Category Manager
 $ Corrected an ini string value
 # [#24912] *Multilanguage on and site offline: loggin front-end gets in a loop

13-Feb-2011 Jean-Marie Simonet
 $ [#24874] Change "Templates Manager" to "Template Manager". Thanks Mark.

12-Feb-2011 Christophe Demko
 # [#24873] Extra div element in Category List for unpublished articles (Mark Dexter)

11-Feb-2011 Jean-Marie Simonet
 # [#24833] Debug position in beez 20 template doesn't work.
 #$ Normalizing fieldset label

10-Feb-2011 Mark Dexter
 # [#24322] *Submitting two articles in the same category with the same title but different aliases doesn't work on frontend

10-Feb-2011 Christophe Demko
 # [#24446] *Contacts Category model tries to load params from menu even if no Itemid is set (Jean-Marie Simonet, Jeremy Wilken)
 # [#24417] Clicks on a custom banner are not counted (bill richardson)
 # [#24833] Debug position in beez 20 template doesn't work. (Jean-Marie Simonet)
 # [#24830] Typo in media/media/css/popup-imagelist.css (wrong color value for background) (Peter Chovancak)
 # [#24707] new user group assignement doesn't work (Andrea Tarr)
 # [#24840] *Redundant call to load language in tinymce causes lang load issue (Samuel Moffatt, Jean-Marie Simonet)

10-Feb-2011 Jean-Marie Simonet
 #$ [#24776] *Weblinks icon hardcoded
 # [#24423] JHtml select.radiolist produces unnecessary label class suffix. Thanks Nikolai.
 # [#24372] plg_user_profile "Website" field XSS. Thanks Rouven and Christophe.
 # [#24790] Remove the border attribute. Thanks Rouven.
 # [#24837] [#24767] *Detect browser lang and cookie broken when using languagefilter. Thanks Christophe.
 # [#24831] *Accommodating longer strings in bluestork page title. Thanks Christophe and Andrea.

09-Feb-2011 Jean-Marie Simonet
 $ Correcting English spelling
 $ Deleting unused string
 ^ [#24828] Image j_button2_right.png missing from system template.
 # [#24812] *Banners Tracks export modal needs more height
 # [#24811] Enable editor-xtd buttons to have meaningful tooltips. Thanks Jonathan.
 # [#24750] If a system plugin tries to load its language file, Joomla! falls back to setting the default site language to English.
 # [#24797] Change pagination pagelist. Thanks Harald.

07-Feb-2011 Jean-Marie Simonet
 $ Correcting English spelling

06-Feb-2011 Jean-Marie Simonet
 # [#24743] Contact form typo - duplicate tag </label> for Email and Message. Thanks Peter and Elin.
 # [#24711] duplicate case in switch in ~/components/com_users/controller.php. Thanks Boris and Bill.

04-Feb-2011 Christophe Demko
 # [#24562] com_menu not looking for component xml file (Mark Dexter, Selene Feigl, marius van rijnsoever)
 # [#24693] Articles Category Module Gropu by Author error (Mark Dexter)
 # [#24731] Details of the components are in different orderings (Jean-Marie Simonet, Jozsef Tamas Herczeg, bill richardson)

04-Feb-2011 Jean-Marie Simonet
 #$ Deleting hard-coded colons
 # [#24710] Contact language is ignored in frontend. Thanks Christophe.
 # [#24735] Removes references to non-existing stylesheet. Thanks Rouven
 $# Normalizing some ini strings.

03-Feb-2011 Mark Dexter
 # [#24317] Module articles category - fatal error

03-Feb-2011 Jean-Marie Simonet
 #$ [#24724] Inconsistency in the Link Author article option. Thanks Bill.
 # [#24726] Link Author option lacks in Archived Articles menu item. Thanks Bill.
 $ Correcting some ini strings values
 #$ [#24732] Message label incorrect showed and inconsistency with colon after labels in Contact form. Thanks Bill.

02-Feb-2011 Mark Dexter
 # [#24702] *Don't show empty divs in mod_login
 # [#24704] *menu items metadata not implemented
 # [#24698] *Incorrect tooltip for the Enabled column in Plug-In Manager
 # [#24695] *Incorrect tooltip in News Feed Manager
 # [#24708] *Contact form in frontend does not display the star for required fields

02-Feb-2011 Jean-Marie Simonet
 $ Updated bg-BG.ini

01-Feb-2011 Jean-Marie Simonet
 # [#24701] New preview screenshots required for the admin templates, Thanks Jozcef.
 #$ [#24694] Missing tooltip in Web Links Manager. Thanks Bill.

31-Jan-2011 Mark Dexter
 # [#24642] Incorrect term in a tooltip in the Menu Items screen
 # [#24681] *Issue in back-end login module with Languages not installed in db but present in the admin language folder
 # [#24265] Strict standards: Declaration of WeblinksModelCategory::getItems() should be compatible with that of JModelList::getItems() in
 # [#24298] Screens jumps when using the ACL widget
 # [#24336] *PHP warning in extension manger
 # [#24674] Empty tooltips in module edit screens
 # [#24405] Library JURI has an optional parameter: it should be mandatory
 # [#24665] Inconsistency in the Add new newsfeed screen
 # [#24591] No rounded corners in Opera for Modal
 # [#24557] Mod popular and latest article processing events in content plugins

31-Jan-2011 Jean-Marie Simonet
 $ Deleting duplicate lang string
 $ Updating aa-AA.ini

30-Jan-2011 Jean-Marie Simonet
 $ Customising a lang key to fit different languages

29-Jan-2011 Mark Dexter
 # [#24288] com_mailto Spam Email Relay
 # [#24371] SQL error in com_contact if id not set
 # [#24097] Add a button to the installation to remove the installation folder
 # [#24274] Title is displayed in Readmore text although 'Title with Readmore' is turned off

29-Jan-2011 Jean-Marie Simonet
 $ Deleting one unused string from all installation ini files.

28-Jan-2011 Mark Dexter
 # Fix MySQLi wording in installation language files

28-Jan-2011 Christophe Demko
 # [#23915] Trashed articles - no indication of being trashed , when viewed at front of site
 # [#24404] Update GeSHI to 1.0.8.9 (Michael Babker)
 # [#24269] com_contact view contact > links (Nikolai Plath, Sergio Iglesias, Jennifer Marriott)
 # [#24287] Disabling modules on a page leaves error messages (Nikolai Plath)
 # [#24305] 3rd party components install in location "site" instead of "administrator" (Samuel Moffatt)
 # [#24444] com_newsfeeds doesn't set default view in frontend (Jeremy Wilken)
 # [#24394] Error page styling forces error box to far left (Jeremy Wilken, Nikolai Plath)
 # [#24309] PHP Strict Standards Message, Category Blog (bill richardson)

28-Jan-2011 Jean-Marie Simonet
 $ Correcting parse issues in 14 installation langs
 # [#24657] Enabling debug language mode in installation application. Thanks Christophe.

27-Jan-2011 Mark Dexter
 # [#24644] Joomla! Web Application Framework library is uninstallable
 # Fix SVN properties on some joomla_update sql scripts

27-Jan-2011 Christophe Demko
 # [#24558] Improve the Directory Permissions in com_admin (Rouven Weßling)

27-Jan-2011 Jean-Marie Simonet
 # [#24320] Unstyled dialog when clicking 'new' in module manager. Thanks Andrea.
 # Updating credits
 # [#24550] Manifest data is not being serialized as JSON during install and discovery install. Thanks Brian Towles.

26-Jan-2011 Mark Dexter
 # [#24513] *Incorrect error string after saving default menu item with set 'Default Page' radio button to 'no' value
 # [#24607] *No translation of options (plugin names) in ordering field of plugins

26-Jan-2011 Jean-Marie Simonet
 # [#24599] Templates filter searches all extensions. Thanks CY Lee.
 $ Updating zh-CN
 # [#24619] Wrong description language code for email1 field. Thanks Bill.
 $ Correcting some lang strings values.
 #$ [#24615] Extra language definitions for icon tooltips in Messages component
 #$ [#24587] beez template typo with position-15
 $ Adding pt-PT installation lang

25-Jan-2011 Jean-Marie Simonet
 $ Adding el-GR, ka-GE installation langs
 $ Adding fi-FI installation langs. Modifying gu-IN.
 # [#24580] Localise xml default language is not highlighted in the drop down
 # [#24582] Languages not installed in db but present in the language folders in joomla issue
 # [#24564] mod_articles_category creates wrong html code. Thanks Andras.

24-Jan-2011 Jean-Marie Simonet
 $ Updating af-ZA
 #$ [#24457] Language fixes and new warnings for com_installer. Thanks Sam.
 # [#24540] New Window without navigation. Thanks Byron and Bill.
 $ Updating ru-RU, sk-SK
 $ Updating ca-ES, adding ml-IN installation lang
 $ Correcting parse errors in ml-IN.ini
 #$ [#24573] Backend mod_status private messages pluralisation. Thanks Edgars. Reordered en-GB.mod_status.ini

23-Jan-2011 Jean-Marie Simonet
 # [#24523] Improve the cpanel of admin templates + correcting some errors. Thanks Christophe.
 $ Adding bn-BD, ckb-IQ, eo-XX, ta-IN installation langs + updating 35 installation langs for 1.6.1
 $ Updating vi_VN
 # [#24570] Correcting icon message display in installation with rtl lang
 # [#24463] Admin Trashed menu doesn't display - link error. Thanks Barny and Bill.
 # [#24459] In Users -> Mass Mail Users, the tooltips are not being styled. Thanks Jeremy.
 $ Missing strings in lv-LV

22-Jan-2011 Jean-Marie Simonet
 # Updating some TT credits
 # [#24525] In Bluestork, longer labels are being cut off especially radio button labels. Thanks Andrea

21-Jan-2011 Christophe Demko
 # [#24523] Improve the cpanel of admin templates + correting some errors
 # Revert [#24523]

21-Jan-2011 Jean-Marie Simonet
 $ [#24520] Incorrect tooltips in Articles Categories module. Thanks Jozsef and Bill.
 $ [#24518] Incorrect tooltip in Module Manager. Thanks Jozsef and Bill.

20-Jan-2011 Jean-Marie Simonet
 # [#24491] com_contact, wrong string is used in config.xml (COM_CONTACT_FIELD_PROFILE_SHOW_LABEL used twice). Thanks Edgars.
 # Changing version number in en-GB.xml and en-US.xml installation
 # Adding missing new tag in localise.xml [#23083]
 # [#24318] Administration templates renders JForm "checkboxes" incorrectly in config. Thanks Andrea.

19-Jan-2011 Jean-Marie Simonet
 #$ [#24464] Incorrect language definition in 'List Contacts in a Category' menu item type. Thanks Jozsef and Bill.
 # [#24397] group perms list should be expand/collapsible at will. Thanks Jeremy and Andrea.
 #$ [#24475] Multiple groups are a problem in the user manager. Thanks Andrea.
 $ [#24097] Adding new strings from that non-committed yet patch in installation ini files to freeze them for 1.6.1.

18-Jan-2011 Jean-Marie Simonet
 # Correcting code typo
 # [#24327] Bluestork administrator template template.css typo. Thanks Bill.
 # [#24428] breadcrumbs doesn't look good on rtl templates
 # [#24461] Langswitcher module needed display improvement parameters
 $ [#24466] Incomplete language strings in Mass Mail. Thanks Mark.
 # [#24460] uppear right toolbar on rtl template isn't align well. Thanks Ofer.
 $ [#24448] missing translation for COM_WEBLINKS_DEFAULT_PAGE_TITLE. Thanks Bill.

17-Jan-2011 Jean-Marie Simonet
 + Adding he.gif flag to langswitcher
 # [#24426] Missing language string JLIB_INSTALLER_ABORT_PACK_INSTALLER_COPY_SETUP. Thanks Bill.
 # [#24409] RTL/LTR issues in Beez2 and 5 (News feeds and debug)

16-Jan-2011 Jean-Marie Simonet
 # [#24391] Implementing RTL pagination in beez
 # [#23083] Internationalisation of sample data options list. Thanks Christophe.

15-Jan-2011 Jean-Marie Simonet
 $ Correcting lang string typo
 #$ [#24384] Missing Language string Cache Unwritable
 # [#24396] MODULES_ERR_XML incorrectly called. Thanks Michael

14-Jan-2011 Jean-Marie Simonet
 $ Correcting lang string typo
 # [#24377] Adding a "Location" column in Language Manager

13-Jan-2011 Jean-Marie Simonet
 + Adding pt_br.gif flag for langswitcher
 $ [#24328] Inconsistent term for User Group. Thanks Mark.
 # [#24299] Issue with MySQL compatibility in joomla.sql with params fields. Thanks Sam.
 $ Adding missing string in JLIB

12-Jan-2011 Jean-Marie Simonet
 $ Correcting errors in fa-IR, aa-AA and he-IL installation langs
 # Correction in credits & site en-GB.xml
 $ Adding 2 JLIB_ strings to installation en-GB.ini. Thanks Eraser
 # [#24294] Javascript error in installation. Thanks Christophe
 # [#24301] /templates status indicator in backend. Thanks Sergey
 + [#24292] Refresh Cache in Extension Manager: Failed loading XML file


-------------------- 1.6.0 Stable Release [10-Jan-2011] ------------------

10-Jan-2010 Ian MacLennan
 ! Recompressing system javascript
 # Fixed issue [#24232] SQL Injection can result in information disclosure (Ian MacLennan).

10-Jan-2011 Christophe Demko
 # [#24249] Cannot edit a weblink from the frontend (Andrew Eddie)
 # [#24233] Error parameters formated in tinymce (Nikolai Plath)
 # [#24258] Some article code can send JFilterInput into an endless loop (Ian MacLennan)
 + Adding Code contributors in CREDITS
 # [#24283] J!1.6 lacks a remove installation folder screen

10-Jan-2011 Jean-Marie Simonet
 $ Adding ca-ES, lo-LA to installation langs
 $ Adding af-ZA to installation langs
 $ Adding Translation Teams in CREDITS
 - Removed nl-BE from install lang packs because of wrong browser detect
 # [#24256] Language switcher broken by #24210. Thanks Sam
 # [#24267] debug plugin does not display results if gzip is on. Thanks Sam
 # [#24255] Fix background color in high contrast batch fieldsets. Thanks Andrea.
 # [#24162] Missing image in Beez2 and Beez5. Thanks Jenny.
 $ Adding zh-CN to installation langs

10-Jan-2011 Mark Dexter
 # [#24250] PHP Notice In Archived Layout
 # Sample data fixes (Elin Waring)
 # [#24251] Article Category List Menu Item Missing Order By Parameters
 # Sample data fixes: remove xx-XX language and add Joomla! library to joomla.sql
 # [#24210] Revert to 1.5 behaviour for plugin language loading
 # Remove milkyway template files and related rows from database tables
 # [#24276] Fatal error: Cannot use object of type stdClass as array in ../libraries/joomla/updater/updater.php on line 108
 # [#24280] Getting 500 errors editing from category blog on front end with default sef on
 # [#24281] com_installer Admin XSS

10-Jan-2011 Andrew Eddie
 # Fix typo in Joomla system plugin.
 # Fixed issue [#24226] XSS Vulnerability in module chrome in administrator (Ian MacLennan).
 # Fixed issue [#24237] Database setup screen - radio button does not accomodate longer lang strings (Serge Litvinov, Andrea Tarr).
 # Fixed issue [#24221] JFormFieldRules creates invalid markup (Rouven Weßling, Andrea Tarr).
 # Fixed issue [#24215] Some small improvements to the installation (Rouven Weßling).
 # Fixed issue [#23992] Admin Bluestork template - Alignment of form text fields in IE7 (Ole Bang Ottosen, Bill Richardson).
 # Fixed issue [#24153] More PHP strict fixes (mostly backend) (Rouven Weßling, Mark Dexter).
 # Fixed issue [#24200] Primary keys from request should be cast to integer (Ian MacLennan).
 # Fixed issue [#24202] Primary keys from request should be cast to integer (Ian MacLennan).
 # Fixed issue [#24204] Primary keys from request should be cast to integer (Ian MacLennan).
 # Fixed issue [#24207] Level controller does not cast primary keys from request to int (Ian MacLennan).
 # Fixed issue [#24252] Unescaped value should be filtered (Ian MacLennan).
 # Fixed issue [#24254] Hathor status module jtext plurals (Andrea Tarr).
 # Fixed issue [#24253] Installation IE fixes (Andrea Tarr).

09-Jan-2011 Christophe Demko
 # [#24210] Revert to 1.5 behaviour for plugin language loading (Samuel Moffat)
 # [#24128] * Forms displayed in front-end gets same attributes as when using them to edit
 # [#23939] No empty menus in menu
 # [#24229] Typo in sample data (Rouven Weßling)
 # [#24223] Article link from archive view doesn't work (Elin Waring)
 # [#24234] Missing fied display_num in menu items type of category list (Akarawuth Tamrareang)
 ^ Reverting commit #20205 since it breaks language loading
 # [#24246] File used in bee5 css does not exists
 # [#21815] JFeedItem->guid is not checked by the default feed renderers (Franklin Tse)
 # [#24245] Beez5 top image not showing (Elin Waring)

09-Jan-2011 Jean-Marie Simonet
 $ Adding cs-CZ, sq-AL to installation langs + updated some.
 $ Adding fa-IR, vi-VN to installation langs
 $# [#24224] Patch for adding plural strings to backend mod_stats module. Thanks Edgars.
 # [#24219] images in media/system/images/notice-*.png are not fully transparent. Thanks Andrea.
 $ Adding gl_ES, gu-IN to installation langs
 $ Adding pl-PL to installation langs
 $ [#24238] Duplicate preposition in Who's Online module. (Typo). Thanks Rouven.
 #$ Moving xx-XX  admin and site language to the tests folder. Updating sql.
 $ Adding sy-IQ, pt-PT, ru-RU, he-IL to installation langs
 $ Adding pt-BR to installation languages
 $ Correcting some install lang strings
 # [#23785] media manager modal in weblinks options wrong size. Thanks Andrea.

08-Jan-2011 Ian MacLennan
 # Updating Copyright Year

08-Jan-2011 Mark Dexter
 # [#24013] Short 'params' field length of 5k restricts modules, menus and template functionality
 # Sample data fixes (Elin Waring)

08-Jan-2011 Christophe Demko
 # [#24154] Add the required class automatically when required="true" (Jean-Marie Simonet)

08-Jan-2011 Andrew Eddie
 # Fixed issue [#24072] Redirect Component Only Lists 404 Errors - Very Hard to Generate (Steve Burge, Elin Waring).
 # Fixed issue [#21979] Make com_users and mod_login (almost) valid XHTML strict (site) (Rouven Weßling).
 # Fixed issue [#24087] Fix more PHP strict warnings (Rouven Weßling, Nikolai Plath).
 # Fixed issue [#24209] Data from feeds is not filtered (Ian MacLennan).
 # Fixed issue [#24197] Unfiltered output in the media manager - view = images (Ian MacLennan).
 # Fixed issue [#24206] SQL Injection in templates in assignment of template styles to pages (Ian MacLennan).
 # Fixed issue [#24198] Unfiltered output in the media manager - view = imagelist (Ian MacLennan).
 # Fixed issue [#24195] Language should be escaped in JHtmlLanguages (Ian MacLennan).
 # Fixed issue [#24177] *Router issue subsequent to [23818] + cancel from cat list new article wrong redirect (Jean-Marie Simonet).
 # Fixed issue [#24196] fieldid should be properly filtered in the model (Ian MacLennan).
 # Fixed issue [#24199] menutype isn't filtered in the com_menus item model (Ian MacLennan).
 # Fixed issue [#24201] Value in input tag is not escaped (Ian MacLennan).
 # Fixed issue [#24205] template source files should not be made executable (Ian MacLennan).
 # Fixed issue [#24208] Primary keys from request should be cast to integer (Ian MacLennan).

08-Jan-2011 Jean-Marie Simonet
 $ [#24181] Strings mixed up for com_users. Thanks Rouven.
 $ Correcting some installation langs
 $ Adding ja-JP to installation langs
 $ Adding en-AU to installation langs
 # [#24220] ** [#23398] Style / layout issue with permissions settings. Thanks Andrea.
 $ Adding missing lang string.
 $ [#24217] Unnecessary definite article in system logout plug-in. Thanks Bill.
 $ [#24212] Incorrect modes specified in TinyMCE editor language file. Thanks Jozsef and Bill.

07-Jan-2011 Mark Dexter
 # [#24106] onContentBeforeSave() and onContentAfterSave() do not work in the backend.
 # [#24174] XSS Vulnerability in helpsearch

07-Jan-2011 Christophe Demko
 # [#24157] Library RSS deals with multiple categories for items but not for the feed itself
 # [#24188] Lack of Atom feed format returned (bill richardson)
 # [#24189] Duplicate word en-GB.mod_menu.ini (bill richardson)

07-Jan-2011 Andrew Eddie
 # Fixed issue [#24160] Backend com_languages XXS (Ervis Tusha, Rouven Weßling).
 # Fixed issue [#24176] XSS Vulnerability in com_content (Ian MacLennan).
 # Fixed issue [#23675] [patch] Weblinks controller uses getWord() instead of getCmd() (Soren Jensen, Andy Capiau).
 # Fixed issue [#23766] [patch] Consistent properties for JTable descendants (Joseph LeBlanc).
 # Fixed issue [#23164] Improving of loading modules (Dennis Hermatski).
 # Fixed issue [#24051] Some JHTML Behavior Housekeeping (Rouven Weßling).
 # Fixed issue [#24173] CSS/Layout changes to accomdate longer languages in installation (Andrea Tarr).
 # Fixed issue [#24136] Add a field for phone numbers to JForm (Rouven Weßling).
 # Fixed issue [#24180] Fix a number of script injection issues (Rouven Weßling).

07-Jan-2011 Jean-Marie Simonet
 $ Reordering strings for plg_content_joomla.ini, updating the xx-XX version.
 $ Correcting some strings in installation languages
 # Fix Typo in [23818]
 $ Adding sk-SK, be-BY, lv-LV, et-EE, ro-RO, nl-BE, lt-LT, aa-AA, no-NO in installation
 $ Adding mk-MK installation lang + some changes in other langs
 # [#24187] When Languagefilter is enabled, a query in the module helper causes a crash. Thanks Mark Visser.

06-Jan-2011 Ian MacLenann
 # [#23823] Front-end URL Error

06-Jan-2011 Christophe Demko
 # [#24111] The pageclass sfx parameter can be used to inject scripts (Rouven Weßling)
 # [#24102] clearing div in spacer.php leads to validation problems
 # [#24141] Submenu items appear although they have no active parent item (bill richardson)
 # [#24123] Administrator - menu name change (Rouven Weßling)
 # [#24148] Obsolete city name in time zones
 # [#24118] Update Error pages for Beez2 and Beez5 (Angie Radtke, Elin Waring)
 # [#24138] Hathor security, css, and image update/fixes (Andrea Tarr)
 # [#23971] Category Blog View next page button does not work (Mark Dexter)

06-Jan-2011 Jean-Marie Simonet
 $ Adding es-ES, nl-NL, tr-TR, uk-UA, id-ID, sr-SR, sr-YU in installation

06-Jan-2011 Mark Dexter
 # Revert part of [#24140] so that database password is not required during installation
 # Fix typo in language XML file
 # [#23818] com_content - Category List - New Article: pressing cancel produces error: "You are not permitted to use that link to directly access that page (#10)"
 # [#23853] The last superuser can remove himself from the SU group
 # [#24167] Notice in the router
 # [#24169] Hathor security review fixes

05-Jan-2011 Christophe Demko
 # [#24133] Beez templates set role search on the wrong element (Rouven Weßling)
 # [#24135] 2 minor issue with JForm's email field (Rouven Weßling)
 # [#24139] A couple of possible extraneous images in Admin (Andrea Tarr)
 # [#24085] Menu id is lost after apply task. (Edgars Piruška)
 # [#23772] Page cache only applies to NON guest users; shouldn´t it be vice versa? (Rouven Weßling)
 # [#22599] Folder view not updating when deleting folders (Janich Rasmussen, Mathavan Jeyadev)
 # [#23827] Option to display Blog subcategory content within Blog is missing (bill richardson)

05-Jan-2011 Jean-Marie Simonet
 # Commented out loading of lib_joomla.ini during installation
 # [#24140] Required field missing in installation database.xml + some
 # Updating xx-XX.banners.ini
 $ Adding de-DE, da-DK, zh-TW, km-KH, sv-SE, hu-HU, bg-BG, th-TH, fr-FR, it-IT in installation
 $ Correcting parse error in string.

05-Jan-2011 Andrew Eddie
 # Fixed issue [#21275] Incorrect date format used when tracking banner clicks, causing Error: 500 when clicking on a banner (Cy Lee, Troy Hall).
 # Fixed issue [#23717] Add a field for E-Mail to JForm (Rouven Weßling).
 # Fixed issue [#23891] Toggle enabled state in User Manager (Sander Potjer, Bill Richardson).
 # Fixed issue [#22750] Quick 2h code review: 10 real bugs (files and line numbers included) (Matias Griese, Dennis Hermatski, Elin Waring).
 # Fixed issue [#22659] Debug plugin doesn't show 'afterRender' profiler mark and can't gather statistics of other system plugins (Dennis Hermatski).
 # Fixed issue [#23718] Add a field for URLs to JForm (Rouven Weßling).
 # Fixed issue [#24039] More PHP strict compatibility fixes (Rouven Weßling).
 # Fixed issue [#24114] Article editor fails to define global settings if plugin disabled and still set at default (Daniel Jackson, Christophe Demko).
 # Fixed issue [#21852] Multiple select categories in modules has no way to unselect (Elin Waring, Bill Richardson).

04-Jan-2011 Jean-Marie Simonet
 $ Reordering admin en-GB.com_content.ini and updating xx-XX.com_content.ini
 # [#24104] Creation of My Profile broke Profile Plugin. Thanks Elin.
 # [#24117] A lot of CSS and other changes in beez20 and Beez 5. Thanks Angie.
 # [#24119] Adding automatically the character * to all required fields in admin and site
 $ [#24126] Feed Count vs. Number of articles in News Feed Manager. Thanks Bill.
 $ [#24127] Obsolete string in the news feeds component language file. Thanks Bill. + updated xx-XX.newsfeeds.sys.ini


03-Jan-2011 Mark Dexter
 # [#23845] [Patch] Administrators can create, edit, delete Super Users

03-Jan-2011 Christophe Demko
 # [#23846] Possible to delete groups that have users
 # [#24092] View administrator/index.php?option=com_languages&view=installed displays site AND admin language
 # [#24086] All administrators can read private message which they were not receiver
 # [#23896] JFormFieldLanguage error when no client attribut set.
 # [#24099] Adding * to follow internet convention for the registration required fields in front-end (Jean-Marie Simonet)
 # [#24100] Following #22509. Private message and email is not in the user defined language

03-Jan-2011 Jean-Marie Simonet
 # [#24098] Extensions Manager does not discover languages correctly. Thanks Sam.
 # Correcting validation issue in [#24099]
 $ Changing back some strings from [#24099]. TODO: has to be implemented via CSS.
 # [#23946] Fix various IE7 issues with Hathor. Thanks Andrea.
 # [#24079] Replace all nbsp with the numeric entity. Thanks Rouven.

02-Jan-2011 Jean-Marie Simonet
 # [#22509] No message generated on new article creation in the front end. Thanks Christophe.
 # Correcting some hathor headers.

02-Jan-2011 Christophe Demko
 # [#24068] Remove BitFolge library from SQL (Michael Babker)
 # [#23937] Fix some uses of JPATH_ROOT when there is a better alternative (Rouven Weßling)
 # [#23968] JRegistry::loadFile is not consistend with JRegistry::loadString
 # [#24046] Update TinyMCE to Version 3.3.9.3 (Rouven Weßling)

01-Jan-2011 Christophe Demko
 # [#24010] Error Message Missing for Image Upload (Janich Rasmussen)

01-Jan-2011 Jean-Marie Simonet
 # [#24055] Disabled languages display as choice in users params. Thanks Christophe.
 # [#24057] New CSS Needed for Private Messages in Bluestork
 # [#24061] Beez5 uses position-01 instead of position-1 in one location. Thanks Elin.
 # [#24058] Beez5 parameter problem. Thanks Elin and Christophe.
 # [#24028] Can't bulk delete users. Thanks Christophe.
 # [#23849] Toolbar images are not properly centered over their text in IE8 - Bluestork. Thanks Bill.
 #$ Allowing translation of PHPMAILER lang strings + correcting some strings values.

31-Dec-2010 Christophe Demko
 # [#24043] In Chrome, the pagination buttons are misaligned in admin Hathor plus remove duplicate css (Andrea Tarr)
 # [#24018] Alternate date format performing unexpectedly at category view/list layout (bill richardson)
 # [#23895] Correction on the default assets table data in joomla.sql (Sander Potjer)
 # [#23897] Bug in profile edition on admin side (pooja raju)
 # [#23972] Category List does not show non-empty subcategories (bill richardson)

30-Dec-2010 Christophe Demko
 # [#23969] parameter $namespace is obsolete in JRegistry::toString
 # [#23667] Extension Manager: Manage screen does not update version number (Samuel Moffatt)
 # [#23701] joomla.installer.adapters.library does not accomodate media tag (Samuel Moffatt, Michael Richey)
 # [#23808] JToolBar is adding paths in the wrong order (Elin Waring, Ian MacLennan)
 # [#23774] API issue: JUser::save() now uses numeric array for ->groups instead of indexed array ? (Samuel Moffatt)
 # [#23837] *Installation unexpectedly terminated: Method not supported for this extension type: template + (Samuel Moffatt)
 # [#23855] More php strict compatibility fixes (Elin Waring)
 # [#23908] JDocumentHTML::render uses require_once to load template instead of require (Samuel Moffatt)
 # [#23918] the filter 'Hide protected extensions' is selected when all extensions are selected (Rouven Weßling, bill richardson)
 # [#23963] [Patch] Trying to get property of non-object in /modules/mod_login/helper.php on line 54 (Nolan Martin)
 # [#24038] Menu views blanked out in menu item type select modal in Hathor (Andrea Tarr)
 # [#23921] Fix more inputs that could be used to inject scripts. (Rouven Weßling)
 # [#24040] Move hardcoded bluestork image in mod_logged to media/system (Andrea Tarr)

30-Dec-2010 Jean-Marie Simonet
 # [#24035] Enable Resize in TinyMCE Extended Mode. Thanks Hans-Stefan and Bill.
 # [#22564] Temp folder has to include JPATH_ROOT for gz extension upload to work. Thanks Sam.
 #$ [#24036] Various issues with default languages and disabled languages. Remains some TODO.

29-Dec-2010 Jean-Marie Simonet
 # [#24027] Allowing site only language packs to load xx-XX.lib_joomla.ini file
 # [#24026] [patch] language 'JError_Checkin_saved' should be 'JLIB_APPLICATION_ERROR_CHECKIN_FAILED'. Thanks Bill and Ray.
 $ [#24017] COM_CONFIG_ACTION_EDITOWN_DESC conceptual issue. Thanks Bill
 # [#23817] Error in installation (joomla.sql). Thanks Mark and Elin
 # [#23919] Admin menu shows global checkin link to those without such rights. Thanks Bill.

28-Dec-2010 Jean-Marie Simonet
 # [#23983] Admin username and password being saved as FTP credentials if you aren't careful. Thanks Elin.
 $ [#24011] No_Images_Found Text String Missing. Thanks Bill.
 $ Adding a framework string necessary when no non en-GB site/admin langague pack installed
 # [#24015] Web services configuration option still there. Thanks Sam and Rouven.
 $ Missing lang strings
 # [#23938] Fix a couple of issues related to path configuration. Thanks Rouven.
 $ Modifying some language strings in installation ini file.

27-Dec-2010 Jean-Marie Simonet
 # [#23942] Accessibility fix for sliders. Thanks Andrea.
 $# [#23997] Refactoring language strings for permissions tooltips and Note. + reordering some inis.
 # [#23998] Incorrect description for permissions configure options. Thanks Bill.
 $ Correcting inconsistent keys and reordering com_users.ini

26-Dec-2010 Jean-Marie Simonet
 # [#23977] Weblink: modal and popup target window patch
 #$ [#23988] Updating/installing Joomla core through Manager does not display XML description
 # [#23990] mod_articles_category some header tag's are not closed properly. Thanks Bill.
 # [#23944] Accessibility fix for Toolbar. Thanks Andrea
 # [#23943] Accessibility fix for Modals. Thanks Andrea

25-Dec-2010 Jean-Marie Simonet
 # [#23970] language string missing COM_BANNERS_FIELD_VALUE_0. Thanks Bill.
 $ [#23927] Bad Translation

25-Dec-2010 Mark Dexter
 # [#23886] Escape Module Class Suffix for all Modules (Rouven Weßling)
 # [#23773] Category not found notice
 # [#23967] Parameter $default is useless in JRegistry::exists
 # [#23966] Beez5 unused strings (Edgars Piruška)
 # [#23965] Change Database Default to MSQLi instead of MSQL
 # [#23727] Use mootools in md_stylechanger.js (Rouven Weßling)
 # [#23733] Improve hide.js (Rouven Weßling)
 # [#23336] JUser->authorise() improvement (Dennis Hermatski)

24-Dec-2010 Christophe Demko
 # [#23857] thrice Recipient!!
 # [#23956] Beez20 string name issues (bill richardson, Edgars Piruška)
 # [#23923] PHP Strict validation in session classes (Rune Sjøen)
 # [#23789] Typo in sample data (Ramindu Deshapriya)
 # [#23784] Template editor background missing with bluestork (bill richardson,	Ramindu Deshapriya)
 # [#23830] ACL is warned but bypassed for change state, archive and trash (bill richardson, Mark Dexter)

24-Dec-2010 Jean-Marie Simonet
 # [#23868] FTP not implemented for template source edit
 +$ [#23926] Missing help screen reference
 # [#23949] Issue with multilanguage and editing articles in frontend. Thanks Christophe.
 $ [#23960] Typo in Article Options. Thanks Bill
 ^$ [#23936] Random image module description and alternate layout strings are not translated in other languages. Refactoring all keys.

23-Dec-2010 Jean-Marie Simonet
 # [#23945] Remove hardcoded color. Thanks Andrea
 # [#23925] Update obsolete CSS cursor notation. Thanks Andrea
 $ [#23931] Untranslated String in en-GB.com_banners.ini. Thanks Bill
 $ [#23930] Untranslated String in en-GB.com_categories.ini. Thanks Bill
 $ [#23928] Bad translation in Weblink Component. Thanks Bill.

21-Dec-2010 Christophe Demko
 # [#23894] Components menu item visible in disabled menu (Sander Potjer)
 # [#23782] [PATCH] Fix router calls for components containing hyphens and full stops. (Tom Lee)
 # [#23811] PHP Strict Compatibility (Elin Waring, Rune Sjøen)
 ^ [#23877] Improve how HTML entities in meta data are handled (Rouven Weßling)
 ^ [#23879] Remove a workaround around a PHP4 limitation (Rouven Weßling)
 # [#23601] When creating an account keeps saying email adress already exists (Ian MacLennan)
 # [#23761] AutoLoader (Mathieu Delisle, Rune Sjøen)
 # [#23838] JCacheStorage should not extend JObject PHP Strict issue (Elin Waring)

20-Dec-2010 Jean-Marie Simonet
 # [#23903] Menu item type external url issues

19-Dec-2010 Jean-Marie Simonet
 # [#23819] Self-Registering Users aren't assigned any usergroup. Thanks Elin.
 # [#22982] fix: JURI::root(true) -> JURI::root() (template preview). Thanks Rune.
 # [#23889] Action ordering com_users. Thanks Sander.
 # [#23880] Contact-form emty. No inputfields. Thanks Bill.
 # [#23820] Missing Lang Strings because of validate.js

18-Dec-2010 Ian MacLennan
 # [#23874] JPluginHelper::importPlugin('users') instead of JPluginHelper::importPlugin('user')

18-Dec-2010 Jean-Marie Simonet
 # [#23799] Can't uninstall Beez and Bluestork templates.
 $ Updating Milkyway description
 # [#23865] Missing language string. Thanks Bill.

17-Dec-2010 Jean-Marie Simonet
 # [#23670] Non-installed languages display in the Language Manager Installed view. Thanks Pooja.
 # [#23809] Special characters used in menu names should be converted to HTML equivalents. Thanks Christophe.
 # Updating templates sql
 #$ Adding language folders in administrator templates
 $ Correcting language Key
 # [#23843] wrong lang string called by com_messages. Thanks Stefania
 # [#23676] Link Weblinks in Module causes error. Thanks Tim.
 $ Missing weblinks error strings in front-end.

17-Dec-2010 Ian MacLennan
 # [#22035] Custom HTML module filtering issues

16-Dec-2010 Jean-Marie Simonet
 $ [#23786] Extension manager language file error. Thanks Bill.
 # [#23800] News feed language direction default value. Thanks Bill.
 $ [#23795] Prevent disabling ALL authentication plugins. Thanks Bill.
 #[#23788] Fail to move or copy category to root. Thanks Mark.

15-Dec-2010 Mark Dexter
 # Fix typo in configuration language file

15-Dec-2010 Jean-Marie Simonet
 $ Modifying strings wrong value
 # Changing link to language packs
 $ [#23797] Correction of language in banner manager. Thanks Bill.
 $ [#23787] Redirect manager state - published or enabled

-------------------- 1.6.0 RC1 Release [14-Dec-2010] ------------------

14-Dec-2010 Mark Dexter
 + [#23750] Update of old core layouts in Milky Way (Elin Waring & Jennifer Marriott)
 # Reverting [#23697] since it causes problems in Menu Item edit. Re-opening issue.
 # [#23754] Security issue - Templates Manager: Edit Style --> Advanced Options

14-Dec-2010 Ian MacLennan
 # [#23373] Make decision and implement changes to URL structure
 # [#23764] Search Results have issues with SEF (Error: 500)

14-Dec-2010 Jean-Marie Simonet
 # [#23771] RTL header display issue (bluestork) + same in admin

14-Dec-2010 Christophe Demko
 # [#23770] unit test are not working on JLanguage since commit on [#23407]
 # [#23749] User with core.admin but not core.manage in com_messages can be selected as recipient of messages (Rouven Weßling)

13-Dec-2010 Ian MacLennan
 # [#22751] errors in javascript form validation and combobox.js

13-Dec-2010 Christophe Demko
 # adding a jimport in uri.php (it uses JString::parse_url)
 # [#23407] Add option which day should be the first day of the week (Dennis Hermatski)
 # [#23748] languagefilter causes double content on www.example.com/ and www.example.com/en/ (Mark Visser)

13-Dec-2010 Jean-Marie Simonet
 $# [#23747] Fix UI for blog layouts. Thanks Elin.
 # Fixing some hardcoded colons
 $ Normalizing some language strings, Correcting typos.

13-Dec-2010 Mark Dexter
 # [#23377] Version information disclosure in joomla.xml
 # Sample data fixes (Elin Waring)
 # Better fix for installation error with [#23745] (Sam Moffatt)

12-Dec-2010 Mark Dexter
 # [#23741] Menu -> Content -> Featured Articles gives error 500
 ^ [#22758] Controlling module parameters for <jdoc:include type="module" /> (Dennis Hermatski)
 # [#22531] Private Message recipient not checking for backend access
 ^ [#23745] Add a system plugin event called onBeforeCompileHead (Louis Landry)
 # [#23737] Number of list results not taken into account on listing view
 # [#22097] Records in #__session aren't deleted after user's logout; Joomla checks #__session too often (Dennis Hermatski)
 # [#21138] Article manager - no filter on created by (Roland Dalmulder)
 # [#23728] Content of the mail from is not retained if an error occurs
 # [#23725] Duplicate contradicting messages on send mail error
 # [#23696] Menus creation fail with 1.5-style menus metadata: using SimpleXMLElement attributes missing (string) typecast (Beat)
 # [#23697] Menus with default view have a view=(empty) in URL and are missing other defined attributes and 1.5-type-menu-metada does not display menu type correctly in backend (Beat)
 # Fix up error trying to run installation with [#23745]

12-Dec-2010 Christophe Demko
 # Checking the table when copy a menu item (missing in [#23721])
 # [#23740] *RTL menu display issue in beez 2.0 (Jean-Marie Simonet)

12-Dec-2010 Jean-Marie Simonet
 # [#23721] SEF-URLs with mod_rewrite is not working for certain menu-aliases. Thanks Christophe.
 # [#23723] Various RTL issues with single contact display with Beez2. Thanks Iztik and Andrea.
 # [#23729] List Contacts in Category missing ID column of table on front-end. Thanks Bill.
 # [#23730] Backend - 500 an error has occurred when sorting an empty contact list. Thanks Bill.

11-Dec-2010 Jean-Marie Simonet
 # [#23715] Add Site Name to Page Title not working for articles/newsfeeds/weblinks selected via a category. Thanks Mark

11-Dec-2010 Christophe Demko
 # [#23720] *Changing Home set to ALL languages to another language and reverting = 500 + unpublish message
 # [#22648] function isCompatible incorrectly checks current version (Mark Dexter)
 # [#23498] Use Mootools Build-In Cookie Class in hide.js (Rouven Weßling)
 # [#23196] Articles created in front end have no rules saved in asset table* (Mark Dexter)
 # [#23480] Addition of missing handler parameter for JHTML modal behavior and fullScreen capability (Omar Ramos)
 # [#23424] Minor improvements to md_stylechanger.js (Rouven Weßling)
 # [#23719] Single Newsfeed SEF urls don't contain alias (Elin Waring)
 # [#23708] backend - missing RTL css definition for backloggedin-users (Andrea Tarr)
 # [#23372] Make Title in Read more button optional (bill richardson)
 # [#23707] Missing option to translate accordion section headers in backend main page
 # [#23291] Improve JBrowser (Rouven Weßling)

10-Dec-2010 Mark Dexter
 ^ [#22730] Assign usergroup to guests (Dennis Hermacki)

10-Dec-2010 Christophe Demko
 # [#23589] mod_latestnews ignores "show featured" setting

10-Dec-2010 Jean-Marie Simonet
 # [#23710] Improve fieldset input CSS definition for RTL language. Thanks Itzik and Andrea.
 # [#23709] add new article - missing RTL css definition for editor article button. Thanks Itzik and Andrea.
 # [#23711] Allowing default text to be translatable in form fields. Thanks Christophe
 $- [#22091] Global configuration System: help server string updated. helpsites-15.xml deleted. helpsites-16.xml updated.
 # [#23714] Misc Hathor css fixes. Thanks Andrea.
 $ [#23713] "User Manager: Edit Access Level" has some small errors. Thanks Peter and Bill.
 $ [#23712] "User Manager: Add New View Permission Level" label is not logical. Thanks Peter and Bill

09-Dec-2010 Mark Dexter
 # [#23695] Apply patch 23034 to contacts and newsfeeds
 # [#23690] Fullpath disclosure in template error files

09-Dec-2010 Christophe Demko
 # [#22725] Update Manager Fails (Dennis Hermacki)
 # [#23700] Lang switcher is redirecting users to home page depending of languages when lang filter is off + SEF plugin is doing some work when SEF is OFF
 # [#23702] Javascript out of sync between normal and uncompressed file (Rouven Weßling)

09-Dec-2010 Jean-Marie Simonet
[#23671] some Chinese glyphs break SEF when using unicode urls. Thanks Mark.

08-Dec-2010 Jean-Marie Simonet
 # [#23677] RTL header issue in Bluestork. Thanks Andrea.

08-Dec-2010 Mark Dexter
 # [#21207] Joomla 1.6 Beta 6 - not assigned to groups when via LDAP login. (Elin Waring)
 # [#23441] *Fatal error when saving a weblink from the new icon in a weblink category list
 # [#22992] Unpublished articles are still shown in user profile
 # [#22958] CSS class and id changes (cont'd) (Andrea Tarr)
 # [#22955] Upgrading plugin using method="upgrade" does not remove files omitted from xml (Sam Moffatt)

07-Dec-2010 Mark Dexter
 # [#22957] Upgrading a template that uses method="upgrade" removes manually added files
 # [#22682] Users without edit state can change date on screen via the calendar
 # [#23366] Remove special treatment for Konqueror with regard to minified javascript (Rouven Weßling)

07-Dec-2010 Jean-Marie Simonet
 [#23666] Attempting to log in with a non-existent account get's "Username and password do not match" message. Thanks Matt and Bill.

07-Dec-2010 Christophe Demko
 + Adding an index.html file
 # [#23663] Some modules does not load the jmodel class before using it
 # [#23639] JFormValidator and disabled Elements (Reinhard Hiebl)
 # [#23654] Com_categories don't save the params when a section is specified (Jonnathan S. Lima)

06-Dec-2010 Christophe Demko
 # [#23660] The menu system does not use attributes in metadata.xml files
 # [#23227] JArrayHelper::fromObject doesnt work if the object contain an array of objects

06-Dec-2010 Jean-Marie Simonet
 # [#23288] instances of ® should be html encoded. Thanks Bill.
 #$ Normalizing/implementing Submit/Save success strings/code for articles/weblinks in front-end
 # [#23651] Save failed with the following error: Another article from this category has the same alias. Thanks Mark.
 # [#23034] Article title tag is using menu title instead of article title. Thanks Mark.
 # [#23622] Hathor clean up of CSS and parameters, plus file reduction. Thanks Andrea.

05-Dec-2010 Jean-Marie Simonet
 # [#23604] Can't load twice the same loadposition on same page. Thanks Christophe.

05-Dec-2010 Christophe Demko
 # [#23474] Script code injected into module edit screen for menu assignment does not validate. (bill richardson)
 # [#23653] Differences between uncompressed and normal JS files (Rouven Weßling)
 # [#23606] Saving Profile changes generates two php warning messages (Elin Waring)

04-Dec-2010 Christophe Demko
 # [#23436] Cannot utilize more than one spacer field type in component config.xml
 # Omitting of commit in [#22606]

04-Dec-2010 Jean-Marie Simonet
 $ Adding missing ini string
 #$ Adding Phnom Penh in time zones. Updating xx-XX.ini(s)
 # Missing file in [#23016] breaks global config when debug on
 # [#23649] Langfilter home page and user site language. Thanks Christophe.

03-Dec-2010 Ian MacLennan
 # [#23016] Use minified/uncompressed files for more Scripts (Rouven Weßling)

03-Dec-2010 Mark Dexter
# [#23133] Back end edit screens need ACL
# [#23562] Categories & Menus Batch ACL checks missing
# [#23554] Alternative layout example (Elin Waring)
# [#23558] Customer Group cannot save article from category list
# [#23590] Clean up commented code in weblinks (Elin Waring)
# [#23169] Remove the border and frameborder attributes. (Rouven Weßling)
# [#21765] Codemirror doesn't work with XHTML is served with an XML MIME type (Rouven Weßling)
# [#22664] Issue with displayed records after change of filters
# [#23599] Add a tooltip that a password needs to have at least 4 characters.

03-Dec-2010 Christophe Demko
 # [#22033] Apostrophe du mode hors ligne
 # [#23568] Media field needs to cope with com_media ACL
 # [#23433] Skip the automaticall loading of plugin language file
 # [#22606] Unable to create several groups with the same name

03-Dec-2010 Jean-Marie Simonet
 $ Modifications of the installation ini files.
 # [#22351] component messages - my settings wrong display. Thanks Andrea.
 # [#23635] "Debug Permissions Report" buttons improvement. Thanks Dennis.
 # [#23636] Invalid using of JLIB_APPLICATION_ERROR_UNHELD_ID. Thanks Dennis.
 # [#23608] Sort by user group 500 error. Thanks Mark. Temporary fix.
 # [#23492] Aria-invalid missing on some invalid inputs. Thanks Andrea.

02-Dec-2010 Mark Dexter
# Typo in language file

02-Dec-2010 Christophe Demko
 # [#23615] Implementing tooltip for the filters settings in Content Options (Jean-Marie Simonet)
 # [#23607] Profile fields not displaying in profile form. (Elin Waring)
 # [#23611] The extension manager does *not* display messages when uninstalling

02-Dec-2010 Jean-Marie Simonet
 # [#23605] Adding the string Select in the batch dropdowns
 # [#23587] com_content archive template produces invalid markup. Thanks Bill.
 # [#23613] Adding a tooltip to Select access levels in the batch layouts

01-Dec-2010 Christophe Demko
 # [#23581] Component installer does not use the key from the menu tag
 # [#23534] Method signatures don't match causing PHP strict errors - Features model populateState (Ian MacLennan)
 # [#23533] Method signatures don't match causing PHP strict errors - articles model populate state (Ian MacLennan)

01-Dec-2010 Jean-Marie Simonet
 $^ Enabling custom translation of types in installer messages
 # [#23602] Login redirect form does not redirect to the return parameter passed as GET parameter. Thanks Christophe.
 # [#22039] Using loadposition to load an articles category module returns Fatal error on front. Thanks Angie.
 $ [#23598] The word "warning" cannot be translated. + ordered some strings and updated xx-XX.ini
 # [#23586] Discovering of plugins by the extension manager consider them as installed. Thanks Christophe.
 $ [#23585] Correct Batch Menu Copy/Move Label. Thanks Michael

30-Nov-2010 Christophe Demko
 # [#23532] Strict errors - issues with JCacheController (Ian MacLennan)
 # [#23537] Method signatures don't match causing PHP strict errors - JRouter (Ian MacLennan)
 # [#23536] Method signatures don't match causing PHP strict errors - JDate (Ian MacLennan)
 # [#23535] Method signatures don't match causing PHP strict errors - articles model get items (Ian MacLennan)
 # [#23580] 500 Errors going to Article Manager in Hathor (Andrea Tarr)

30-Nov-2010 Jean-Marie Simonet
 # Updating JLanguageTest
 # Corrected JArrayHelperTest unicode corruption
 # [#23569] When adding a form as plugin into article "JLIB_APPLICATION_ERROR_UNHELD_ID" is thrown. Thanks Mark.
 # [#23439] redundant code in components/com_weblinks/controllers/weblink.php. Thanks Bill.

-------------------- 1.6.0 Beta15 Release [29-Nov-2010] ------------------

29-Nov-2010 Mark Dexter
# Sample data fixes (Elin Waring)

29-Nov-2010 Christophe Demko
 # [#23525] Access to media manager & ACL
 # [#23559] Installer does not initialize the asset table when component is installed

29-Nov-2010 Jean-Marie Simonet
 # [#23340] sort order Extension Manager: Manage (filter). Thanks Klas and Christophe.
 # [#23555] Duplicate alias error in home page removes home page of the site. Thanks Mark
 # [#23376] Confirm password reset fails with invalid token. Thanks Ian.
 $ Missing lines in en-GB.xml and xx-XX.xml, missing ini files in xx-XX.
 # [#23539] Administrator custom module causes fatal error when used with com_content. Thanks Ian.
 $ Consolidated some string, adding missing string.
 # [#23557] Super admin requesting password reminder gets wrong Notice. Thanks Christophe.
 # [#23527] Add css3 support for rounded corners to the mozilla/webkit corners in Hathor. Thanks Andrea.
 # [#23450] mod_articles_category register to readmore and alternative readmore Patch attached. Thanks Angie

28-Nov-2010 Jean-Marie Simonet
 # [#22623] stressed titles / utf8 characters don't make it through the return parameter. Thanks Christophe.

28-Nov-2010 Mark Dexter
# [#23501] Custom groups assignment not being honoured in user edit form.
# [#23419] group with create in a single category only (e.g. customer group) user getting 403 errors

27-Nov-2010 Ian MacLennan
 # [#23513] Incorrect PHP function referenced in date()'s phpdoc for second parameter

27-Nov-2010 Mark Dexter
# [#23524] JUser has incorrect static variable $isRoot

27-Nov-2010 Jean-Marie Simonet
 $ Moving a string to library ini.

27-Nov-2010 Christophe Demko
 # [#23523] Add Hathor override for the new My Profile view (Andrea Tarr)
 # [#23526] mod_login module does not display correct URL while redirecting
 $ Typos in behavior.php

26-Nov-2010 Jean-Marie Simonet
 $ [#23449] confusing language in acl tootltip for categories and content
 # [#23476] code editor textarea missing border. Thanks Andrea.

26-Nov-2010 Andrew Eddie
 # Fixed issue [#23495] ACL for Image Manager access to the uploader (Elin Waring, Christophe Demko).

25-Nov-2010 Jean-Marie Simonet
 # Hiding and correcting related to [#23117]
 # [#23505] SEF off url inconsistencies in category routes. Thanks Andrew.

25-Nov-2010 Christophe Demko
 # [#23462] Checkboxes Form Field is not displayed correctly Options panel (Andrea Tarr)
 # [#23460] com_plugins uses wrong JPATH constants (Ian MacLennan)
 # [#23461] Wrong JPATH constant use in JHtmlEditor (Ian MacLennan)
 # [#23465] Incorrect group attribute set for content search plugin (CY Lee)
 # [#23451] Bring com_search closer to XHTML strict (site) (Rouven Weßling)
 $ [#23473] Default Access Level tooltip (bill richardson)

25-Nov-2010 Andrew Eddie
 # Fixed issue [#23469] Category field for save is showing unauthorized categories (Elin Waring).
 # Fixed issue [#23445] Display of categories layouts has changed and is now incorrect (Elin Waring, bill richardson, Omar Ramos).
 # Fixed issue [#23454] Article Select in modal won't select if you've searched or filtered in Hathor (Andrea Tarr).

24-Nov-2010 Ian MacLennan
 # [#23430] some jhtml behavior's load twice code
 # [#23425] Use the correct Icon for a new Article in Category List view
 # [#23117] Add missing fields to Category Edit

24-Nov-2010 Jean-Marie Simonet
 $ Changing module manager state filter to Published/Unpublished to be consequent.
 #$ [#23448] typo in en-GB.ini language file. Normalizing strings to use global.
 $^ Adding a string accidentally deleted, code cleaning.
 #$ [#23475] Redirect manager state - published or enabled. Thanks Bill.

23-Nov-2010 Christophe Demko
 # [#23432] The installer has some issues with schema updates
 $^ hiding the 'extension' field (no longer needed) while editing a category + set the 'rules' field label not translatable

23-Nov-2010 Jean-Marie Simonet
 $ Deleting unused strings. Reordering strings in some ini files.
 # [#23447] image truncated by row height. Thanks Andrea.
 $^ Deleting unused strings and css, completing setting the 'rules' field label not translatable
 $ Updating xx-XX plg_user.ini and ordering some strings.

22-Nov-2010 Christophe Demko
 #$ Fix a language loading file
 # [#23434] Installer outputs closing tag at the end of configuration.php (Ian MacLennan)

22-Nov-2010 Jean-Marie Simonet
 # [#23368] Missing styles for unpublished items in the list views. Thanks Elin and Bill.
 # [#23276] Fix left edge of header lines. Thanks Viet and Michael.

21-Nov-2010 Mark Dexter
# Sample data fixes (Elin Waring)

21-Nov-2010 Christophe Demko
 # $ Translating the label field instead of the name field in JLIB_FORM_VALIDATE_FIELD_INVALID error
 # [#23409] Category Icon on Components Menu
 # [#23278] media_manager from JToolbarHelper throws javascript errors

21-Nov-2010 Jean-Marie Simonet
 # [#23361] default template in component.php view always in use

20-Nov-2010 Ian MacLennan
 # [#22962] Mootools Library Upgrade

20-Nov-2010 Jean-Marie Simonet
 $ Updating xx-XX.com_media.ini to [#23370]
 # [#23392] Use Article settings missing from some menu items. Thanks Bill.
 #$ [#23416] Adding descriptions in the images modal
 # [#23413] Module Article categories. Thanks Mark
 # [#23303] Newfeed layouts should show unpublished feeds if logged in. Thanks Mark.

20-Nov-2010 Mark Dexter
 # [#23380] Category manager allows deleting a category that has items assigned to it
 # [#21581] mod_articles_category Fixes. (Omar Ramos)

20-Nov-2010 Christophe Demko
 # [#23355] Access level special now manager and above (Elin Waring)
 # [#23342] Front end editing not working in some layouts (bill richardson)
 # [#21638] maximum upload size inconsistency (Ian MacLennan, Rouven Weßling, bill richardson)
 # Fix a small issue in templatestyle field

19-Nov-2010 Mark Dexter
# Remove duplicate article in sample data

19-Nov-2010 Christophe Demko
 ^ Fix Check for request forgeries
 # [#23397] return false; on config tabs throwing javascript error (Al Kent)
 # [#23370] *Modal Non-flash Uploader does not work
 # [#23359] com_contact template produces invalid markup (Rouven Weßling)

19-Nov-2010 Jean-Marie Simonet
 # [#23367] The secure parameter in menu item is not used. Thanks Christophe.
 # [#23304] List Weblinks in a Category doesn't show unpublished weblinks for logged in users. Thanks Mark.
 # [#22525] Mod_menu menu image no span with link-title anymore. Thanks Angie.
 $ Deleting libraries strings from lang installation as the library is now loaded there.
 $ Modifying a string value.
 # [#23408] Keep UI consistent for default home page in multilingual site. Thanks Christophe.
 # [#23388] mod_menu. Thanks James, Bill, Rouven

18-Nov-2010 Jean-Marie Simonet
$ Adding missing strings

18-Nov-2010 Andrew Eddie
 ! Added SQL diff for beta 14 to 'next version'.

17-Nov-2010 Mark Dexter
 # [#22484] JFolder::files() does not pass exclude parameters when recursing
 # Follow up on [#23360] to include two image files

17-Nov-2010 Christophe Demko
 # [#23197] onUserBeforeSave needs to be able cancel the creation of an account (Andrew Eddie)
 # [#23208] Logout from edit screen gives 403
 # [#23150] Error if menu alias = "component" (Elin Waring)
 # [#23325] Component Setting should get an apply button (Dennis Hermacki)
 # [#23305] No checking to ensure behavior.keepalive only gets loaded once. (Ian MacLennan)
 # [#23360] component_view Email to a friend etc. Patch attached (Angie Radtke)
 # [#23352] Text alignment issues at Pre-Installation check screen (Tim Plummer)
 # [#23310] Empty Components Sub-menu Displayed (Michael Babker)
 # [#23333] User information lost if get error message when trying to create (Michael Babker)
 # [#22712] *Port issue when uploading image with image button (Ian MacLennan)
 # [#23345] Attaching onFireEvent causes plugins to return an extra (empty) result set

17-Nov-2010 Jean-Marie Simonet
 # Added icon for the new My Profile menu [#23347]
 # [#23363] Menu_Item_Root is not translatable + some strings
 $ Missing string values
 # [#23365] Images can be inserted anymore. Thanks Rouven.

17-Nov-2010 Andrew Eddie
 # Fixed issue [#23347] Move profile editing out of com_users and into com_admin
 # Fixed issue [#23110] Any user with create or edit rights to com_user can make a group a superadmin group (Elin Waring).
 # Fixed issue [#23348] Improve scaling architecture for users and groups lists.
 # Fixed issue [#23241] Saving category while validating rules fails (Mark Dexter, Christophe Demko).
 # Fixed issue [#21837] @todo ACL - Disallow creation of Super User & Admin group by non Super User (Michael Babker, Christopher Garvis, Elin Waring).
 # Fixed issue [#23306] "Add New Article" quick icon permissions check (Michael Babker, Elin Waring, Christophe Demko).
 # Fixed issue [#22868] Improving permissions debug (Dennis Hermacki, Andrea Tarr).

16-Nov-2010 Christophe Demko
 # Fix the Edit profile permission

16-Nov-2010 Mark Dexter
# [#23328] Unpublished category - Featured - Errors in content and contact component

16-Nov-2010 Jean-Marie Simonet
 $ Deleting redundant strings.
 $ Correcting wrong EOL from [#23184]
 # [#23334] error in sample data. Thanks Dennis.

-------------------- 1.6.0 Beta14 Release [15-Nov-2010] ------------------

15-Nov-2010 Mark Dexter
# Sample data fixes (thanks Elin Waring)
# [#23184] Need to handle content, modules, menu items when a viewing permission level is deleted
# [#23319] Can't install Joomla or choose the accessible admin template without a mouse (thanks Andrea Tarr)
# Fix About Parks module assignment in sample data
# [#23324] PATCH: Modeladmin using wrong key while loading (thanks Harald Leithner)

15-Nov-2010 Andrew Eddie
 # Fixed issue [#23247] behavior.keepalive with long session lifetime is causing firefox to freeze/crash (Markus Bopp, Ian MacLennan).
 # Fixed issue [#23007] locked categories still available (Adrian Louter, Elin Waring).
 # Fixed issue [#23069] Theoretical com_config exploit (Matt Thomas).

15-Nov-2010 Jean-Marie Simonet
 $ Adding missing string
 # [#23318] Remove hardcoded style so that RTL will work. Thanks Andrea.
 $ Moving and consolidated some strings

14-Nov-2010 Mark Dexter
# [#21571] category blog view drill down does not maintain layout style

14-Nov-2010 Jean-Marie Simonet
 # [#23217] Move rules strings to library language file and rename keys for consistency. Consolidated some strings.
 # [#21264] RTL issues with media manager. Thanks Andrea.

14-Nov-2010 Christophe Demko
 # [#23167] Remove align and valign attributes from the site (Rouven Weßling)
 # [#23126] Missing images in hathor template (Andrea Tarr)
 $ Fix a language key in com_newsfeeds

13-Nov-2010 Jean-Marie Simonet
 # [#23292] Unicode slugs lets Upper case in url, which can cause issues when SEF is on
 # [#23299] calendar css don't display week-end days
 $ [#23199] Database Error: JLIB_DATABASE_ERROR_CONNECT_DATABASE
 # [#23284] Make tabs accessible for keyboard/screen readers. Thanks Andrea.
 # [#23294] Allow archiving of category when parent category is published. Thanks Mark.
 # [#23285] Incorrect markup in com_media. Thanks Rouven.
 # [#23277] JToolbarHelper has wrong variable in generated URL. Thanks Michael and Bill.

12-Nov-2010 Jean-Marie Simonet
$ Deleted some redundant ini string

12-Nov-2010 Christophe Demko
 # Sort modules by name when selecting a new one
 + Add missing file [#23160]
 # [#23280] User can block himself in the admin
 # Fix a bad named param in mod_search

11-Nov-2010 Jean-Marie Simonet
 # [#23205] Untranslated COM_CONFIG_ACTION_ADMIN_GLOBAL_DESC. Thanks Bill
 $ Updated some xx-XX.ini files

11-Nov-2010 Christophe Demko
 # [#23242] Component Layout fields shows an error if frontend view does not exist (Andrew Eddie)

11-Nov-2010 Mark Dexter
# Temporary fix for category save bug introduced with [#23068] commit

10-Nov-2010 Christophe Demko
 # Removing an extra div + some formatting while testing [#23068]
 # [#23206] Improving permissions rules output (Dennis Hermacki)
 # [#23068] Add admin rights to article security exploit (Louis Landry)

10-Nov-2010 Jean-Marie Simonet
 $ Updating admin lang xmls
 # [#23195] Prevent defacement of sites by specifying ?tmpl=offline. Thanks Rouven.
 # [#23161] Improve the markup of the Pagenavigation plugin. Thanks Rouven.
 $ [#23198] Remove unnecessary keys in X.plg_system_p3p.sys.ini. Thanks Rouven.
 $ Applying JText::alt to JALL_LANGUAGE see [#23132]

10-Nov-2010 Andrew Eddie
 # Fixed issue [#23175] modal dialog not displaying drop shadows on all sides (Al Kent).
 # Fixed issue [#23168] Category Blog view: Articles get edit permission from the category with its same id number (Juan Felix Mateos, Elin Waring).

09-Nov-2010 Christophe Demko
 # [#23170] Itemid is lost when browsing from content which is not linked to a menu item
 # [#22298] Renaming JUser method (Dennis Hermacki)
 # [#22488] set_magic_quotes_runtime() is deprecated as of PHP 5.3.0
 # [#23163] Remove closing tags for empty elements (Rouven Weßling)
 # [#23162] Remove the last occurrence of the <font> element (Rouven Weßling)

09-Nov-2010 Jean-Marie Simonet
 # [#23177] Ability to set a default template style per language when System - Language Filter plugin is on. Thanks Christophe.
 # [#23132] Some language have issues when translating global strings such as JALL. Thanks Christophe.
 # [#22839] author link redirects to login form and not to profile of author. Thanks Elin and Bill.
 $ [#23149] COM_USERS_ACTIVATION_TOKEN_NOT_FOUND message has no translation. Thanks Ronald

09-Nov-2010 Mark Dexter
# [#23054] Follow up on Issue 22932 - Alternate Layouts for Components
# Fix PHP notice problem with [#23054]

08-Nov-2010 Ian MacLennan
 # [21571] Reverting commit to examine closer

08-Nov-2010 Christophe Demko
 # [#23160] Give each manager the possibility to choose its own admin template style

07-Nov-2010 Jean-Marie Simonet
 # [#22757] Wrong urls being produced for drill downs. Thanks Christophe.
 # [#23159] Improving display of back-end mod_latest module
 $ Added ® to Joomla! instances in footers
 $ Deleted some redundant or obsolete ini strings

07-Nov-2010 Mark Dexter
# [#22776] Incorrect path field and child item path fields not being changed on save.

07-Nov-2010 Christophe Demko
 # [#21789] Category Manger save alias as date instead of category name when renaming a category (Elin Waring)
 # [#21571] category blog view drill down does not maintain layout style
 # [#22515] P3P tags are hardcoded in JSession (Nicholas Dionysopoulos)
 ^ Fix some issues relative to #21571

06-Nov-2010 Christophe Demko
 # [#21577] Pagebreak Plugin called via JHtml::_('content.prepare') issue

06-Nov-2010 Jean-Marie Simonet
 # [#23134] Template description is only displayed at installation, no where else
 # [#23141] Module Position Fixes for Hathor. Thanks Andrea.
 # [#23028] Install Sample Data button reactivated when there is error on Main Configuration Page. Thanks Nicolai.

06-Nov-2010 Andrew Eddie
 # Fixed issue [#22628] Module Assignment in Module Manager changes to No pages incorrectly (Zachary Draper, Mathavan Jeyadev, Elin Waring).

05-Nov-2010 Mark Dexter
# [#22444] JRegistry fails when binding an object which contains a JRegistry object

05-Nov-2010 Christophe Demko
 $ Storing the default style name without ** when language debug is on while installing template
 # [#23128] Incorrect Calendar field width (Dennis Hermacki)
 # [#22949] Custom error types are always shown as 'Message' (Dennis Hermacki)

05-Nov-2010 Jean-Marie Simonet
 # [#21798] Saving Profile Plugin configuration disables Profile, Thanks Mathavan and Elin.
 #$ Enabling dashes in template ini keys for positions. Adding these strings for admin templates. + some.

04-Nov-2010 Christophe Demko
 # [#23096] Clarification & Simplification of ACL UI (Andrew Eddie, Andrew Tarr)

04-Nov-2010 Jean-Marie Simonet
 # [#23113] Clean up extraneous plus sign in user group edit screen. Thanks Andrea.
 # [#22860] Invalid icon paths in com_media/models/list.php. Thanks Christophe.

03-Nov-2010 Andrew Eddie
 ! Updated Beta 13 SQL upgrade diff.

02-Nov-2010 Christophe Demko
 # [#23092] Save and New menu item displays error
 # [#22562] Uninstalling core templates triggers multiple errors
 # [#21512] mod_login does not redirect to menu item with access level greater than current
 # [#23082] Help system does not work correctly when debug language is ON
 # [#23095] Missing author_email in components/com_content/views/featured
 # [#23029] JHtml::stylesheet not backward compatible and broken (Andrew, Mark)
 # [#22188] Optimize beez font loading for IE (Rouven Weßling)

02-Nov-2010 Jean-Marie Simonet
 # [#23071] Provide template_preview.png for both Beez templates. Thanks Michael and Ramindu.
 # [#23090] Acl - edit own - message "edit not permitted" in categories. Thanks Christophe.
 # [#23094] Double translation in JHtmlJGrid. Thanks Christophe.
 # [#23097] Contact edit screen is not consistent with the other compnents. Thanks Elin and Christophe.
 # [#23106] Globally define commonly used module position names. Thanks Matt.

01-Nov-2010 Jean-Marie Simonet
 # [#23085] Improved UI for Article/Category permissions. Thanks Andrea.

-------------------- 1.6.0 Beta13 Release [01-Nov-2010] ------------------

01-Nov-2010 Jean-Marie Simonet
 # [#22658] Flash uploader always shows "Images (...)" text in file selection popup. Thanks Dennis.

01-Nov-2010 Christophe Demko
 # [#21446] Use local storage for the font size changer in the Beez templates (Rouven Weßling)
 # [#22003] Missing onXXXBeforeSave event in com_categories (Andrew Eddie)
 # [#23077] Error (JTableMenu: :store failed - Duplicate entry) when creating 2 menu items with same alias (even in different menus)
 # [#23005] Upgrade TinyMCE to 3.9.2 (Rouven Weßling)
 # [#23059] Incorrect table ordering behavior (Dennis Hermacki)

31-Oct-2010 Christophe Demko
 # [#23073] Module position selection popup does not display administrator positions

31-Oct-2010 Jean-Marie Simonet
 # [#23076] Plugin Edits not checking back in in Bluestork. Thanks Andrea.
 # [#23066] Single edit fix issues in Hathor. Thanks Andrea
 # [#23080] Hathor menu batch copy strings. Thanks Bill.

30-Oct-2010 Mark Dexter
# [#21529] Aliases for _adminmenu items [sample data/joomla.sql]
# [#23046] Delete unused vcard files
# Clean out extraneous characters in sample data

30-Oct-2010 Jean-Marie Simonet
 # [#23058] Debug shows language debug info if "Debug Language" is disabled. Thanks Dennis.
 + [#22940] missing images in beez or css wrong. Thanks Bill and Christophe.
 # [#23063] Can't access plugins in the backend. Thanks Rouven and Louis.
 $ Correcting some xx-XX ini files.
 # [#23074] JLIB_HTML_BEHAVIOR_PREV_YEAR_HOLD_FOR_MENU. Thanks Bill.

29-Oct-2010 Mark Dexter
# Recommitting [#22178] When 'No Editor' is selected for user, HTML still re-formats when a file is saved (with joomla.sql fix)
# Reverting issue [#22178] When 'No Editor' is selected for user, HTML still re-formats when a file is saved (dani shap, Ian MacLennan, Hannes Papenberg, Elin Waring).

29-Oct-2010 Jean-Marie Simonet
 $ Updatings templates language folder sys.ini files for modules positions.

29-Oct-2010 Andrew Eddie
 # Fixed issue [#21260] ACL Permissions for Authors to Edit Own Content Items Missing (James Brice, Elin Waring, Michael Babker).
 # Fixed issue [#22389] JFormFieldCategory et al not selecting default from list view (Boris Baddenoff, Mathavan Jeyadev).
 # Fixed issue [#22483] "Empty Trash" does not delete all items in nested tables when there are multiple branches (categories, menus, groups) (Douglas Machado, Mathavan Jeyadev).
 # Fixed issue [#21327] Cannot edit more than one thing at a time (Amy Stephen).
 # Fixed issue [#22178] When 'No Editor' is selected for user, HTML still re-formats when a file is saved (dani shap, Ian MacLennan, Hannes Papenberg, Elin Waring).
 # Fixed issue [#22556] *Wrong messages when uninstalling core components (Jean-Marie Simonet, Ramindu Deshapriya).
 # Fixed bug in JTableNested unit test due to changes in the publish method.

28-Oct-2010 Mark Dexter
 # [#22878] Contact menu items don't work correctly with published state of contacts and contact categories

28-Oct-2010 Jean-Marie Simonet
 # [#21910] installation of module does not create module listing. Thanks Dennis and Troy.
 # [#23031] RTL fix for display of menus in menu assignments. Thanks Andrea.
 # [#22994] Contacts metadata options - registry errors. Thanks Andrew.
 # [#23037] TinyMCE resizing settings. Thanks Dennis.
 # [#23040] Right arrows aren't vertically centered in "Permissions setting". Thanks Dennis.
 ^ Updating pending and expired old 1.5 icons to new format (Temp)

28-Oct-2010 Andrew Eddie
 # Fixed issue [#23041] Incorrect testing for variable is an instance of a class (marius van rijnsoever).
 # Fixed issue [#23032] Help system is generating incorrect URLs (Chris Davenport, Dennis Hermacki).
 # Fixed issue [#23030] Bluestork Menu Model Assignments modal is closing immediately upon display (Andrea Tarr, Dennis Hermacki).
 # Fixed issue [#23039] Cross site scripting Revision 19231 (Ervis Tusha, Ian MacLennan).
 # Fixed issue [#23036] Undefined property: stdClass::$cachable in \libraries\joomla\environment\response.php on line 49 (Dennis Hermacki).
 # Fixed issue [#22677] The treatment of the componentlayout parameter in categories is incorrect (Elin Waring).

27-Oct-2010 Jean-Marie Simonet
 # [#23002] jgrid.published does not show all possible statuses as was shown in 1.5. Thanks Dennis.
 # [#23018] Clean up Legacy() method from content/contact helpers. Thanks Louis.
 # Missing RTL css in bluestork.
 # [#22619] SEF issue with mod_rewrite on when period in the alias.

26-Oct-2010 Ian MacLennan
 # [#22987] using getElementById('adminForm') in submitform breaks Joomla 1.5 compatibility

26-Oct-2010 Jean-Marie Simonet
 # [#23011] RTL fixes for form controls in the option modals and menu assignments. Thanks Andrea
 # [#23024] Backend image file missed - j_arrow_right.png. RTL CSS added to fit.
 # [#23025] Show "Linked user" in "Contact Manager: Contacts". Thanks Dennis.

25-Oct-2010 Jean-Marie Simonet
 # Forgotten getLayout() change for pagebreak in rev 22932
 # [#23004] pagenavigation plugin generates incorrect XHTML. Thanks Bill and Rouven.
 # [#22981] Hathor RTL login CSS issues in Safari. Thanks Andrea.

24-Oct-2010 Jean-Marie Simonet
 # [#22667] Login/Logout Redirect not working. Thanks Mathavan and Christophe.
 # [#22626] Parent Item selection does not update when Menu Location is changed. Thanks Mathavan.

23-Oct-2010 Jean-Marie Simonet
 # [#22928] Module edit - option to show/hide title in wrong position. Thanks Bill.
 $ Correcting module position desc string.
 # [#22989] Implement a way to choose between sample data at install. Thanks Christophe.
 # [#22879] [patch] com_content: it's not possible to set title, introtext or fulltext to zero ("0"). Thanks Artyom.
 # [#22980] RTL fix for ACL Permission in Bluestork and Hathor. Thanks Andrea.
 # [#22876] Shifting of Elements on Screen when Options Box with Blocking Opens. Thanks Mathavan.

23-Oct-2010 Christophe Demko
 # [#22442] available module positions

22-Oct-2010 Jean-Marie Simonet
 # [#22970] Menu item set to "registered" does not display when superuser logs in. Thanks Elin
 # [#22959] Language switcher forbids you from reading content in a second language. No way to disable filtering. Thanks Christophe.
 # [#22783] Error on front end, "the template for this display is not available" Thanks I Otura, Christophe and Bill.

22-Oct-2010 Christophe Demko
 # [#21386] Category field includes categories user does not have permission to save to. (Elin Waring)
 # [#22932] Several issues in layouts
 # [#22990] Internal link issue in featured article display

21-Oct-2010 Christophe Demko
 # [#22811] Get the proper model in the category controller (bill richardson)
 # [#22936] Update Hathor with permissions changes from Tracker #22529 (Andrea Tarr)
 # [#22951] PHP semi colon closing issue. (Vasanth V, bill richardson)
 # [#22519] Image caption does not work (Jean-Marie Simonnet)
 # [#22960] Sliders within sliders do not work
 # [#21300] Problem with Options Lightbox and Sessions (Omar Ramos)
 # [#22935] Automatic site language change when a user change its frontend language
 # [#22535] Missing always fulltext value in com_content article view (second time)
 # [#21399] user profile fields have numbering instead of filed names (Elin Waring, Mathavan Jeyadev)

20-Oct-2010 Andrew Eddie
 # Fixed issue [#22251] params field in table #__template_styles too small (Jason D'Souza, Bill Richardson, Christophe Demko).

19-Oct-2010 Andrew Eddie
 # Fixed issue [#21635] fail to copy menu item (Brian Teeman, Mathavan Jeyadev, Jean-Marie Simonet, Louis Landry).

-------------------- 1.6.0 Beta12 Release [18-Oct-2010] ------------------

18-Oct-2010 Andrew Eddie
 # Reverting changes in [#22659] (causing very annoying screen flicker).

18-Oct-2010 Christophe Demko
 # [#22802] Contact category feed is blank (Elin Waring)
 # [#22918] install file not working when using method "update" (marius van rijnsoever)
 # [#21345] Form field Select list does not handle <optgroup>
 # Fix JHtmlSelect class
 # [#22843] Enable the capacity to use specific help url when editing a plugin or a template style
 # [#22833] The com_modules component cannot redirect help to specific international help site
 # [#21946] Redirect component produces error (Joseph LeBlanc, bill richardson)

16-Oct-2010 Jean-Marie Simonet
 # [#21635] fail to copy menu item. Thanks Mathavan and Louis
 $ [#22914] COM_SEARCH_EXACT_PHRASE doesn't need the colon at end. Thanks Bill.
 # Reverting [#21635] as it breaks re-save article when debug on.

15-Oct-2010 Jean-Marie Simonet
 # Making core site templates installable/uninstallable. Changed protected template from milkyway to beez2.

14-Oct-2010 Louis Landry
 ^ Decoupled JPATH_ADMINISTRATOR from JApplication::initialise() method call when loading framework language file.
 # [#22825] Duplicated queries in global configuration.  (Thanks to Dennis Hermacki)
 # [#22553] Switcher function for submenu uses incompatible function for IE7 and chrome. (Thanks to Angie Radtke)
 # [#21541] When trying to delete a folder which contains images, the error message only displays for < 1 second. (Thanks to Mathavan Jeyadev)
 # [#21225] Copy and Move missing from each Manager - Categories & Menus. (Thanks to Michael Babker)
 # [#21842] Update GeSHI to current version. (Thanks to Michael Babker)

14-Oct-2010 Jean-Marie Simonet
 # [#22659] Debug plugin doesn't show 'afterRender' profiler mark and can't gather statistics of other system plugins. Thanks Dennis.
 $ Updating language xml files.
 # Changing Algerian flag to Arab League flag in langswitcher for ar.gif.

14-Oct-2010 Ian MacLennan
 # [#21189] vcard not working in contact, needs a vcard class in JView

14-Oct-2010 Mark Dexter
 # [#21661] Article access check is only using the current category, not checking further up the branch

14-Oct-2010 Christophe Demko
 ^ Fix loading .ini files instead of .sys.ini files for #22710
 # [#21780] JHtmlTabs not compatible with JHtmlRules

13-Oct-2010 Mark Dexter
+ [#22848] Debug User Group View

13-Oct-2010 Christophe Demko
 # [#22846] Joomla.submitform does not act exactly as submitform
 ! Respecting coding convention
 # [#20830] missing error messages when fields empty when installing
 # [#22820] The css style label#jform_params_subslider-lbl cannot be applied on nested groups

13-Oct-2010 Jean-Marie Simonet
 # Loading new lib_joomla.ini file through includes/application.php breaks langswitcher. Correcting until final decision is taken to separate Framework.
 # [#22835] Enabling browser lang sniffing in langfilter system plugin.
 # [#22858] news feed - 2 level subcategory feed name link causes error. Thanks Bill.
 # [#22535] Missing always fulltext value in com_content article view. Thanks Angie and Christophe.

13-Oct-2010 Andrew Eddie
 # Fixed issue [#21343] Email is not spamprotected in search (Janich Rasmussen, Joseph LeBlanc, Hannes Papenberg).
 # Fixed issue [#22809] [patch] loadmodule plugin incorrectly handles positions with the same name (Artyom Bisyarin).

12-Oct-2010 Mark Dexter
# [#22837] Commit of #22710 leads to display errors when trashing, deleting or archiving category

12-Oct-2010 Jean-Marie Simonet
 # [#22755] Backend module menu assignment improvements and fixes. Thanks Dennis.
 # [#21792] Alternate Page Title does not show. Thanks Bill.
 $# Separating joomla libraries ini strings from main ini. Temporary load via application.php. TBD: load through library to prepare for framework separation.

11-Oct-2010 Mark Dexter
# [#22819] Clean up errors in new ACL UI

11-Oct-2010 Christophe Demko
 # Fix language filter plugin for routing
 # [#22038] PHP information (Dennis Hermacki)
 # [#22813] Installation language file - missing entry for STEPS (Serge Litvinov)

10-Oct-2010 Mark Dexter
# Fix invalid lft,rgt values in jos_menus in sample data

10-Oct-2010 Christophe Demko
 # [#22794] XML self closing tag syntax used on li in com_media (Rouven Weßling)

9-Oct-2010 Christophe Demko
 # [#22057] [patch] Broken unit tests for some form fields (Artyom Bisyarin)
 # [#21644] [patch] Unable to get group of a form field (Artyom Bisyarin)
 # [#22770] System - Language filter plugin is buggy if the link is comes from the home page menu
 # [#22769] Some language filtering missing
 # [#22777] Module breadcrumbs does not deal correctly with language filter plugin
 # [#22557] Remove all occurrences name attribute on the a element (Rouven Weßling, Andrea Tarr)
 # [#22168] patch for [#21804] "Your Profile" has too narrow a focus (Tomasz Narloch)
 # [#21804] "Your Profile" has too narrow a focus (Mathavan Jeyadev, Boris Baddenoff)
 # [#22555] Use Joomla.submitbutton() instead of submitbutton() (Rouven Weßling)
 # [#22775] Router does not redirect correctly
 # [#22621] Boolean validation in JForm (Rune Sjøen)
 # [#22775] Router does not redirect correctly (removing accidently one line)

8-Oct-2010 Christophe Demko
 # [#22759] Add version, date, author to Hathor (from Tracker # 22482) (thanks Andrea Tarr)
 # [#22734] Add Hathor support for tracker #21614 (thanks Andrea Tarr, Ole Bang Ottosen, bill richardson)
 # [#22754] Global values not used as default in blog and featured (thanks Elin Waring, bill richardson)

6-Oct-2010 Ron Severdia
 ^ Updated Blueprint to 1.0 in Atomic (Thanks Christian Montoya)

6-Oct-2010 Andrew Eddie
 # Partially Fixed [#21260] ACL Permissions for Authors to Edit Own Content Items Missing.
 # Partially Fixed [#22529] Permissions UI patch backend (Angie Radtke, Michael Babker, Elin Waring, Christophe Demko).

5-Oct-2010 Christophe Demko
 # [#22438] Wrong value before the search input box (I think) (thanks Ronald de Vries, bill richardson, Rouven Weßling, Elin Waring)
 # [#22675] Com_Categories mistake in xml (thanks Elin)
 # [#22595] Users with Edit permission assigned at category level in com_content cannot edit (thanks Michael Babker)
 # [#22711] Fixes to example content plugin (thanks Matt Thomas)
 # [#22269] JModelAdmin uses hard coded "id" field (Thanks Sam)
 # [#21656] Ability to limit System Info access (thanks Mathavan Jeyadev)
 # [#22335] Random "HTTP 500 Internal Server Error" on Contact (single) page (thanks Artyom Bisyarin)
 # [#22710] com_categories component does not manage well help url
 # [#22679] Files installer uses name not element to find unique instances

5-Oct-2010 Jean-Marie Simonet
 $ Normalizing some strings.

4-oct-2010 Christophe Demko
 # [#22049] Site Maintenance Menu (thanks bill richardson, Mathavan Jeyadev)

-------------------- 1.6.0 Beta11 Release [04-Oct-2010] ------------------

4-oct-2010 Christophe Demko
 # [#22580] Categories - No reset to show - when moving between components (thanks bill richardson and Mathavan Jeyadev)

3-Oct-2010 Jean-Marie Simonet
 # [#22683] Pagebreak_css. Thanks Angie.

2-Oct-2010 Jean-Marie Simonet
 # [#22306] Module CSS class and id changes  Thanks Angie.
 # [#22487] Separating weblink from content on 22100. Thanks Elin.
 # [#22663] Pagebreak output. Thanks Angie.

30-Sep-2010 Jean-Marie Simonet
 # [#22582] Menu location lost after pressing "Save & New". Thanks Mathavan

29-Sep-2010 Jean-Marie Simonet
 # [#22512] Category didn't load component translations. Thanks Christophe and Marcelo.
 # [#22591] Trashing an item in Featured Articles view redirects to non-Featured Articles view. Thanks Mathavan.

28-Sep-2010 Ron Severdia
 # Fixed misplaced DIV in Atomic
 ^ Updated Atomic preview & thumbnail
 ^ Updated Blueprint plug-ins
 # Fix validation issue in Atomic login override

28-Sep-2010 Christophe Demko
 # [#22603] XML well formedness errors in com_messages and com_weblinks (thanks Rouven Weßling)
 # [#22125] We don't have CSS for system "warning" messages - deleting and moving icons

28-Sep-2010 Mark Dexter
 # [#21766] If an unpublished article is linked there are errors instead of a message/model change

28-Sep-2010 Jean-Marie Simonet
 $ Adding missing strings in installation.

27-Sep-2010 Jean-Marie Simonet
 # [#21825] Pagebreak and Article Buttons don't work when using CodeMirror. Thanks Mathavan.
 $ Adding missing strings in front-end
 #  [#22432] Administrator login form not consistent in Chrome. Thanks Bill and Viet.

26-Sep-2010 Jean-Marie Simonet
 # [#22596] Implementing language filtering in modals + normalizing filters/columns + fixing Newsfeeds language filtering

25-Sep-2010 Jean-Marie Simonet
 # [#22493] Can not register user fatal error message

24-Sep-2010 Jean-Marie Simonet
 # [#22016] Breadcrumbs missing from single items. Thanks Christophe.
 #$ [#22576] Component Manager Options - needless use of name options in tab headings + Normalizing some strings.
 # [#22549] No from user shown on Private Messages. Thanks Tim.

22-Sep-2010 Jean-Marie Simonet
 ^ [#22514] Upgrade TinyMCE to 3.3.9. Thanks Michael.
 #$ [#21970] Some_message_here language string needs proper message.
 $ Missing string in front-end

-------------------- 1.6.0 Beta10 Release [20-Sep-2010] ------------------

21-Sep-2010 Christophe Demko
 # [#22451] Categories save for categories at root is not accounting for extensions (thanks Elin)

20-Sep-2010 Mark Dexter
# [#21816] JFeedItem->category should now be an array

19-Sep-2010 Jean-Marie Simonet
 # [#22498] Translating Manager Extensions Types for install/uninstall messages. Thanks Sam.
 # [#22433] Editor-xtd plugins not working when no editor is selected. Thanks Mathavan.
 # [#22364] configuration.php shows writeable when it is not. Thanks Troy and Artyom.

18-Sep-2010 Jean-Marie Simonet
 #$ [#22462] Module articles Categories - update options. Thanks Bill.
 # [#22496] Commit 22440 prevents custom position from being entered. Thanks Roland
 # Correcting some components xml (extraneous files)
 # [#22497] Adding Written by in Article Edit icon overlib in front-end
 # [#22498] Translating Manager Extensions Types for install/uninstall messages.
 $ Added missing string.

17-Sep-2010 Jean-Marie Simonet
 # [#22466] Registration failed message when mail function doesn't work. Thanks Roland.
 # [#22100] Unable to view unpublished article in frontend. Thanks Elin.
 # [#22481] Patch: Templates Date column blank. Thanks Ole.
 $ [#22471] Module banners - description. Thanks Bill.
 # [#22470] Incorrect vertical align of system message icon in Bluestork. Thanks Viet.

16-Sep-2010 Jean-Marie Simonet
 $ [#22461] Module articles - newsflash - description. Thanks Bill
 # Took off forgotten echo from 22418
 # [#22448] Weblink search year gives -0001 for new weblinks. Thanks Ole.

15-Sep-2010 Mark Dexter
# Sample data fixes (Thanks Elin Waring)

15-Sep-2010 Christophe Demko
 # [#22418] Category Manager page title no longer includes component name

15-Sep-2010 Jean-Marie Simonet
 # [#22450] Add level filter to admin categories view. Thanks Andrew and Christophe.
 $ Changed figures to strings in Menu items manager maxlevels filter
 # [#22427] Module Manager: Modules - Module Filter Only Lists "Administrator Menu" at times. Thanks Michael.
 # [#22440] default module positions. Thanks Christophe.

15-Sep-2010 Andrew Eddie
 # Fixed issue [#22125] We don't have CSS for system "warning" messages (Artyom Bisyarin, Elin Waring).
 # Fixed issue [#22385] Make meta data not required (Elin Waring).
 # Fixed issue [#22245] Default site metadata (Brian Teeman, Matt Thomas, Ole Bang Ottosen, Michael Babker).
 # Fixed issue [#22030] Full Path Disclosure 2 (Brian Teeman, Hannes Papenberg, Roland Dalmulder, Michael Babker).
 # Fixed issue [#22434] poor choice of language (Brian Teeman, Bill Richardson).
 # Fixed issue [#20794] ftp host and port fields, not validated (Rob Joyce, Roland Dalmulder, Troy Hall, Christophe Demko).
 # Fixed issue [#21839] Incorrect display in Menu manager - showing 8 pages (Bill Richardson, Ian MacLennan).
 # Fixed issue [#22212] Create New Module (Brian Teeman, Michael Babker).
 # Fixed issue [#22244] control_panel0004Test.php system test failing (Matt Thomas).
 # Fixed issue [#22021] ACL System Tests (Matt Thomas).
 # Fixed issue [#21791] Menu Item Alias (Stian Totland, Christophe Demko).

14-Sep-2010 Jean-Marie Simonet
 # [#22288] Content category - displaying title twice. Thanks Bill.
 $ [#22403] typo in installation language files. Thanks Brian and Bill.
 $ [#22404] typo in en-GB.com_users.ini language file. Thanks Brian and Bill.
 $ [#22405] typo in en-GB.ini language file. Thanks Brian and Bill.
 $ [#22407] us spelling in template language file. Thanks Brian and Bill.
 $ [#22408] language file capitalisation. Thanks Brian and Bill.
 $ [#22409] language file typos, spelling. Thanks Brian and Bill.
 $ [#22411] US spelling in plugin language file. Thanks Brian and Bill.
 $ [#22412] typo in en-GB.com_content.sys.ini language file. Thanks Brian and Bill.
 $ [#22413] extra capital in language file. Thanks Brian and Bill.
 $ [#22414] missing letter in language file. Thanks Brian and Bill.
 $ [#22406] typos in administrator en-GB.ini language file. Thanks Brian and Bill.
 $ [#22431] Incorrect English spellings (British/American differences). Thanks Chris.
 # [#22423] Patch: Typo in template style edit style-form give js error. Thanks Ole.
 $ [#22417] Improving sense of com_user parameters. Thanks Dennis and Bill.

13-Sep-2010 Christophe Demko
 # [#22106] Use Joomla.submitform() instead of submitform (thanks Rouven Weßling)
 # [#22280] Banner image can't be selected after upload

13-Sep-2010 Jean-Marie Simonet
 # [#22361] archive articles - pagination. Thanks Bill.
 $ [#22294] Newsflash Read more issue. Thanks Bill.
 $ [#22085] sending emails to new users not working correctly. Thanks Bill
 $ Normalizing redundant keys/values
 # Taking off one divider too much in contact manager toolbar.
 - Removing remaining OpenID references and language files/strings.
 # [#22382] Sample wrong outgoing url at Getting Help article. Thanks Michael.
 # [#22339] Aproaching Sample data Article from category list gives wrong URL, Title, Breadcrumbs. Thanks Bill.

12-Sep-2010 Jean-Marie Simonet
 # [#21762] Menu module displaying levels incorrectly. Thanks Bill.
 $ Updated xx-XX.ini admin.
 # [#21295] No articles in this category below of sub-category list. Thanks Bill.

12-Sep-2010 Sam Moffatt
 # [#22381] Sample missing banner white.png
 - Removed OpenID support

11-Sep-2010 Jean-Marie Simonet
 $ [#22383] Patch: Language file corrections, minor typos. Thanks Ole.
 ^ Correcting double semi-colons in css files

10-Sep-2010 Ian MacLennan
 # [#22086] Inconsistency with files installer return type
 # [#22301] Adding new group has a notice message, not a normal message
 # [#22352] Module cache calls - PHP 5.3.x warnings
 # [#22376] Undefined $canEdit in Hathor Categories view
 # [#22375] Use uncompressed version of calendar.js when debug is turned on
 # [#21133] Voting Plugin - missing token and needs parameters and logic in Views
 # [#21965] Ordering values not set properly with creation of new article
 # [#22174] Inconsistent behaviour of Article and Category Manager with regard to Permissions table

10-Sep-2010 Jean-Marie Simonet
 # [#22334] Recent articles featured. Thanks Amy.
 $ [#22357] Patch: Step 5 FTP - Header text too wide. Thanks Ole.
 # [#22350] Banner Manager order TABS inconsistency.
 # [#22303] components - css - class and id corrections. Thanks Bill and Angie.
 $ [#22359] com content - blog - readmore - wrong string. Thanks Bill.

09-Sep-2010 Jean-Marie Simonet
 # [#22319] American english spelling in en-GB language files. Thanks Bill.
 # [#22320] <br> <br/> <br />. Thanks Amy and Bill.
 # [#22328] Database prefix error when other than jos_. Thanks Michael.

08-Sep-2010 Andrew Eddie
 # Fixed issue [#22274] Mark items as required that prevent save (Michael Babker).
 # Fixed issue [#21902] Cannot assign template style to components [cache] (Jen Kramer McKibben, Klas Berlič1).
 # Fixed issue [#21447] Updated: Add ACL Create, Edit, & Edit State checks to Category Manager (Michael Babker, Elin Waring).
 # Changed default caching level to disabled on installation.
 # Fixed issue [#22171] Cannot edit a group to change parent once it is created (Jennifer Marriott, Amy Stephen).
 # Fixed issue [#20932] com_categories CategoryParent Field Permissions Check Additions (Omar Ramos).
 # Fixed issue [#22222] Newsflash inopérant (C. Tapuscrine, Omar Ramos, Bill Richardson, Michael Babker).
 # Fixed issue [#22322] Inappropriate language in code (Amy Stephen).
 # Fixed issue [#22095] Userfield shows button even when "readonly" (Thomas Hunziker, Michael Babker).
 # Fixed issue [#22185] beez2 missing level 4 image (Klas Berlič1, Angie Radtke).
 # Fixed issue [#21315] *ACL in edit screens issue (Jean-Marie Simonet).

07-Sep-2010 Jean-Marie Simonet
 # [#21666] New menu : form is empty when using the "Save" button. Thanks Michael.
 # [#22287] Save & New button in Menu Edit views. Thanks Michael.
 # [#22245] Default site metadata. Thanks Ole.

-------------------- 1.6.0 Beta9 Release [07-Sep-2010] ------------------

07-Sep-2010 Ian MacLennan
 # Updating sample data

06-Sep-2010 Ron Severdia
 # [#20942] Fixed extra whitespace in fieldsets (Thanks Viet Hoang Vu)
 ^ Updated Blueprint cheatsheet
 ^ Updated backend users icon
 # [#21746] Bluestork display issue with Permissions views in IE7

06-Sep-2010 Ian MacLennan
 # [#21573] Error in flash uploader
 # [#22018] The alert of "failed" creating a menu item doesn't look like a Failed (admin default template)
 # [#22076] Update Site manager tries to create duplicate entries on second install if extension adapter behaves pathologically
 # [#22198] Weblinks module follow/no follow description
 # [#22204] surplus image in bluestork
 # [#22205] unpublished menu items visible
 # [#22220] Admin Menu Flyouts not respecting ACL
 # [#22241] Everyone with Manage can checkin
 # [#22256] Language string definition missing on front end.

06-Sep-2010 Jean-Marie Simonet
 # [#22053] sample data article capitalisation. Thanks Tim.
 $ [#22272] Database Error. Thanks Bill.

06-Sep-2010 Andrew Eddie
 # Fixed issue [#22246] Remove potty mouth language from htaccess (Brian Teeman, Bill Richardson).
 # Fixed issue [#22273] This is a demo. Delete for beta (Michael Babker).
 # Fixed issue [#21658] Marking items as required (Michael Babker, Bill Richardson).

05-Sep-2010 Jean-Marie Simonet
 # [#22219] Remove overrides from Beez2.
 # [#22203] toolbar icon consistency. Thanks Michael and Bill.
 # [#22257] User with Delete permission unable to delete a user. Thanks Michael.
 # [#22191] Search image. Thanks Christophe and Bill.
 $ [#22192] Code Mirror tab mode description missing.Thanks Bill.
 # [#22275] Two check-in buttons in Newsfeeds. Thanks Michael.
 # [#22207] toolbar icon divider in administrator template. Thanks Bill.

03-Sep-2010 Mark Dexter
 # Fix syntax errors in diff_15_to_16.sql (Elin Waring)

03-Sep-2010 Jean-Marie Simonet
 # [#22186] beez2 - Park links right module displacement.

03-Sep-2010 Andrew Eddie
 # Fixed issue [#22248] Fix inappropriate code comment (Brian Teeman, Bill Richardson).
 # Fixing issue [#21447] - Added user.debug task to user controller to assist with access control testing.

02-Sep-2010 Ian MacLennan
 # Fixed typo in 15 to 16 diff sql file
 # Added missing semicolon in diff sql file.

02-Sep-2010 Jean-Marie Simonet
 # [#22149] Tool bar clean up focused on users with delete only. Thanks Elin.
 # [#22002] Edit state ACL in edit views. Thanks Elin.

02-Sep-2010 Andrew Eddie
 # Fixed issue [#22210] module latest users (Bill Richardson).
 # Fixed issue [#22211] module - latest news - typo error (Bill Richardson).
 # Fixed issue [#22169] After selecting cannot set -use default- (Klas Berlič1, Ian MacLennan).
 # Fixed issue [#22052] sample data menu capitalisation (Brian Teeman, Tim Plummer).
 # Fixed issue [#22170] Unable to Save Weblinks on Edit (Jennifer Marriott, Elin Waring).

01-Sep-2010 Andrew Eddie (and Happy 5th Birthday Joomla!)
 # Fixed issue [#22118] The setRedirect method() overwrites an already set messageType (Roland Dalmulder, Artyom Bisyarin).
 # Fixed issue [#21604] The "Memory Usage" debug info has no measurement unit (Javier Gómez, Nikolai Plath, Omar Ramos).
 # Fixed issue [#21862] Backend menu components are not ordered alphabetically (Hannes Papenberg).
 # Fixed issue [#21879] Speed improvement for Beez tempalte's use of html5.js (Rouven Weßling).
 # Fixed issue [#22037] Module manager - varies only (Brian Teeman, Bill Richardson).
 # Fixed issue [#21880] Relocate Database Prefix Portion of Database Configuration Installer Screen (Matt Thomas).
 # Fixed issue [#20427] Media Manager: impossible to upload image in the specific folder chosen (Jean-Marie Simonet, Hannes Papenberg).

31-Aug-2010 Jean-Marie Simonet
 # [#22150] hathor menu type - unable to select type. Thanks Bill.
 # [#22161] edit article - show icons and + param missing
 # [#21932] checkall-toggle does not work with Hathor template on User Manager: Users screen. Thanks Andrea.
 # [#20920] Featured Button Missing on Front End Article Submission. Thanks Hannes.
 $ Reordered front-end en-GB.ini strings
 $ Modified publish/unpublish to enable/disable in Extension Manager->Manage toolbars
 $ [#22156] edit weblink - order description missing. Thanks Bill.
 $ [#22152] permissions edit terms inconsistency. Thanks Bill.

30-Aug-2010 Jean-Marie Simonet
 # [#22050] useful joomla links menu. Thanks Bill.
 # [#22046] cannot unblock users. Thanks Michael and Dennis.

30-Aug-2010 Andrew Eddie
 # Fixed issue [#21952] JButtonLink does not set toolbar id correctly (Daniel Reibelt, Hannes Papenberg).
 # Fixed issue [#21868] 500 bad query error on saving a template style not assigned to anything (Elin Waring).
 # Fixed issue [#20468] Featured Articles editing returns to articles pages (Greg Daynes, Hannes Papenberg).
 # Fixed issue [#21999] Error on creating a group with an existing name (Elin Waring).
 # Fixed issue [#22102] E-mail field in contact editing does not validate (Roland Dalmulder).

29-Aug-2010 Jean-Marie Simonet
 # [#22023] Enlarge inputbox for article title on modal select.
 # [#22104] hathor col fix. Thanks Bill.

28-Aug-2010 Mark Dexter
 # [#17689] Menu Creation - "Contained in Menu" set to main menu
 # [#21819] Cannot save editted article using frontend with cache enabled

28-Aug-2010 Jean-Marie Simonet
 # [#22048] manager column order inconsistency. Thanks Bill.
 # [#21891] Refactoring Article Options. Thanks Bill.

27-Aug-2010 Mark Dexter
 # Revert issue [#17689] Menu Creation - "Contained in Menu" set to main menu

27-Aug-2010 Jean-Marie Simonet
 # [#22020] Move Template Positions Parameter tp=1 into Template Options from Global Configuration. Thanks Amy, Hannes, Michael.
 $ [#22084] Publishing Options Language changes and inconsistencies. Thanks Bill.

27-Aug-2010 Andrew Eddie
 # Fixed issue [#17689] Menu Creation - "Contained in Menu" set to main menu (Christopher Garvis, Ian MacLennan, Mark Dexter).
 # Fixed issue [#22088] Cannot change default language in Language Manager: Installed Languages view (Michael Babker).
 # Fixed issue [#22054] extra tip in contact form (Brian Teeman, Bill Richardson).
 # Fixed issue [#22043] Manager layout consistency (Brian Teeman, Bill Richardson).
 # Fixed issue [#22055] Email or e-mail inconsistency (Brian Teeman, Bill Richardson).
 # Fixed issue [#20847] Remove _self in mod_random_image (Amy Stephen, Rouven Weßling).
 # Fixed issue [#9627] Installation of admin e-mail with plus symbol not validating (Richard Vazquez, Hannes Papenberg, Christophe Demko, Ian MacLennan).
 # Fixed issue [#21924] form element "hidden" not entirely hidden (Boris Baddenoff, Bill Richardson).

27-Aug-2010 Sam Moffatt
 # Fixed issue with com_admin XML manifest file (excessive new line)
 + Added joomla.xml file for future updates and tracking

26-Aug-2010 Ian MacLennan
 # [!21949] Reverted systematic elimination of DS as directory separator

26-Aug-2010 Jean-Marie Simonet
 # [#22044] Menu level filter wording. Thanks Bill.
 # [#22056] incomplete language strings in admin contact. Thanks Bill.
 # [#21888] Forbidden keys in language files not properly handled. Thanks Nikolai, Hannes, Andrew.

26-Aug-2010 Andrew Eddie
 # Fixed issue [#22064] Non-functional, unfinished, duplicated and outdated form field: mediamanager (Artyom Bisyarin).
 # Fixed issue [#21977] Warning: Invalid argument supplied for foreach() in \libraries\joomla\document\html\html.php on line 161 (Ronald Pijpers, Bill Richardson).
 # Fixed issue [#21717] Create action in installer permissions configuration (Sander Potjer, Michael Babker).
 # Fixed issue [#22060] Banners Options refactoring- Code missing (Jean-Marie Simonet).
 # Fixed issue [#22063] Select with optgroup not works in admin component form (Tomasz Narloch, Bill Richardson).
 # Fixed issue [#22045] block users error message (Brian Teeman, Bill Richardson, Michael Babker).
 # Fixed issue [#22079] Installer item types hard coded (Samuel Moffatt).
 # Fixed issue [#22078] Install Data update for extension update (Samuel Moffatt).

25-Aug-2010 Andrew Eddie
 # Fixed issue [#22032] Category editing gives error on saving/canceling (Roland Dalmulder).
 # Fixed issue [#21976] deprecated function ereg_replace mod_footer (Ronald Pijpers, Bill Richardson).
 # Fixed issue [#18506] Category Manager / Edit Category: Edit Groups + Reset to Inherit links do not work (Andy Tasch, Bill Richardson).
 # Fixed issue [#21132] User Registration Duplicate Page Headings (Amy Stephen, Bill Richardson).

-------------------- 1.6.0 Beta8 Release [23-Aug-2010] ------------------

23-Aug-2010 Ian MacLennan
 # [#21251] Hathor RTL CSS fixes
 # [#21449] Add ACL Create, Edit, & Edit State checks to Menu Manager
 # [#21540] pre-check=0, post-check=0 should not be added to Cache-Control HTTP header
 # [#21561] Display/Function of ordering arrows when sorted in descending order
 # [#21588] Readonly calendar field pops up
 # [#21613] Add an id of the same value for every form that only has a name
 # [#21614] Make administrator login work with the XML serialization and bring the form closer to XHTML strict
 # [#21767] Make pagebreak well formed
 # [#21795] Articles - Newsflash and Banners: Invalid argument
 # [#21817] JDocumentHTML::mergeHeadData() inappropriate use of array_unique
 # [#21833] Point in time to render the submenu of components
 # [#21838] TODO Raise error for missing category or parent category
 # [#21866] Notice in template style save method
 # [#21899] Bug in utf8_stristr()
 # [#21962] Add display of missing edit icons
 # [#21967] Language files are not loaded for a 3pd extension in com_categories if a 'section' is specified
 # [#21986] Use atom:link on rss feeds to identify the feeds url
 # [#22010] Apply 22005 changes to Hathor com_categories override

23-Aug-2010 Mark Dexter
 # Sample Data fixes (Elin Waring)

23-Aug-2010 Andrew Eddie
 # Fixed issue [#21721] ACL settings not working on language manager (Sander Potjer, Michael Babker).

22-Aug-2010 Mark Dexter
 # [#22005] Regression on categories ordering (broken with #21980)
 # [#21441] Error ordering items

22-Aug-2010 Ian MacLennan
 # [#21980] Clean up ACL back end for people with create and not edit and edit and not create

22-Aug-2010 Jean-Marie Simonet
 # [#21659] Beez 2 template (default) restless. Thanks Rouven
 $ [#21973] Inconsistant labels for dropdown lists in Template Manager. Normalizing string. Creating new JGlobal
 # [#21981] Add ability to display all modules for both site and admin to Module Manager. Thanks Michael
 $ [#21984] Template Manager: Templates Language String Fix. Thanks Michael.
 # [#21989] Filters - correct position. Thanks Bill.
 # [#21983] Reverse filter order in Template Manager: Styles on Hathor Template. Thanks Michael.
 $ Normalizing some string.
 # [#21941] Full Path Disclosure. Thanks all.

21-Aug-2010 Ian MacLennan
 # [#21949] Systematic elimination of DS as directory separator

21-Aug-2010 Jean-Marie Simonet
 # [#21964] Help menu item visible in edit mode if hidden in module settings. Thanks Sander and Bill.
 # [#21921] coding remnant left in module.php. Thanks Troy.
 # [#21915] SEF URL Defaults. Thanks Amy.
 # [#21861] Incorrect plural of "suffix" in method names. Thanks Chris.
 # [#21737] Password reset tokens stored plaintext in the database. Thanks Ian.
 # [#21971] Backend Cache Settings Tooltip Typo. Thanks Rouven.
 # [#21969] Space for label User Name on login page (+ module). Thanks Marijke.
 # [#21968] dot after reset token. Thanks Marijke.
 $ Typos/redundancies in some lang strings.

20-Aug-2010 Ian MacLennan
 # [#21951] Action URLs missing in half of the backend forms
 # [#21953] Registration form can be displayed and submitted if registration is disabled
 # [#19223] MySQL strict mode incompatibility
 # [#20343] Update phpmailer to v5.1 (latest version) for php5
 # [#21462] Sample Data Typo
 # [#21474] UTF8 trim lib throws warning if char list is empty
 # [#21580] E_STRICT error in JCacheCallback due to JHtmlString::truncate() being non-static

20-Aug-2010 Mark Dexter
 # [#21774] patch for failing system tests [cache related]

20-Aug-2010 Jean-Marie Simonet
 # [#21947] Banner Client Editing missing Save & New icon and text. Thanks Roland
 #$ Wrong key in Hathor.
 # [#21912] Inconsistencies with submenus in Bluestork admin menus. Thanks Klas.
 # [#21872] Categories overview & Menu items indentations. Thanks Michael.
 # [#21906] SMTP without authentication not working. Thanks Roland and Ian.
 # [#21954] Registration form data gets lost if save fails. Thanks Nikolai

19-Aug-2010 Jean-Marie Simonet
 # [#21929] Language String Error. Thanks Prasit
 # [#21913] Banner ad component issues. Thanks Prasit

18-Aug-2010 Jean-Marie Simonet
 ^# [#21917] Mootools more needs updating to 1.2.4.4. Thanks Matt.

17-Aug-2010 Jean-Marie Simonet
 [#21812] contact form not sending email. Thanks Joseph.

17-Aug-2010 Andrew Eddie
 # Fixed issue [#21380] session timeout while editing template style in backend, keepalive issue (Elin Waring, Michael Babker).

16-Aug-2010 Jean-Marie Simonet
 $ Customizing a global string in weblinks, newsfeeds, contacts

16-Aug-2010 Mark Dexter
 # Reverted [#21558] since it breaks JDateTest unit tests
 # [#21558] Feed datetime formats are invalid (with updated unit test)
 # [#21768] Sample Data for Atomic Template

16-Aug-2010 Andrew Eddie
 # Fixed issue [#21822] Add footer to Bluestork template (Michael Babker).
 # Fixed issue [#21831] JFormFieldCategory relies on a reference to a form (Artyom Bisyarin).
 # Fixed issue [#20994] [patch] Use DOM instead of document.write for font size controls (Rouven Weßling).
 # Fixed issue [#21777] No root user notice on admin login screen with userid (Sander Potjer, Mark Dexter).
 # Fixed issue [#21786] Add uncompressed versions of calendar.js and calendar-setup.js (Rouven Weßling).
 # Fixed issue [#21771] Consistency of ordering status bar items (Michael Babker).
 # Fixed issue [#21227] com_menus don't bind the request data into fields that has multiple="true" (Jonnathan S. Lima, Louis Landry).
 # Fixed issue [#21772] Joomla! doesn't play nicely with other frameworks (Samuel Moffatt).
 # Fixed issue [#21853] Add featured view to com_contacts (like com_content) or just toggle (Roland Dalmulder, Jean-Marie Simonet).
 # Fixed issue [#20662] Joomla home page doesn't work from anything except index.php (Jeff Booher, Louis Landry).
 # Fixed issue [#21854] Replace featured strings with JFEATURED (Roland Dalmulder).
 # Fixed issue [#21841] Make atomic well formed (Rouven Weßling).
 # Fixed issue [#21764] calendar.js doesn't work with Firefox and Safari when XHTML is used (Rouven Weßling).
 # Fixed issue [#21631] user menu module [sample data] (Brian Teeman, Michael Babker).
 # Fixed issue [#21611] Permissions and groups usability (Brian Teeman, Mathavan Jeyadev, Andrea Tarr, Michael Babker).

15-Aug-2010 Mark Dexter
 # [#21558] Feed datetime formats are invalid
 # [#21756] Notices when a contact is unpublished but linked

15-Aug-2010 Jean-Marie Simonet
 # [#21832] Submenu renders <a>-tag without link. Thanks Hannes.
 # [#21834] Featured contact only showing items from the root category and ignoring state. Thanks Elin.
 $ Correcting a string value.
 # [#21856] Unpublished items showing in weblinks and news feed category views. Thanks Elin.

13-Aug-2010 Mark Dexter
 # Sample data fixes (spelling errors and rebuild #__menus)
 # Oops! Fixed syntax error in sample_data.sql.

13-Aug-2010 Jean-Marie Simonet
 # [#21828] Params and drilldown refactorings in contacts. Thanks Bill and Dennis

12-Aug-2010 Jean-Marie Simonet
 ^ [#21690] filter order in extension manager:manage. Thanks Bill and Amy
 # [#21609] Force admin logout button for all user levels
 # [#21784] Update TinyMCE to current version (3.3.8)

11-Aug-2010 Jean-Marie Simonet
 # [#21807] newsfeeds - implement drilldown from categories (Bill and JM)

10-Aug-2010 Andrew Eddie
 # Fixed issue [#21623] 303 redirections cause page subresources to be reloaded on WebKit browsers (Nicholas Dionysopoulos).

10-Aug-2010 Jean-Marie Simonet
 # [#21787] weblinks - provide specific params for categories (Bill and JM)
 # [#21783] Single newsfeed layout on drill down is using title not name. Thanks Elin.

10-Aug-2010 Andrew Eddie
 # Fixed issue [#21648] No e-mail sent to newly created users (via back-end) (Mārcis Kaksis).
 # Fixed issue [#21601] JDatabaseQuery fails on delete (Harald Leithner, Omar Ramos).
 # Fixed issue [#21600] single article - sef routing issues (bill richardson, Mathavan Jeyadev).
 # Fixed issue [#21672] Fix a number of issues in the single newsfeed view (Elin Waring).

-------------------- 1.6.0 Beta7 Release [09-Aug-2010] ------------------

09-Aug-2010 Ian MacLennan
 # [#20289] FTP Server: Do not save credentials through the Web Interface
 # [#21476] Not using correct Primary Key while saving
 # [#21579] E_STRICT error in JCacheCallback due to modRelatedItemsHelper::getList() being non-static
 # [#21597] New Menu Item - using filter in modal
 # [#21616] Page scrolls to top when click on Contact Slider
 # [#21643] Login screen with google chrome 5.0.375 fields misaligned
 # [#21710] Root user notice only on username
 # [#21719] Create and delete action in plugins permissions configuration
 # [#21726] Possible mispelling of "extension" in assorted helper files
 # [#21751] Missing JErrors in com_contact
 # [#21754] JOPTION_REPORTED left overs

08-Aug-2010 Jean-Marie Simonet
 # [#21387] Weird Display Issue Administrator Template In Safari 4 & 5

08-Aug-2010 Ron Severdia
 # Cleaned up Atomic template (ready to go once sample data is committed).

07-Aug-2010 Jean-Marie Simonet
 # [#21750] Default module position
 # [#21744] Implementing drill-down options for weblinks and newsfeeds categorieS menu items
 # [#21749] IE7 patches to the Options modal. Thanks Andrea.
 # [#21628] unpublish core extensions. Thanks Mark

06-Aug-2010 Ian MacLennan
 # [#21598] Unable to logout ( front end ) if cache enabled
 # [#21630] Dropdown order in plug in manager
 # [#21632] Dropdown order in article manager
 # [#21633] Dropdown order in category manager
 # [#21634] Dropdown order in menu manager
 # [#21637] Dropdown order in module manager
 # [#21667] Menu manager : "Save & New" and "Save as copy" tasks are not implemented

06-Aug-2010 Jean-Marie Simonet
 # [#21740] Media Manager Submenu not indicating active option. Thanks Andrea.

05-Aug-2010 Jean-Marie Simonet
 # [#21599] Featured articles - article link to parent category - 500 error. Thanks Mathavan
 # [#21433] Title disappear when you select the menu item type. Thanks Bill
 #$ [#21358] Breadcrumbs "You are here" text displays regardless of Breadcrumbs settings. Thanks Michael.
 #$ [#21731] Newsfeeds /menu-items params correction + changes to weblinks. Thanks Bill.

04-Aug-2010 Jean-Marie Simonet
 [#21662] Single contact view not treating category access issue correctly. Thanks Elin.

04-Aug-2010 Andrew Eddie
 # Fixed issue [#21536] admin/com_users: report view. Is this being used or worked on?
 # Fixed issue [#20899] Changing 'Home' to a 'External Link' or 'Menu Item Alias' causes '404 Component Not Found' error on homepage (Zach Garner, Tim Plummer, Christophe, Michael Babker).
 # Fixed issue [#21711] Global Configuration button in Control Panel (Sander Potjer, Michael Babker).
 # Fixed issue [#21318] Caching causes problems with admin parameters (Elin Waring, Klas Berlič1).

03-Aug-2010 Jean-Marie Simonet
 $ Adding missing strings, deleting redundant ones for com_contact.
 $ Adding/normalizing some .sys.ini strings/values com_user, com_weblinks
 # [#21706] Modifying [#21159] to let cat have the same name/alias when not in same tree when save&copy
 #$ [#21712] Weblinks /menu-items params correction. Thanks Bill.
 # [#21694] Beez Templates xml files reference to language folder

03-Aug-2010 Andrew Eddie
 # Fixed issue [#21346] Error in loading order of JS scripts in components (g p).
 # Fixed issue [#21704] *Re-enabling Published state per default when creating new items (Jean-Marie Simonet).

02-Aug-2010 Andrew Eddie
 # Fixed issue [#21545] </optgroup> is not generated for menu items admin page (Franklin Tse, Omar Ramos).
 # Fixed issue [#21670] Implementing the ability to NOT translate label and description (Jean-Marie Simonet, Artyom Bisyarin).

01-Aug-2010 Ron Severdia
^ [# 21368] Changed alignment of column items
^ Fixed CSS ordering for BlueStork (table styles out of place)
^ Separated out IE7 & IE8 CSS files (BlueStork)
^ Fixed module positions, chrome & overrides for Atomic

01-Aug-2010 Jean-Marie Simonet
 # [#21646] Text fields do not accept html tags
 $ [#21636] home menu error string. Thanks Bill.
 # [#21673] Patch committed  (17913) without placing the image in the right folder

31-Jul-2010 Ian MacLennan
 # [#21588] Reverting commit that broke unit tests.

 31-Jul-2010 Jean-Marie Simonet
 # [#21653] Mod_login redirections
 # [#21576] Missing code when mod_rewrite is off. Thanks Cherif
 $ Correcting mod_login string value.

30-Jul-2010 Louis Landry
 # [#21576] Language switcher don't affect document language - sef routing issue

30-Jul-2010 Jean-Marie Simonet
 # [#21588] Readonly calendar field pops up. Thanks Roland
 # [#20628] Titles of hidden fields are shown in module edit page, menu edit page, article edit page. Thanks Artyom.
 $ Correcting some inis. Deleted redundant one.

29-Jul-2010 Mark Dexter
 # Remove trashed category from sample data

29-Jul-2010 Ian MacLennan
 # [#21605] Change committed without appropriately modifying system tests.

29-Jul-2010 Jean-Marie Simonet
 # [#21619] Normalizing menu items sliders to be more explicit over the UI
 # [#21618] Modal CSS various issues, mostly related to bluestork loading media/system/css/adminlist.css. Thanks Matt & Angie.

28-Jul-2010 Ian MacLennan
 # [#21361] Contact Component (Category Contact List-No Query)
 # [#21553] "Add Site Name to Page Titles" does not work in Atom and RSS feeds
 # [#21559] Joomla! Form Field Checkboxes
 # [#21473] Remove garbage output from system test classes
 # [#21521] JSessionStorage*::test() should be static
 # [#21520] JSession::getStores() should be static
 # [#21518] Only variables should be assigned by reference in JCategories->setParent()
 # [#21539] Extraneous edit_params.php in banner view
 # [#21544] The a element in JButtonHelp->fetchButton is not well-formed
 # [#21555] Fields of type=media do not have an obvious way to clear the data
 # [#21602] Preventing saving same alias in same category
 # [#20690] Call to undefined method JRegistry::loadSetupFile()
 # [#21283] System test article0001 failing
 # [#21537] Hathor metadata

28-Jul-2010 Jean-Marie Simonet
 # [#21605] small change in menu manager: new menu item. Thanks Bill.
 # [#21584] Robots metadata useless Option
 # [#21569] article categories - not showing no of articles in each category. Thanks Bill.
 # [#21589] Menu items - link,display and metadata all in one panel slider. Thanks Bill.
 $ Missing string

27-Jul-2010 Ian MacLennan
 # [#21578] mod_articles_popular Ordering Correction
 # [#21547] Make installation work with XHTML parsed as XML

27-Jul-2010 Jean-Marie Simonet
 # [#21159] Using Save as Copy in Categery - no indication is a copy
 # [#21596] Small typo in installer adapters. Thanks Viet.
 # [#21575] Bluestork com_modules module view Clear Float correction. Thanks Omar.

-------------------- 1.6.0 Beta6 Release [26-Jul-2010] ------------------

26-Jul-2010 Jean-Marie Simonet
 # [#21586] Implementing menu items title and image params
 # [#21458] css Error - Beez_50. Thanks Bill.
 # [#21546] plgEditorTinymce->_toogleButton is not well-formed. Thanks Franklin.
 # [#21585] Trashed menu items still in list

25-Jul-2010 Jean-Marie Simonet
 # [#20753] Bluestork Template For RTL languge
 # [#21564] Pagenavigation between articles does not work. Thanks Hannes.
 # [#21516] 'Disabled' state is not used in Content Languages view. Thanks CY Lee and Michael.
 $ [#21453] module - archived articles - label. Thanks Bill.
 # [#21294] Cells of "Date" columns is not in one line in com_content grids in IE. Thanks Artyom.
 # [#21524] Atom feed renderer reports wrong Joomla! version. Thanks Franklin.
 $ [#21479] menu alias string error. Thanks Bill.
 # [#21534] Breadcrumbs: last Seperator apper even if "Show Last" set to "no". Thanks Rune.
 $ Ini value Typo.

24-Jul-2010 Jean-Marie Simonet
 # [#21478] Ordering issues when sorted in descending. Thanks Michael
 # [#21562] Banner Manager: Banners does not display ordering arrow for first item. Thanks Omar.
 # [#21563] Contact Manager Ordering display issues. Thanks Michael.
 # [#21530] Milkyway template has two positions 12. Thanks Michael.
 # [#21566] Reordering Access Levels produces error. Thanks Omar.
 # [#21528] clear cache check all box doesn't check all. Thanks Andrea

23-Jul-2010 Sam Moffatt
 # updateNulls being ref: http://groups.google.com/group/joomla-dev-framework/browse_thread/thread/79f6431147a223ba/

22-Jul-2010 Jean-Marie Simonet
 # [#21199] Profile data show in contacts when profile plugin is disabled
 # [#21550] Flash Uploader issue

21-Jul-2010 Andrew Eddie
 # [#20880] fatal error trying to view template positions (Rob Joyce, Rune Sjøen).
 # [#21394] Problem with submenu translation in 3rd party extensions (Rune Sjøen).
 # [#21452] Use rel="help" for the help button in the toolbar (Rouven Weßling).
 # [#21438] Adding categories (Rune Sjøen).
 # [#21247] HTML comments shouldn't be used to guard JavaScript (Rouven Weßling).
 # [#21335] Sort by descending causes issues with ordering in Category and Menu Managers (Michael Babker).
 # [#21250] Token message Error on Install Sample Data (Pete Nurse).
 # [#21178] Dropdown on Extension manager>Manage to filter results in error - ? due to ftp fields attempting to be populated (Ruth Cheesley, Bill Richardson).
 # [#20751] Fix some markup errors and bring installer closer to XHTML strict (Rouven Weßling).
 # [#21339] JFile::Write() returns wrong value (Janich Rasmussen, Artyom Bisyarin).
 # [#21436] Database Error should return "500 Internal Server Error" so Joomla! can operate properly in CDNs (Klas Berlič1).
 # [#20381] Readme file (Paulo Izidoro).
 # [#21517] modSearchHelper's methods should be public static (Franklin Tse).
 # [#20879] missing functionality Save and New (Rob Joyce, Joseph LeBlanc).
 # [#21515] ContentHelperQuery's methods should be public static (Franklin Tse).

21-Jul-2010 Jean-Marie Simonet
 $ Changing all occurences of :: to : : in strings' values to avoid breaking tooltips

21-Jul-2010 Andrew Eddie
 # [#21430] User Manager - Blank page if new password and confirmation do not match (Al Kent).
 # [#21451] Article field "xreference" available in views in 1.5 but missing in 1.6 (Andrea Tarr).
 # [#21349] Manage view of com_installer does not use the default_item.php sub-template (Rune Sjøen).
 # [#21464] bitfolge feedcreator is unnecessary (Hannes Papenberg, Amy Stephen).

20-Jul-2010 Jean-Marie Simonet
 # [#21495] Tooltip max-width insufficient
 # [#21484] Plugin manger error in Hathor from typo in earlier patch. Thanks Andrea.

20-Jul-2010 Sam Moffatt
 # Fixed non-updates appear in update list

19-Jul-2010 Jean-Marie Simonet
 # [#21172] Article pagination display. Thanks Bill.
 # [#21389] Missing addition of css class "parent" to <li> tag for parent item in menu.
 # [#21369] New menu item - Metadata options - Show Page Heading. Thanks Bill.
 # [#21455] XML self closing syntax used on a div. Thanks Rune.
 $ [#21454] Login module refers to non-existing. Thanks Michael
 $ Deleting redundant string
 $ [#21424] Untranslated strings: Default captions for various functions in JToolBarHelper class (Part 1) Tks CY Lee
 $ [#21425] Untranslated strings: Default captions for various functions in JToolBarHelper class (Part 2) Tks CY Lee

16-Jul-2010 Jean-Marie Simonet
 # Missing $user in banners and Newsfeed controllers
 # [#21378] Mootols (and possibly other js/css) not loading with cache on. Thanks Klas.
 # [#21434] Robots list creates numeric values + metadata missing for articles
 # [#21357] Newsfeed categories - routing error with sef enabled. Thanks Mathavan.
 $ Deleting useless JText in grid
 # [#21437] Rename garbagecron.php to .txt.

16-Jul-2010 Andrew Eddie
 # [#20929] CategoriesControllerCategories Improvements (Omar Ramos).
 # Partial [#20933] Banner, Contact, Newsfeed, and Weblink Controller Improvements (Omar Ramos).
 # [#21337] Framework: JControllerForm does not preserve form data on validation error (Anders Knutsson, Bill Richardson).

15-Jul-2010 Jean-Marie Simonet
 # [#21422] Content Category metadata not displayed
 # [#21423] Enabling metadata for newsfeed, contacts, weblinks category
 # [#21417] Extra < in <script... tag
 # [#21426] Enabling metadata for single contact

14-Jul-2010 Jean-Marie Simonet
 # [#21398] [Hathor] saveOrder should be $saveOrder. Thanks Viet.
 # [#21342] JDocumentRendererHead can generate empty meta description. Thanks Janich.
 # [#21374] Updates to Hathor that were not done when core was updated. Thanks Andrea and Michael.
 # [#21329] com_modules save-as-new with wrong icon
 $ [#21412] Untranslated strings: Default captions for JHtmlSelect::booleanlist. Thanks CY Lee
 # [#21401] Template beez20 Layout.css issue
 # [#21415] Restoring deleted title in Hathor. Thanks Michael.

14-Jul-2010 Mark Dexter
 # Sample data fixes (Elin Waring)
 # joomla.sql table missing row and lft, rgt values (Seline Feigl)
 # [#21286] com_banner test code clean up in category.xml
 # Missing } in /administrator/components/com_users/views/level/view.html.php

13-Jul-2010 Jean-Marie Simonet
 # [#20760] Contact Manager Options > Contact List parameters
 # [#21377] Error caused by page break without readmore (see on visiting component menu item in sample data)
 # [#21382] Fallback template is rhuk_milkyway, not beez_20, and doesn't load properly.
 # [#21371] Restore 1.5 ability for multiple categories for Latest Articles Module. Thanks Amy
 # [#21215] Consistency in module layouts. Thanks Bill.

13-Jul-2010 Mark Dexter
 # [#21083] Category List menu link to unpublished category gives error

-------------------- 1.6.0 Beta5 Release [12-Jul-2010] ------------------

12-Jul-2010 Ian MacLennan
 # [#20507] SEF w/o .htaccess causes loss of css formatting and/or 404 errors
 # [#21031] A number of not well formed errors in the backend

12-Jul-2010 Mark Dexter
 # [#21196] Save order disk not disabled when not in ordering sort
 # [#20963] Articles » List All Categories and Rss not working
 # [#21332] com_contact tabs aren't working in IE7 Patch
 # [#20957] Batch processing of users is using old tables
 # [#21317] Deleting a category does not delete it's asset
 # [#21214] Editing an article in front-end displays default site template
 # [#21356] Sorting and filtering in "Contacts" and "Newsfeeds" modals
 # [#21289] Missing Cache Manager Error Message
 # [#21359] Search Button Image in mod_search is not showing properly

12-Jul-2010 Jean-Marie Simonet
 # Getting rid of useless Options in mod latest and mod popular in back-end
 $ Typo in en-GB.ini + sorting strings
 # Getting rid of useless No Category option
 # [#21376] Beez2.0 and Beez5 (Angie Radtke)
 # Missing CSS in front-end Beez (Thanks Angie)
 # [#21363] Stats module layout in Beez  Thanks Bill.
 # [#21373] Restore 1.5 ability for multiple categories for Most Read Content. Thanks Amy.
 # [#21372] Restore 1.5 ability for multiple categories for Module Article Newsflash. Thanks Amy.
 $ Consolidated some strings

11-Jul-2010 Chris Davenport
 # Follow up to [#21311] - add missing key references for 3 menu items

11-Jul-2010 Mark Dexter
 # Sample data fixes to assets table to clean up misc. acl issues (Elin Waring)
 # [#21311] Context Sensitive Help Problem
 # Sample data - joomla.sql for plugins (Elin Waring)
 # beez5 hide.js file (Angie Radtke)

11-Jul-2010 Jean-Marie Simonet
 # [#21366] Checkin featured articles fails.
 # [#21365] Search manager - global options. Thanks Bill. + some string consolidation
 # [#21350] Language files in extension directory fail to load

09-Jul-2010 Jean-Marie Simonet
 $ Correcting strings

09-Jul-2010 Jean-Marie Simonet
 # [#21351] mod_login (Thanks Angie) + mod_languages html
 # [#21292] Images inserted into articles always go to the top in Firefox. Thanks Brad

08-Jul-2010 Mark Dexter
 # beez and beez5 template issues (Angie Radtke)

08-Jul-2010 Jean-Marie Simonet
 # [#21341] Tinymce has a comma error in JS. Thanks Janich.
 # [#21290] Extension Manager: Manage Message. Thanks Matt.
 # [#21330] Com_contact Patch. Thanks Angie.
 ^ [#21266] Clean up code for removal of Uncategorised content
 # [#21333] com_languages views with wrong id on filter

07-Jul-2010 Jean-Marie Simonet
 $ [#21313] String in Banner.ini. Thanks Joseph.
 #$ [#21325] Ordering parameter in frontend edit doesn't make sense

06-Jul-2010 Andrew Eddie
 # [#20926] Fields in jos_user_profile not removed when user is deleted (Boris Baddenoff, Omar Ramos).

05-Jul-2010 Mark Dexter
 # Sample data - assets table, uncategorised issues (Elin Waring)
 # [#21117] Save Order button doesn't work in Menu Manager:Menu Items

05-Jul-2010 Jean-Marie Simonet
 #$ [#21307] Customising date format missing
 # Wrong class for date fields in redirect xml

05-Jul-2010 Ian MacLennan
 # [#21299] Typo in page cache controller

04-Jul-2010 Jean-Marie Simonet
 $ [#21304] More user friendly strings for multilanguage aspects
 # [#21245] Global parameters for single contact--Showing Contact list makes links not show. Thanks Elin.
 # [#21273] Incorrect date format being used during INSERTs to Redirect table when 404 occurs. Thanks CY Lee

03-Jul-2010 Jean-Marie Simonet
 # [#20796] Joomla! caches ALL HTML in 1 file. Thanks Klas.
 # [#21285] Missing "State" filter for page Extension Manager: Manage
 $ Correcting some ini/keys

02-Jul-2010 Jean-Marie Simonet
 # [#21284] Language sorting by id broken
 # [#20836] Missing icon in Messages toolbar (missing from original patch)
 $ [#21279] COM_USERS_GROUPS_NO_ITEM_SELECTED and others similar message undefined
 $ Adding missing string.

02-Jul-2010 Mark Dexter
 # [#20634] Typo from earlier patch.

02-Jul-2010 Andrew Eddie
 # [#21181] Consistent use of authorise vs authorize (Rune Sjøen).

01-Jul-2010 Jean-Marie Simonet
 $ [#21265] Inserting new weblink in backend describes new newsfeeds ordering
 # [#21244] Unable to change "Linked User" to "No User" in Contacts. Thanks Bill.
 # [#21272] Checkall broken for contacts, cache, languages. messages

01-Jul-2010 Andrew Eddie
 # [#21056] Trashing module leaves an erroneous entry in module position dropdown lists

01-Jul-2010 Christophe Demko
 # [#21254] Different markup in modal and non-modal menu assignment dialog + Correcting the misplaced <h3> tag
 # [#21249] Module menu assignments in modal checkmark boxes
 # [#21269] User modal forces horizontal scrolling. Search field size too big
 # Error in core-uncompressed.js code for ie7/ie8

30-Jun-2010 Ian MacLennan
 # [#21126] Token Error on Installation
 # [#20964] Token error on logon
 # [#21150] Restore 1.5 ability for multiple categories for banner module
 # [#21212] Head tags for mod_articles_categories
 # [#21248] Add keepalive functionality to Hathor that was added to core layout in 21197
 # [#20750] The HTML meta tag for the http-equiv content-type doesn't reflect the mime type stored in JDocument
 # [#21237] Typo in JInstaller causes unit tests to fail
 # [#21238] Error in JInstaller
 # [#21183] Failing JString unit test

30-Jur-2010 Mark Dexter
 # Assets table for uncategorised categories in sample data (Elin Waring)

30-Jun-2010 Jean-Marie Simonet
 # [#21169] "Save & New" toolbar button in "Templates Manager: Edit Style" saves an empty template. Thanks Joseph
 # [#21170] Changes made in description after toggling the editor are not saved. Thanks CY Lee.
 $ [#21257] Inaccurate string in contact. Thanks Elin.
 $ Correcting key typo.
 # [#21255] Module modal - missing module assignment description. Thanks Bill.
 # [#21217] Hathor RTL menu issues. Thanks Andrea.
 $ Deleting a bunch of hardcoded colons

29-Jun-2010 Ian MacLennan
 # [#20959] Single Newsfeed Display Options parameters
 # [#21125] Article manager - view created by - details
 # [#21187] Template styles filter does not display admin templates
 + [#21028] Add function that returns the current documents MIME type
 # [#20871] Print view page navigation

29-Jun-2010 Jean-Marie Simonet
 # [#20836] Capitalization of "toolbar-popup-Popup". Thanks Matt. + some
 # [#21224] Alias has trailing dash when there is a space following the word
 # [#21231] Search Component Using the same variable. Thanks Bill.
 # [#21233] New Category Image Window Not 100%. Thanks Bill.
 $ Creating keys/strings for Authentification plugins errors.
 # [#21229] Article titles not displayed in category list. Thanks Elin.

-------------------- 1.6.0 Beta4 Release [28-Jun-2010] ------------------

28-Jun-2010 Ian MacLennan
 # [#21180] [IE8] Cannot create new menu due to JS error
 # [#21197] session timeout while editing article in backend, keepalive issue
 # [#21201] Warning to change name of htaccess.txt when selecting mod_rewrite is missing
 # [#21213] mod_syndicate class missing
 # [#21209] Mod_stats missing class
 # [#21136] Missing JBrowser isMobile
 # [#20844] jimport does not work with non-system libraries
 # [#20828] Module Manager : All checkboxes must be selected when choosing "on all pages" in "Menu Assignment"
 # [#15296] JHTML::tooltip alt attribute for image tooltips
 # [#21202] Menu assignments showing in admin modules in Hathor
 # [#21205] Formatting front end weblink submit form
 # [#21135] Contacts insert as first item in backend
 # [#20713] List of weblinks categories is empty for all categories except the root
 # [#21142] Cancel Submit a Web Link redirects wrong
 # [#20315] com_newsfeed doesnt check for catid when saving
 # [#21204] Can't remember the language selection during install

28-Jun-2010 Jean-Marie Simonet
 # Correcting beez5 typos
 $ Correcting duplicate strings from 20602
 # [#21198] Ordering by group broken in modal. Thanks Phil.
 # [#21198] Added Hathor to the patch.
 # [#21210] Implementing user group ordering in User Manager
 $ Correcting typo

27-Jun-2010 Mark Dexter
 # [#20372] components options (IE 8 test)
 # [#20793] FTP installation features not working as expected
 # Fix checkall toggle bug in User Manager caused by [#20372]
 # [#20862] Show Profile in contact not working
 # Sample data fixes for contact (Elin Waring)
 # [#20937] non validated fields when creating banners
 # [#21079] weblink - contacts - newsfeed - new item defaults to last order position
 # [#20602] Frontened article submission - 500 - JLIB_APPLICATION_ERROR_VIEW_NOT_FOUND

27-Jun-2010 Jean-Marie Simonet
 $ Adding missing string, corrected a key
 # Corrected path typos in both beez templates component.php

26-Jun-2010 Jean-Marie Simonet
 # [#21185] Weblink edit misses filter="safehtml"
 # [#21184] Correcting and normalizing custom html module edit display
 # [#21168] [image file] Missing image file in Hathor. Thanks Andrea
 # [#21157] Unable to filter template styles with number in it (eg: Beez5, beez_20) Thank CY Lee
 # [#21147] No articles in this category when display# changed to "All". Thanks Alain.
 # [#21151] com_content manifest in error or file missing. Thanks Boris and Bill.

24-Jun-2010 Jean-Marie Simonet
 $ Completing string value
[#21173] Default ACL for editors and publishers is incorrect, also weblinks. Thanks Elin.
 $ Correcting Web Link menu Item value (Front-end can't edit).

23-Jun-2010 Andrew Eddie
 # Fixed issue [#21146] Fix for broken JFormFieldCalendarTest.
 # Fixed issue [#20907] Making Joomla more compliant to PHP strict standard (Hannes Papenberg, Phil Snell).

23-Jun-2010 Jean-Marie Simonet
 $ Added missing string
 [#20641] Email Cloaking Plugin doesn't output well formed code. Thanks Nicholas.

23-Jun-2010 Andrew Eddie
 # Fixed issue [#20617] installer doesn't allow . in database name (Rob Joyce, Troy Hall).
 # Partial fixes to [#20907] Making Joomla more compliant to PHP strict standard.

22-Jun-2010 Ian MacLennan
 # [#21129] JHtml::_('behavior.keepalive'); Does not work (Phil Snell)

22-Jun-2010 Christophe Demko
 # Reverting patch #17774.

22-Jun-2010 Andrew Eddie
 # Fixed issue [#20971] Add getCaching method (Klas Berlič1).
 # Fixed issue [#20993] Token key word is not user friendly (Troy Hall).
 # Fixed issue [#20401] [PATCH] JError::handleDie() does not cause application termination in CLI-program (Artyom Bisyarin).

21-Jun-2010 Mark Dexter
 # Beez template fixes (Angie Radtke)

21-Jun-2010 Jean-Marie Simonet
 # [#21020] Ordering of weblinks does not work as expected. Thanks Omar.
 # [#21116] [patch] Update Hathor with the new saveorder icon behavior. Thanks Andrea.
 # [#21064] Login redirection not functioning. Thanks Omar.
 # [#21120] Article Button in Editor missing left side in Milkyway. Thanks Marijke
 # [#21057] Mistyped template name in joomla data. Thanks Christophe.
 # [#20725] System Path Disclosure
 # [#21037] Two similar options in Module Latest News. Thanks Christophe and Stephania. + string
 # [#21061] Fatal error when "Show Title" is set to "No". Thanks Omar.
 # [#20945] email error when creating a new user. Thanks Elin.
 # [#21059] Image selector layout problems. Thanks Omar.
 # [#20837] Deleting usergroup that have been assigned to access levels does not remove them from the #__viewlevels table. Thanks Christophe.
 # [#21081] URL not required when submitting weblink. Thanks Michael.
 # [#20695] Parameter merge for contacts categories view is not working. Thanks Bill.

21-Jun-2010 Christophe Demko
 # [#20786] com_users - no frontend_userparams
 # [#21118] Thumbnails not showing on frontend in Popup

20-Jun-2010 Mark Dexter
 # [#20781] [patch] Remove deprecated attribute language from all occurrences of the tag script
 # [#20989] input elements must be nested in a block level tag
 # [#21119] [patch] Passwords displayed as plain text in Global Config
 # [#20875] Error in css beez template

20-Jun-2010 Christophe Demko
 # Correcting a small issue in JHtmlJGrid

20-Jun-2010 Jean-Marie Simonet
 # [#20757] Contacts unpublished visible in frontend. Thanks Christophe.
 # [#21042] When enabling/disabling the flash uploader, page refresh needed on 'Options > Save'. Thanks Omar.
 # [#21036] Ordering text for new items is floating up and to the right. Thanks Omar
 # [#20701] A lot of core extensions have not been marked as "protected. Thanks Nicholas.

19-Jun-2010 Mark Dexter
 # [#21010] &nbsp; must not be used (Thanks Rouven)
 # [#20634] Ordering Categories with integers doesn't work
 # [#20483] After opening and saving plugin, plugin is removed [strict]

19-Jun-2010 Jean-Marie Simonet
 # [#21073] Media Manager image upload issue (front-end)
 # [#21039] Default path for install from directory missing. Thanks Artyom.
 $ Added missing string
 # [#20966] Blog Order Down Doesn't Work In Some Cases. Thanks Mark.

18-Jun-2010 Jean-Marie Simonet
 # [#21046] menu - single article missing string + some
 # [#21049] frontpage editor image upload string error (Thanks Bill)
 $ Adding strings in com_media.ini frontend
 # [#21062] admin com_media language file is loaded in frontend. Thanks Christophe. + some missing strings .

17-Jun-2010 Jean-Marie Simonet
 # [#21019] Language field moved in a not visible position Thanks Airton.
 # [#21041] Adjust JModelList list.start accordingly. Thanks Sven

17-Jun-2010 Christophe Demko
 # Correcting a small issue in JHtml::_includeRelativeFiles

16-Jun-2010 Christophe Demko
 # Fixed issue [#20941] incorrect selection after creating user account (Rune Sjøen)
 ^ Reformatting docblock comments

16-Jun-2010 Jean-Marie Simonet
 $ [#21011] [patch] JERROR_NOLOGIN_BLOCKED on front end. Thanks Michael.
 # [#20882] banner module count field accepts negative numbers. Thanks Elin.
 # [#21014] JHtmlSlider library is buggy. Thanks Christophe.
 # [#21030] Well formed error in com_installer. Thanks Christophe and Rouven.

15-Jun-2010 Mark Dexter
 # Update version information to beta3
 # Fix problem with hard-coding table prefix in sample data (Elin Waring)
 # [#21025] Fix problem with hard-coding table prefix in update scripts

15-Jun-2010 Jean-Marie Simonet
 $# Correcting a key/string
 # [#20944] Cannot create new user - IE8. Thanks Christophe.
 #$ [#21018] Adding lang field in submit weblink.
 #+[#21006] Error in modal css template. Thanks Christophe

15-Jun-2010 Christophe Demko
 $ Correcting string in com_languages
 $ Correcting strings in installation files

-------------------- 1.6.0 Beta3 Release [14-Jun-2010] ------------------

14-Jun-2010 Jean-Marie Simonet
[#21007] Alias in list views does not support RTL. Thanks Andrew.
 $ Consolidated "Alias" value.
 $ Consolidating for RTL support the Filter string/value in back-end
 $ Consolidated "Description" value + some.
 # [#20979] single contact - enable show contact list. Thanks Tim.

14-Jun-2010 Mark Dexter
 # [#21008] Hide new login button just introduced to login screen
 # [#20529] User-Profile Plugin field settings ignored
 # [#20625] Submit a web link -save error [strict]

14-Jun-2010 Andrew Eddie
 # Fixed issue [#20884] banner manager export not working fatal error (Rob Joyce, Phil Snell).

13-Jun-2010 Ron Severdia
 ^ Fixed select user button (Thanks Tim Plummer)
 # Reverting BlueStork error.php changes from previous commit. Will break until params bug is fixed.
 ^ Relocate note & language fields to panel in Category & Article Manager (Thanks Tim Plummer)
 # News feed language fixes
 # Fixed template params in error.php (reverted until fixed)
 # Fixed CSS on ACL panel
 ^ Sync up label CSS
 ^ Little clean up and commenting in BlueStork CSS
 ^ Relocate language dropdown in news feed (Thanks Tim Plummer)

13-Jun-2010 Jean-Marie Simonet
 $ Normalizing Cpanel link in all admin error.php
 # Reverting part of new bluestork error.php [Revision 17643] as it breaks error display.
 # [#20992] [patch] Toolbar may generate code that is not well formed. Thanks Rouven.
 $ [#20991] Change Metadata to Metadata Options. Thanks Michael.
 # [#20996] Hathor CSS font-size fixes. Thanks Andrea.

12-Jun-2010 Mark Dexter
 # Fix asset table problems in sample data (Elin Waring)

12-Jun-2010 Ron Severdia
 # Fixed category header (Thanks Babs Gosgens)
 ^ Fixed weblinks header icon (Thanks Tim Plummer)
 ^ Move language dropdown to panel (Thanks Tim Plummer)
 ^ [#20618] Fixed IE login bug
 # Fixed modal widths (contents still need love)
 # [#20640] Fixed favicon MIME type (Thanks Rouven Wesling)
 ^ Changed order icon to bg CSS and added inactive state
 # Fixed required indicator on IE
 ^ Changed layout to 60/40 on edit banner client & edit contact
 - Removed deprecated IE6 stylesheet
 # Fixed language screen filter
 + Fixed BlueStork error.php page

12-Jun-2010 Jean-Marie Simonet
 # [#20980] [patch] Hathor patches to Newsfeed Modal. Thanks Andrea.
 $# Added a bunch of missing strings values, corrected some keys (Thanks Stella), added sticky field in banner parameters.
 # [#20579] Time Change for Server/User does not update. Thanks Christophe.
 # [#20648] mod_wrapper: error on getting params. Thanks Riccardo and Elin.
 # [#20782] Username Reminder Request Incorrect. Thanks Airton.
 # [#20983] Issue with linking articles that have apostrophe in them. Thanks Christophe.
 #$ Missing string/change key
 $ [#20990] Remove excess JLIB_FORM_CHANGE_USER definition. Thanks Michael.

11-Jun-2010 Christophe Demko
 # Fixed issue [#20867] [Patch] Changes to Hathor to mirror changes in core admin layouts (Andrea Tarr)
 # Fixed issue [#20968] Fix Category Parameters in Featured Menu Item (Mark Dexter, bill richardson)
 # Fixed issues in the component installer and in com_alpha component

11-Jun-2010 Jean-Marie Simonet
 # [#20489] JTableAsset::store failed. Thanks Christophe.
 # [#20962] [files and patch] Hathor error page. Thanks Andrea.
 # Corrected code duplication in hathor modal.php
 # [#20965] When in: Article Manager: Articles, Select language select does not work. Thanks Bill.

10-Jun-2010 Christophe Demko
 # Fixed issue [#20952] Joomla does not load template language file when an error is detected

10-Jun-2010 Jean-Marie Simonet
 # [#20791] settings not saved on first step of installer. Thanks Rune.
 # [#20914] getOptions at category.php. Thanks Andrew.
 $ Added missing string
 $ Changed string in banner/tracks toolbar

09-Jun-2010 Sam Moffatt
 # Fixed bug where updates from deleted update sites were visible after extension uninstall
 + Added convenience to adapter layer to pass through properties to instances in a uniform manner

09-Jun-2010 Christophe Demko
 # Fixed issue [#20938] [patch] Missing </ul> in layout override (Andrea Tarr)

09-Jun-2010 Jean-Marie Simonet
 # [#20913] Minimum PHP version check in installer. Fixed for php.5.2.4
 # [#20939] textual error in article manager config page. Thanks Troy.
 # [#20570] archived articles - title linkable. Thanks Christophe.
 # [#20940] email validation creating user account gives bad error message. Thanks Bill and Rob.
 $ Adding missing string.
 # [#20854] Adding article from filtered Category. Thanks Phil.

09-Jun-2010 Andrew Eddie
 # Added format to invalid controller exception.
 # Fixed issue [#20872] beez_20 javascript error when #nav is not present (Phil Snell, Bill Richardson).
 # Fixed issue [#20901] PHP Notices when creating a 'External URL' menu item pointing to internal url (Rune Sjøen).
 # Fixed issue [#20927] [patch] JModelAdmin Improvements (Omar Ramos).

08-Jun-2010 Christophe Demko
 # Fixed issue [#20913] Minimum PHP version check in installer (Rune Sjøen, Artyom Bisyarin)
 # Fixed issue [#20896] Once you link a user from a contact, you can't go back to no linked user. (Elin Waring, Rune Sjøen)
 # Fixed issue [#20894] Missing colon in user profile langauge file (Peter Osipof, bill richardson)
 # Fixed issue [#20578] Category Manager (Loyd Headrick, Hannes Papenberg)
 # Fixed issue [#20903] If an article ever has readmore in it, it can't be deleted (Elin Waring, bill richardson, Gobezu Sewu)
 # Fixed issue [#20811] Use global missing in web links Target parameter (Stefania Gaianigo, Tim Plummer)

08-Jun-2010 Sam Moffatt
 ^ Minor fixes to package installer adapter for translation

08-Jun-2010 Mark Dexter
 # Sample data fixes (Elin Waring)

08-Jun-2010 Jean-Marie Simonet
 $ Added en-GB.plg_content_example.sys.ini
 $ [#20911] CSS in backend error template is broken. Thanks Hannes.
 # [#20915] [patch] GeSHi plugin has random die('here') statement. Thanks Rune.

07-Jun-2010 Sam Moffatt
 # Fixed the package installer to behave properly
 ^ Minor code clean up in a few places

07-Jun-2010 Jean-Marie Simonet
 # [#20887] Creating account from front-end does not use default group. Thanks Rune
 $ Modified string
 # [#20885] non localized field deleting trash in banners Tracks. Thanks Bill.

07-Jun-2010 Christophe Demko
 # Fixed issue [#20873] modules are'nt displayed in admin when using the root_user feature
 # Fixed issue [#20870] Security issue concerning the root_user feature
 # Fixed issue [#20869] Displaying a useless message in admin login form when root_user feature is used
 ^ Reverting patch #17504
 # Fixed issue [#20812] User profile information visible on registration even when disabled. (Amy Stephen)

06-Jun-2010 Christophe Demko
 # Fixed issue [#20703] Missing noscript warning for javascript disabled browsers (Nikolai Plath)
 # Fixed issue [#20816] CodeMirror does not highlighting css code - syntax selector hard coded (Nikolai Plath)
 # Fixed issue [#18923] JURI::buildQuery does not deal correctly with multidimensional array (Omar Ramos, Antoine BERNIER)

06-Jun-2010 Jean-Marie Simonet
 # [#20853] Sorting by author in Category list. Thanks Phil.
 # [#20861] plg_user_joomla missing language declaration in manifest.
 # [#20858] Administrator Editor Media Dialog modal-box height requires scrolling  Thansk Bill.and Ofer.
 # [#20843] wrong constant specified for error message in controllerform.php - missing language key. Thanks Bill and Nikolai. + some
 # [#20864] Missing cache language strings, cache_lite detection bug [patch]. Thanks Klas. WIP: do sesssion.
 # [#20754] missing language string
 # [#19430] Cannot change ordering of items (in fact string typo)

05-Jun-2010 Jean-Marie Simonet
 # [#20846] Corrected strings for contact creator. Thanks Elin.
 # [#20815] When a contact is created automatically via contact creator plugin. Thanks Radek and Phil.
#$ Corrected wrong sprintf
 # [#20484] Requested for joomla.json download after uploading image. Thanks John.
 # [#20321] Email functions not working properly. Partly fixed only.

04-Jun-2010 Jean-Marie Simonet
 # [#20768] It is possible to create a single-contact menu entry without selecting a contact. Thanks Artyom and Phil.
 $ Added missing string

03-Jun-2010 Jean-Marie Simonet
 # [#20744] Logout link in administrator panel isn't logout when editing content. Thanks Andrew.
 $ Missing strings
 # [#20768] It is possible to create a single-contact menu entry without selecting a contact. Thanks Amy.
 # [#20761] Unclear how to select contact for single contact menu item. Thanks Elin.
 # [#20603] Error while trying to use PageBreak from frontend. Thanks Bill.

03-Jun-2010 Christophe Demko
 # Fixed issue [#20813] Value Not Found for blank user field (bill richardson, Peter Osipof)
 # Fixed issue [#20591] Cannot delete all usergroups from an access level (Robert Flodstrom)
 # Fixed issue [#20825] [patch] Debug plug-in doesn't output well formed code (Rouven Wesling)
 # Fixed issue [#20697] Uninstalling a component does not remove menu items of that component type
 # UI enhancement for com_menus
 # Fixed issue [#20805] Module linked to menu links (Aytug AKAR, Nikolai Plath, bill richardson)
 # Fixed issue [#20820] menu create - single contact typo error (bill richardson)
 # Fixed issue [#20789] featured contacts (bill richardson)
 # Fixed issue [#20819] Incorrect Label on Access Level Filter box on User Manager Access Level Screen (Ian McLennan)

02-Jun-2010 Jean-Marie Simonet
 # [#20787] some misc html typos. Thanks Phil.
 # [#20677] duplicate key error. Thanks Nicholas.
 # [#20506] Field required: cache_handler - message in Global Config. Thanks Christophe and Klas
 # [#20809] Unable to run installation in IE8. Thanks Ian

02-Jun-2010 Andrew Eddie
 # Fixed issue [#20771] validate.js causing problems with IE8 (Bill Richardson, Phil Snell).
 # Fixed issue [#20788] Error when saving template style for administrator template.

02-Jun-2010 Christophe Demko
 # Corrected the atomic template since its index.php file is not a correct xml file
 # Fixed issue [#20758] Property root_user in configuration could be a big security breach. (thanks Henrik Hussfelt, Martin Blodau, Andrew Eddie).
 # Fixed issue [#20795] user profile plugin typo error (thanks bill richardson)
 # Fixed issue [#20783] A lot of issues related to searching and language switcher
 # Fixed issue [#12757] JDate override problem in Backend
 # Fixed issue [#20784] Some minor errors in the beez* templates

01-Jun-2010 Jean-Marie Simonet
 # [#20724] HTTP Directory Listing. Thanks Amy.
 # [#20521] usability issue: Item ID not visible during edit. Thanks Tim.
 # [#20741] error in profile plugin manifest. Thanks Nicholai.and Boris.
 # [#20743] Module manager issues with enabled caching. Thanks Dennis.
 # [#20756] Metakeys and metadesc when using langswitcher
 # [#20765] Missing language strings in en-GB.com_newsfeeds.ini (Thanks Stella) + some

31-May-2010 Jean-Marie Simonet
 # [#20537] Edit articles in frontend sometimes gives a blank edit page. Thanks Dennis.

31-May-2010 Mark Dexter
 # Fixed issue [#20718] Issue with JLanguageTest (Tudor Mazilu).

-------------------- 1.6.0 Beta2 Release [31-May-2010] ------------------

31-May-2010
 # [#20745] Reverting [#20489] because it broke the system test.

31-May-2010 Jean-Marie Simonet
 # [#20721] Select State > trash and content filter Thanks Christophe, Amy.
 # [#20504] plugin working 4 times one the same page. Thanks Christophe.
 # [#20606] "Cache Manager: Clear Cache" doesn't show cache groups if caching is off, no pagination here, same data for Site and Administrator. Thanks Dennis and Klas.
 # [#20305] Configuration.php textarea box breaks layout in installation. Thanks Vicki, Elin.
 # [#20736] [patch] com_content: error on sorting by access level in "articles" view with "modal" layout Thanks Artyom.
 # [#20731] CountModules with multiple positions linked by operator is not working. Thanks Christophe.
 # [#20734] JS Validation missing for Radio Option Selection Required. Thanks Christophe and testers.
 # [#20529] User-Profile Plugin field settings ignored. Thanks Christophe and Amy.
 # [#20489] JTableAsset::store failed Thanks Christophe.
 $ Corrected string typo.
 $ Deleting unused strings from installation ini files
 # [#20593] call to undefined function on tinymce. Thanks Christophe.
 # Corrected path to tinymce templates
 # [#20720] Beez5 template has some minors bugs. Thanks Elin & all.
 $ Added missing string in front-end
 $ Updating xx-XX language front-end/back-end

30-May-2010 Ian MacLennan
 # Fixed issue  [#20691] Patch to ensure coding standards and correct phpdoc blocks (marius van rijnsoever).

30-May-2010 Ron Severdia
 # Fixed issue [#20632]
 ^ Bluestork image tweaks
 ^ Changed user profile radios
 ^ Cleaned up pagination buttons
 # Language fixes, CSS fixes for BlueStork

30-May-2010 Christophe Demko
 # Fixed sample data
 # Fixed some hathor issues relative to [#20632]
 # Fixed issue [#20707] ContentModelArticles::getListQuery does not format ORDER BY clause correctly (thanks Amy Stephen)
 # Fixed issue [#20642] com_banners submits form even when required fields are not filled (thanks bill richardson)

30-May-2010 Jean-Marie Simonet
 # [#20679] Page column sort filter not working properly in module manager. Thanks Christophe.
 # [#20714] Beez 2.0 template has hardcoded language string as alt tag for logo image. Thanks Jenny.
 # Various bugs in beez2. Added sys.ini.
 $ Corrected a few ini related issues with beez5
 # [#20719] public $offset time zone set to 0 issue. Thanks Christophe.

29-May-2010 Mark Dexter
 ^ Added parameter for display style of contact (Elin Waring)
 + Added beez5 template (Angie Radtke)
 # Upates to sample data (Elin Waring)

29-May-2010 Jean-Marie Simonet
 # [#20627] weblinks category count not showing. Thanks Detlef.
 $ Refactoring of installation ini/keys.
 # [#20594] Logged in frontside users shown in Backsite status. Thanks Detlef.
 ^ [#20712] [patch] Hathor compatibility changes. Thanks Andrea.
 $ Added missing strings
 # [#20699] com_users edit view allows users to view the contents of another users fields. Thanks Christophe.

29-May-2010 Andrew Eddie
 # Fixed issue [#20494] Quick Icons Module Should Take into Account More Permissions (Omar Ramos).
 # Partially fixed [#20623] MySQL sql-mode STRICT issues (Adam Banks).

28-May-2010 Jean-Marie Simonet
 $ Added string
 # [#20654] Sorting of Featured Articles in Administration don't work. Thanks Omar.
 # [#20671] Error uninstalling template due to capital letters in template name. Thanks Nikolai.
 # [#20660] mod_menu can't output invalid markup. Thanks Christophe.
 # [#20245] com_search logical issue. Thanks Christophe.
 # [#20687] mistyped static (Extraneous endif). Thanks Ashwin.
 # [#20688] Uninstalling a language extension is possible even if it's the default language. Thanks Christophe.
 $ Added/corrected string

28-May-2010 Andrew Eddie
 # Fixed issue [#20272] Can't provide multiple select list in modules.
 # Fixed issue [#20675] Performance Improvements for JAccess:getGroupsByUser() (OmarRamos).
 # Fixed issue [#20522] Redirect Manager - Date is wrong &  copy function (Peter Martin).

27-May-2010 Jean-Marie Simonet
 $ [#20659] Converting strings to the new format in installation. Thanks Johnathan Lima.
 # [#20658] Sample data install leads to bad error in cas of inactivity period. Thanks Christophe.
 $ Consolidating some strings
 $ Refactoring Installation keys/ini files (WIP)

27-May-2010 Sam Moffatt
 # Applied [#20263] E_WARNING Error in JInstallerTemplate::loadLanguage() and
 JInstaller::parseFiles(), thanks to Nikolai Plath

26-May-2010 Christophe Demko
 # Fixed [#20575] missing menu items (thanks Jean-Marie Simonet, bill richardson, Airton Torres)
 # Fixed [#20577] Boxes of meta description and meta-tags do not appear (thanks Dennis Hermacki, Elin Waring and Pierre Gazzola)

26-May-2010 Jean-Marie Simonet
 # [#20630] Changing site language does not work if the same content one does not exist (Thanks Christophe)
 # [#20644] [PATCH] Fix a small comment error. Thanks Rouven.
 # [#20513] Can't override default_ftp in com_install (Thanks Christophe)
 # [#20498] mod_menu default renderer adds "Menu Tag ID" to class name (Thanks Bill)
 # [#20472] Error: Article Saved Successfully (Beez)
 # [#20649] ID property is translated in "Templates Manager: Edit Style" page. Thanks Dennis
 $ Consolidated some strings.
#+ [#20479] Install Sample Data button does not become 'un-clickable' after install. Thanks Nicholas.
 $ Added some strings missing in 20479

25-May-2010 Mark Dexter
 # Fixed names of sample data images

25-May-2010 Christophe Demko
 # Fixed [#20567] Com_Redirect save as copy does not work (tries to save with same name) (thanks Elin Waring, Tim Plummer,Christopher Garvis and Amy Stephen)
 # Fixed autodetect ftp path in installation
 # Fixed css for hathor and bluestork template (missing image http://joomlacode.org/gf/project/joomla/tracker/?action=TrackerItemEdit&tracker_item_id=20632)
 # Fixed UI in language manager

25-May-2010 Jean-Marie Simonet
 # [#20608] Double Pathway / Breadcrumb

25-May-2010 Andrew Eddie
 # Fixed issue [#20601] User Manager - parent field does not display when creating a new group.
 # Fixed issue [#20526] Database creation error with MySQL5 (Adam Banks).
 # Fixed issue [#20549] White page on installation when the PHP session save path is unwritable (Nicholas Dionysopoulos).
 # Fixed issue [#20519] 'Type' table option was deprecated in MySQL 4.0 and removed in MySQL 5.5 (CY Lee).
 # Fixed issue [#20613] Missing parse_ini_file, parse_ini-string, json_encode or json_decode cause show-stopper behaviour (Nicholas Dionysopoulos).
 # Partially fixed issue [#13281] Cancel Button on Weblink Submit Form Doesn't Return to Referer Page (Christopher Garvis, Chris Taylor)
 # Fixed issue [#20226] Recursion in some circumstances when reinstalling (Elin Waring, Christophe Demko).
 # Fixed issue [#20516] [patch] Hathor fixes (Andy Tarr, Airton Torres).
 # Fixed issue [#20621] [patch] JText fix to Hathor (Andy Tarr).
 # Fixed issue [#20622] [patch] Fixes to Hathor to prevent buttons wrapping on small screen (Andy Tarr).
 # Fixed issue [#20302] com_config application view loads a duplicate of switcher javascript (Phil Snell).
 # Fixed issue [#20619] Global configuration allows you to save an invalid email (Elin Waring).

24-May-2010 Jean-Marie Simonet
 # [#20580] Fatal error when saving module and editing "Publish Start" or "Publish Finish". Thanks Radek.
 # [#20569] mod_login.xml manifest cites incorrect index file. Thanks Jeremy.
 # [#20545] Possible to delete all usergroups, can't do anything after that. Thanks Radek.
 # [#20313] com_messages.messages search query. Thanks Phill.
 $ Consolidated some strings
#+ [#20528] Inconsistency in user groups [sample data]. Tree rebuilding. Thanks Christophe.
 # [#20533] Fatal error "Call to undefined method JAdministrator::getLanguageFilter()" when enabling search logging + "Show Search Results". Thanks Denis and Christophe.
 + [#20592] Add sample data positions to Atomic. Thanks Elin.
 # [#20607] "witdh" instead of "width" in mod_banners default template. Thanks Michael.
 # [#20600] New user does not set user group for new user (Back-end). Thanks Andrew.
 # [#20439] article count always zero. Thanks Christopher.

23-May-2010 Mark Dexter
 # Sample data fixes (Elin Waring)

23-May-2010 Jean-Marie Simonet
[#20568] Update publish time on front end. Thanks Michael.
[#20465] Notice: Undefined property: stdClass::$author_name on many pages. Thanks Bill.
 $ Completing some language strings

22-May-2010 Jean-Marie Simonet
 $ [#20564] Inconsistence between userS and user view
 # [#20469] Notice: Trying to get property of non-object in /components/com_weblinks/views/form/tmpl/edit.php on line 47
 # [#20486] Published date not being generated
 # [#20511] Database error prevents installation (PHP strict)
 $ Adding missing string. Sorting some main ini strings.
 # [#20556] Home menu items are routed with alias if language switcher plugin is off. Thanks Dennis
 $ [#20566] Change "Other Informations" to "Other Information". Thanks Michael.

21-May-2010 Jean-Marie Simonet
 # Sample data error [20550]. Thanks Radek.
 $ Adapted some com_search strings to different languages
 $ Took off what should not be a custom key in beez [20553]
 # [#20558] Correcting wrong featured layout

20-May-2010 Christophe Demko
 # Fixed misspelling variable name in JLanguage
 # Fixed [#20543] Site language changing does not work

20-May-2010 Jean-Marie Simonet
 # Fixed accidentally deleted com_users in sql jos_extensions
 + Implementing auto language metadata [20284]
 $ Fixing strings in contact
 # Fixing category name/title in single contact. (Thanks Bill)
 ^ New JDate::toFormat [20531] Thanks Christophe.
 # Saving Banners urls in the clickurl db field [20532]

19-May-2010 Mark Dexter
 # Sample data fixes (Elin Waring)

19-May-2010 Jean-Marie Simonet
 $ Updating en-GB.xml files
 $ [#20510] Fixed Buttons untranslated.
 $ [#20512] Fixed untranslated strings.  Thanks elin
 $ [#20491] Fixed image path for category display. Thanks Bill.
 $ [#20509] Fixed missing Key. Thanks Airton
 $ Added missing strings.
 $ Corrected en-US installation ini file. (Thanks Elin and Phil)
 # [#20499] Milkyway errors.  Thanks Elin.
 $ [#20482] Correcting string value. Thanks Andrea
 + [#19699] Added Cancel button in profile edit form [19699] Thanks Nate.
 # [#20503] Corrected admin mod_menu duplicate. Thanks Greg.

18-May-2010 Christophe Demko
 ^ Change template default style when installing
 # [#20488] Small CSS issue in config modal (Viet Vu Hoang)

18-May-2010 Jean-Marie Simonet
 # Config fieldset description patch (Thanks you Dennis)
 # Consolidated some strings


-------------------- 1.6.0 Beta Release [17-May-2010] ------------------

17-May-2010 Ron Severdia
 # UI in Menu Manager and ACL widget

17-May-2010 Mark Dexter
 # display error in Parks image gallery

17-May-2010 Jean-Marie Simonet
 $ beez language strings + a CSS in bluestork
 $ com_users language issues
 $ Adding missing strings in com_users (WIP)

17-May-2010 Ron Severdia
 # CSS & language strings for Weblinks UI
 + Added missing icon
 $ Language fixes

17-May-2010 Christophe Demko
 $ One string
 # xml files
 # PHP Notice:  Undefined variable: file in libraries/joomla/installer/adapters/component.php on line 1328
 # [#20429] Last Visit Date -1-11-30 00:00:00 When Creating New User (Matt Thomas)
 # PHP Warning:  date(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set()
 # Some css for administrator login
 # Ensure there exists a default published menu item when changing home
 # Ensure there exists a default menu item while deleting menu items
 # Ensure there exists a default menu item while deleting menus
 # Display modules linked to a menu (menus view)
 # sample_data.sql
 # Rename bad named images
 # [#20300] Article archive
 ^ Ordering of toolbar icons for some views

17-May-2010 Mark Dexter
 # Fix language strings in New Menu Item

17-May-2010 Andrew Eddie
 ^ [#20431] Module cache not activated in defult installation and sample data module parameters (Klas Berlič)
 # [#20445] The pagebreak plugin produces a fatal error.
 # [#20452] Turn off module debugging by default (Elin Waring).
 # [#20430] Multiple cache and performance related optimizations and bugfixes - results in 30% decrease on load times (Klas Berlič).
 # [#20318] Change confusing language in installer (Elin Waring).
 # [#20386] [patch] update Hathor overrides with changes made to com_menu default_batch.php (Andrea Tarr).
 # [#20163] Media Manager Max Upload Size displaying incorrectly (Anthony McLin, Elin Waring).
 # [#20435] single newsfeed error.
 # [#20287] Rendering config.xml files generates php warning [patch included] (Jonatas Braganca).
 # [#20410] Module Manager for Admin modules includes Site only options (Elin Waring).
 # [#20292] Cannot change a menu type that is set to alias.
 # [#20172] Various errors during module saving in backend.
 # Could not add a new Adminstrator module.
 # [#20454] Menu item filter includes archived state (Elin Waring).
 # Com_content category view, default layouts where date was not honouring option settings.
 # [#20316] jhtml category warning (Phil Snell).

16-May-2010 Mark Dexter
 # [#20312] Access Control not implemented in menus
 # [#20450] Missing modal and field for single news feed selection
 # Sample data fixes (Elin Waring)
 # Fix default component parameters (Elin Waring)
 # Partial fix of system tests

16-May-2010 Chris Davenport
 $ Translate help screen titles in com_admin

16-May-2010 Ron Severdia
 # Fixed CSS and bug in admin login
 # IE compatibility fixes

16-May-2010 Sam Moffatt
 # Issue with front end router and invalid menu items
 # [#20449] Web link submit form is broken (thanks Elin)

16-May-2010 Christophe Demko
 # [#20428] Deleting A Menu Does Not Delete Menu Items
 # Reenabling filters in manage view
 # fix some ACL

16-May-2010 Ron Severdia
 # BlueStork fixes, new icons, language fixes

16-May-2010 Jean-Marie Simonet
 $ Fixed some Beez language keys
 ^ Fixed Beez sitedescription
 $ Fixed and consolidate some language strings
 # Fixed base category description [20447]. Thanks Elin.
 $ Fixed some language strings

15-May-2010 Ron Severdia
 # Fixed CSS issues with BlueStork
 $ Corrected language strings
 # Fixed UI exceptions
 + New BlueStork icons

15-May-2010 Chris Davenport
 # Fix [20375] Undefined variable in com_admin
 # Fixed bad translation of help key references in com_admin

15-May-2010 Mark Dexter
 # Fixed issues with sample data (Elin Waring)
 ^ Added title and subtitle to the params (Angie Radtke)
 ^ Added joomla_logos (Angie Radtke)
 # Updated language file (Angie Radtke)
 # Deleted unused image (Angie Radtke)
 # Fixed language string (Angie Radtke)
 # Fixed problem with root category description [#20296] (Elin Waring)
 # More sample data fixes (Elin Waring)

15-May-2010 Christophe Demko
 ^ Consolidate JHtmlJGrid functions
 ^ Consolidate icons and hathor template

15-May-2010 Jean-Marie Simonet
 $ Added missing string
 ^ Changed id to author name in edit icon overlib
 $ Consolidated string
 # Fixed language saving bug in com_contacts
 ^ Implemented JText::plural in mod_whosonline
 $ Completed deleting legacy strings and sorting ini strings in files front-end [6]

15-May-2010 Sam Moffatt
 + Added setRedirect to JInstaller to permit extensions to flag that they want to redirect the user post install
 # Ensuring the new script tag permits the same features as the old com_install/com_uninstall triggers (e.g. can abort install on false)

14-May-2010 Mark Dexter
 ^ Minor tweak to beez_20 to fix Eclipse validation

14-May-2010 Christophe Demko
 + Enabling new icons in admin menu
 + Add a divider for checkin task
 + Consolidate checkin task
 + Add checkin task

14-May-2010 Jean-Marie Simonet
 $ Deleting legacy strings and sorting ini strings in files [1]
 $ Deleting legacy strings and sorting ini strings in files [2]
 $ Deleting legacy strings and sorting ini strings in files [3]
 $ Deleting legacy strings and sorting ini strings in files front-end [4]
 $ Adding a string in com_content
 $ Deleting legacy strings and sorting ini strings in files front-end [5]

14-May-2010 Andrew Eddie
 ^ Updated the language descriptions for permissions.

13-May-2010 Jean-Marie Simonet
 $ Consolidated some strings

13-May-2010 Hannes Papenberg
 # Fixed several HTML errors

13-May-2010 Christophe Demko
 ^ Consolidate JHtmlJGrid class

13-May-2010 Andrew Eddie
 # Fixed bug that prevented saving a module.
 ^ Related to above, reworked JModelForm and made getForm abstract and replaced it with loadForm, renamed getFormData to loadFormData.
 ^ Reworked forms in frontend user component.
 # Fix rouge short-tags.
 # Fix bug in backend user edit form where custom user profile would not save for a new user.
 # Fixed bug in backend com_content where featured setting in the article would not take.

12-May-2010 Christophe Demko
 $ Correcting some strings/language in beez
 # Ensure that there exists at least one style for a template
 # Ensure that there exists only one default template style

12-May-2010 Jean-Marie Simonet
 # Corrected com_redirect component_id in jos_menu table
 + Added Global configuration button in Control panel [20407] Thanks Ronald de Vries.
 $ Corrected/added keys/strings all over admin
 $ Removed 1.5 legacy strings from main ini files

12-May-2010 Andrew Eddie
 ^ Set Beez2 as the default template (awesome work by Angie Radtke).
 ^ Set AUTO_INCREMENT on jos_extensions table to start at 10000, allowing for more core plugins to be added at a later date.
 ^ Fixing hardcoded $app->redirects to JController setRedirect in com_media subcontrollers.
 # Fix bug in com_content archives model - still referencing -1 instead of 2 for the archived state.
 # Fixed [#20393] creating an editor with buttons=true does not show any buttons

11-May-2010 Jean-Marie Simonet
 ^ Correcting extension/example xml plugin
 ^ Hathor's update [Andrea Tarr]

11-May-2010 Christophe Demko
 # Fix Pb saving editors-xtd group plugins
 + Add default mini buttons on styles view
 # Fix buttons option for editor form field
 # Fix [#20217] For plugins
 # Fix [#20217] Edit Module +Session Timeout and Re-Login Error
 ^ Enhancing the menu items view
 # Fix [#20260] Menu items list missing the "Set Default" toolbar icon.
 # Fix [#20327] Contact fatal error

10-May-2010 Jean-Marie Simonet
 + Adding new user admin approval registration (Thanks Airton Torres)
 # Enabling editors-xtd buttons in com_content
 ^ Hathor's views (20384]
 ^ Hathor's mod_status params [20385]
 $ Adding missing string

09-May-2010 Ron Severdia
 # BlueStork UI fixes
 # CSS cleanup
 # Language fixes
 + New icons

10-May-2010 Christophe Demko
 + Reinsert mod_languages and plg_systemlanguage filter extension
 # Fix [#20388] • Superuser admin/password not recognized when in offline.php
 # Fix bug in libraries/joomla/form/fields/imagelist.php
 ^ Change slightly the manage view on hathor template
 + Add language filter on some hathor views

09-May-2010 Hannes Papenberg
 # Some fixes to beez 2.0 - Thanks Angie Radtke

09-May-2010 Christophe Demko
 ^ Adding login position in administrator templates
 ^ Fix #17020

09-May-2010 Jean-Marie Simonet
 $ Changed Keys for com_search [20373] + some
 # Fixed template files edit/save
 $ Correcting some strings
 $ Consolidated some strings
 $ Refactored offline.php ini/strings

08-May-2010 Christophe Demko
 #^ Allowing languages to use specified lower/upper limit and length of displayed result for text search (http://groups.google.fr/group/joomla-dev-cms/browse_thread/thread/3b0ecd3ba64e973e)
 # Correcting a bug for unique menu item alias

08-May-2010 Jean-Marie Simonet
 # Correcting 16193 (Thanks Elin)

08-May-2010 Sam Moffatt
 ^ [#20348] Patch for renumbering of core extensions in extensions table (Thanks Elin!)
 ^ Updated jos_schemas table to fix field names
 + Added extension plugin to ensure update sites are maintained
 ^ Altered SQL handling for component/module/plugin update handling

08-May-2010 Jean-Marie Simonet
 $ Consolidated some strings
 # Corrected double translation in jgrid

07-May-2010 Ian MacLennan
 # Fixed error in JString::strspn that caused unit tests to fail on systems without mbstring

07-May-2010 Jean-Marie Simonet
 $ Consolidated some strings
 # Fixing installation issue _ Thank you Dennis Hermatski
 $ Deleting unused strings in main ini file
 $ Changed toolbar to "Delete" in com_users
 # Fixed [20365] Config modal error display. Thank you Artyom.
 # Fixed Translation of memcache/file in cache handler (Thanks Dennis)

07-May-2010 Ian MacLennan
 # Fixing unit tests to reflect database changes

07-May-2010 Christophe Demko
 # Fix [#20311] Can change the name of a menu but this doesn't change the items in the menu table.
 # Fix [#16103] SEF enabled sites require the menu alias for each menu to be unique but there is no checking or attempt to ensure this
 # Ensure menutype is unique
 # Fix missing language_title field in newsfeeds view
 # Fix escaping javascript string in JHtmlBehavior::_calendarTranslation
 # Fix link menu item disabled when type is not url
 # Fix [#19878] Global Config/Site Name in titles not working
 # Fix [#20006] Invalid Token if install sample data twice
 + Change the second parameter of JText::script to be a boolean or an array of options
 + Add two optional parameter at the end of JText::_ function to interprete backslashes and to indicate a string to push into the javascript strings
 + Add an optional array parameter at the end of JText::plural and JText::sprintf.

07-May-2010 Andrew Eddie
 - Removing stubbed comments support.

06-May-2010 Jean-Marie Simonet
 # [#20344] menu item alias . thanks Dennis and Elin
 + Adding language column in menu items view

06-May-2010 Mark Dexter
 # Fix problem with sample data duplicate mainmenu (Elin Waring)
 # Show edit icon on frontpage and category blog when print and email icons disabled

06-May-2010 Christophe Demko
 # Corrected a bug in #16862 (lack of languages table during installation)
 + Change the way the JLanguage::_ works: \t and \n and interpreted as 'tabulation' and 'carriage return' in ini strings (as it was in 1.5). Added a third optional parameter to the function to disable this behavior.
 ^ Improve performance (Thanks Klac Berlic and Dennis Hermatski) of JLanguagesHelper::detectLanguages
 # Verifying array observer has not been already attached
 #^ Accept Dennis Hermatski patch concerning language improvements
 # Fixed bug in caching in various controller ('language'->'lang') # Fixed bug in the JObservable::attach method when the observer is an array: it did not use the correct key
 #$ Fixed ordering with image field in languages view (Thanks Dennis Hermacki)
 # Fix ordering with folder field in plugins view
 # [#20350] [patch] Core components fail in attempt to add multiselect.js in back-end list views.
 $ Change the description of the sef language field
 ^ Change the JHtmlContentLanguage::published function to JHtmlContentLanguage::existing

05-May-2010 Andrew Eddie
 ^ Accept patch [#20167] Caching of template query + JSite::getTemplate() refactoring to JDatabaseQuery (Dennis Hermacki).
 # Fix bug in the menu batch template which didn't show the menu items to copy or move to; fix bug in display of menu name (Júlio Pontes).
 # Fix bug in JApplicationSite::addClientInfo (Júlio Pontes).

05-May-2010 Christophe Demko
 # Correcting a bug in the com_installer manage view
 $ Change a string in com_languages

05-May-2010 Jean-Marie Simonet
 $ Adding delete strings and code to Menu type deleting.

05-May-2010 Andrew Eddie
 ^ Renamed "installer" plugin group to "extension".
 ^ Added onExtensionBeforeSave and onExtensionAfterSave events to languages, modules, plugins, template styles and source.
 ^ Merged language switcher branch (Jean-Marie Simonet & Christophe Demko).
 # Fixed bugs in flash uploader (Ian MacLennan is da man!).
 + Added stanard support for onContentBeforeDelete, onContentAfterDelete and onContentChangeState events in JModelAdmin.

04-May-2010 Jean-Marie Simonet
 $ Refactored ini files structure for test alphas
 $ ^ A few fixes for Hathor
 # Bug fixes

04-May-2010 Andrew Eddie
 ^ Merge patched to cache the query building in JModelList (Christophe Demko).
 + Merge Hathor administrator template by Andrea Tarr.
 # Fixed [#20319] beez2 overides
 ^ Merge patch [#20330] mod_status show / hide params (Phil Snell).
 ^ Added chaining support to JMail.
 ^ Renamed extension events to onExtension*
 ^ Renamed search events to onContentSearch*
 ^ Simplified JForm email and username rules.
 ^ Fix some installation controller problems.
 ^ Rename authentication events to onUserAuthenticate.
 ^ Rename user events to onUser*.
 ^ Add better form and data handling support to JModelForm.
 # Fix issue with forms and profile in frontend com_users.
 # Fix issue with forms and profile in backend com_users.
 ^ Renamed onPrepareContent event to onContentPrepare.
 ^ Renamed onBeforeContentSave and onAfterContentSave events to onContentBeforeSave and onContentAfterSave.
